// WARNING! All changes made in this file will be lost!
// Created from 'ayu_styles.style' by 'codegen_style'
//
// This file is part of Desktop App Toolkit,
// a set of libraries for developing nice desktop applications.
//
// For license and copyright information please follow this link:
// https://github.com/desktop-app/legal/blob/master/LEGAL
//
#include "style_ayu_styles.h"

#include "styles/palette.h"
#include "styles/style_basic.h"
#include "styles/style_widgets.h"
#include "styles/style_layers.h"
#include "styles/style_intro.h"
#include "styles/style_boxes.h"
#include "styles/style_dialogs.h"
#include "styles/style_menu_icons.h"
#include "styles/style_premium.h"
#include "styles/style_chat_helpers.h"
#include "styles/style_chat.h"
#include "styles/style_info.h"

namespace {

bool inited = false;

class Module_style_ayu_styles : public style::internal::ModuleBase {
public:
	Module_style_ayu_styles() { style::internal::registerModule(this); }

	void start(int scale) override {
		style::internal::init_style_ayu_styles(scale);
	}
};
Module_style_ayu_styles registrator;

int _cpPadding = 0;
int _cpSelectedPadding = 0;
int _cpSelectedRounding = 0;
int _cpImagePadding = 0;
int _cpSpacingX = 0;
int _cpSpacingY = 0;
int _cpIconSize = 0;
style::margins _recentStickersLimitPadding = { 0, 0, 0, 0 };
style::margins _imageViewPadding = { 0, 0, 0, 0 };
style::margins _imageViewInnerPadding = { 0, 0, 0, 0 };
int _botWebViewPanelHeightIncreased = 0;
int _botWebViewPanelWidthIncreased = 0;
int _stickerRoundingSize = 0;
int _messageShotPadding = 0;
style::IconButton _topBarAdmins = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::IconButton _topBarRecentActions = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::Toast _exteraBadgeToast = { { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { Qt::Uninitialized }, { 0, 0 }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, false }, { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, 0, 0, 0, 0, 0 };

} // namespace

namespace st {
const int &cpPadding(_cpPadding);
const int &cpSelectedPadding(_cpSelectedPadding);
const int &cpSelectedRounding(_cpSelectedRounding);
const int &cpImagePadding(_cpImagePadding);
const int &cpSpacingX(_cpSpacingX);
const int &cpSpacingY(_cpSpacingY);
const int &cpIconSize(_cpIconSize);
const style::margins &recentStickersLimitPadding(_recentStickersLimitPadding);
const style::margins &imageViewPadding(_imageViewPadding);
const style::margins &imageViewInnerPadding(_imageViewInnerPadding);
const int &botWebViewPanelHeightIncreased(_botWebViewPanelHeightIncreased);
const int &botWebViewPanelWidthIncreased(_botWebViewPanelWidthIncreased);
const int &stickerRoundingSize(_stickerRoundingSize);
const int &messageShotPadding(_messageShotPadding);
const style::IconButton &topBarAdmins(_topBarAdmins);
const style::IconButton &topBarRecentActions(_topBarRecentActions);
const style::Toast &exteraBadgeToast(_exteraBadgeToast);
} // namespace st

namespace style {
namespace internal {

namespace {
int px0 = 0;
int px2 = 2;
int px4 = 4;
int px5 = 5;
int px7 = 7;
int px8 = 8;
int px10 = 10;
int px11 = 11;
int px12 = 12;
int px13 = 13;
int px14 = 14;
int px16 = 16;
int px19 = 19;
int px22 = 22;
int px40 = 40;
int px54 = 54;
int px64 = 64;
int px480 = 480;
int px512 = 512;
int px782 = 782;
void initPxValues(int scale) {
	px0 = ConvertScale(0, scale);
	px2 = ConvertScale(2, scale);
	px4 = ConvertScale(4, scale);
	px5 = ConvertScale(5, scale);
	px7 = ConvertScale(7, scale);
	px8 = ConvertScale(8, scale);
	px10 = ConvertScale(10, scale);
	px11 = ConvertScale(11, scale);
	px12 = ConvertScale(12, scale);
	px13 = ConvertScale(13, scale);
	px14 = ConvertScale(14, scale);
	px16 = ConvertScale(16, scale);
	px19 = ConvertScale(19, scale);
	px22 = ConvertScale(22, scale);
	px40 = ConvertScale(40, scale);
	px54 = ConvertScale(54, scale);
	px64 = ConvertScale(64, scale);
	px480 = ConvertScale(480, scale);
	px512 = ConvertScale(512, scale);
	px782 = ConvertScale(782, scale);
}

const uchar iconMask3Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x48, 0x00, 0x00, 0x00, 0x78, 0x08, 0x02,
0x00, 0x00, 0x00, 0xde, 0xf5, 0x23, 0xbd, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x03, 0x1c, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0xdc, 0xbd, 0x91, 0xa3, 0x30, 0x14, 0x07, 0x70, 0xe6, 0xae, 0x81, 0xd7, 0x01,
0x94, 0x40, 0x07, 0xd0, 0x01, 0x84, 0xce, 0x4c, 0x66, 0x67, 0xa6, 0x03, 0x97,
0x80, 0x5d, 0x81, 0x4a, 0x00, 0x57, 0x80, 0x3b, 0xc0, 0xa9, 0x23, 0x4a, 0x80,
0xd0, 0xd9, 0x5e, 0xa0, 0x39, 0x1d, 0x07, 0x36, 0x08, 0x49, 0xe8, 0xc3, 0xf3,
0x7e, 0xd9, 0xce, 0x7a, 0x16, 0x3d, 0xe9, 0x6f, 0x46, 0x02, 0x69, 0x3d, 0x0f,
0x21, 0xb4, 0xa5, 0xdf, 0xab, 0x3e, 0x0d, 0x00, 0x87, 0xc3, 0x61, 0xb7, 0xdb,
0x3d, 0x9f, 0xcf, 0xbe, 0xef, 0x37, 0x6b, 0x95, 0x2e, 0x00, 0x70, 0x3a, 0x9d,
0xea, 0xba, 0xfe, 0xf9, 0x2b, 0x49, 0x12, 0xd3, 0x8d, 0x92, 0x30, 0xad, 0x87,
0x09, 0x82, 0xc0, 0x74, 0xeb, 0xd6, 0x9b, 0xa9, 0x87, 0xaa, 0xeb, 0xda, 0x74,
0x1b, 0x57, 0x8a, 0xe3, 0x78, 0xa6, 0x1e, 0x66, 0xbf, 0xdf, 0x1b, 0x69, 0x1e,
0x00, 0x84, 0x61, 0x28, 0x12, 0x16, 0x42, 0xc8, 0x62, 0x55, 0xfa, 0x73, 0x08,
0x00, 0x59, 0x96, 0xd5, 0x75, 0xdd, 0x75, 0x1d, 0x6d, 0x40, 0x9e, 0xe7, 0xeb,
0xfe, 0x44, 0x18, 0x86, 0x8b, 0x23, 0xa6, 0x2d, 0x87, 0xd3, 0x7a, 0x64, 0xdb,
0x10, 0x45, 0x51, 0xdb, 0xb6, 0xa6, 0x72, 0x38, 0x53, 0x0f, 0x53, 0x96, 0xa5,
0xf8, 0x05, 0xce, 0xe7, 0xb3, 0xce, 0x1c, 0xb2, 0x3b, 0xd6, 0x4c, 0x3d, 0xca,
0x3a, 0x77, 0x5a, 0x9b, 0xf2, 0x1c, 0x2e, 0xde, 0x81, 0xdf, 0x02, 0x00, 0xd9,
0x0b, 0x97, 0x65, 0xa9, 0xb2, 0xab, 0xe4, 0xea, 0x51, 0xd9, 0xb9, 0x00, 0x30,
0xcc, 0x86, 0x64, 0x0e, 0x65, 0xea, 0x51, 0xde, 0xb9, 0xff, 0x02, 0x29, 0xdc,
0x55, 0x4a, 0xea, 0x51, 0xd5, 0xb9, 0xff, 0x35, 0x8b, 0x0e, 0x9a, 0x58, 0x57,
0x05, 0x41, 0x30, 0x73, 0x8f, 0x5d, 0x4b, 0xf1, 0x97, 0x3c, 0x4d, 0xd3, 0xa2,
0x28, 0xc4, 0xbe, 0xb2, 0x69, 0x9a, 0xaa, 0xaa, 0xca, 0xe0, 0xa4, 0xe7, 0x8d,
0x38, 0x8e, 0x15, 0x16, 0x66, 0xd7, 0xe4, 0xbb, 0x69, 0x1a, 0x25, 0x55, 0xd9,
0x38, 0xf9, 0xce, 0xb2, 0x4c, 0xbe, 0x3c, 0x8b, 0x72, 0x38, 0x32, 0x3f, 0x59,
0x5b, 0x64, 0x57, 0x0e, 0xa7, 0xb2, 0x2c, 0x13, 0x28, 0xcf, 0xc6, 0x1c, 0x4e,
0x05, 0x41, 0xc0, 0xb9, 0x44, 0x62, 0xec, 0xcd, 0xe1, 0xd4, 0xa7, 0x79, 0xb6,
0x93, 0x39, 0x1c, 0xe1, 0xac, 0xcd, 0x8d, 0x1c, 0x8e, 0xf0, 0xd4, 0xe6, 0x52,
0x0e, 0x87, 0x46, 0x6b, 0x88, 0x29, 0x05, 0xeb, 0x14, 0x23, 0x46, 0x6b, 0x88,
0x11, 0xa9, 0xf5, 0xb2, 0x71, 0x33, 0x53, 0x4a, 0x57, 0x73, 0xc8, 0x7c, 0x5a,
0xd7, 0xb8, 0x9a, 0x43, 0xe6, 0xed, 0x74, 0x99, 0x10, 0x62, 0xba, 0x5d, 0x2a,
0x4c, 0x07, 0xcd, 0xed, 0x97, 0x04, 0xcc, 0x68, 0xd0, 0xba, 0xae, 0x33, 0xdd,
0x22, 0x75, 0x86, 0x83, 0xf6, 0x25, 0x39, 0xa4, 0xc2, 0x30, 0xa4, 0x53, 0xe4,
0xb6, 0x6d, 0x1d, 0x9b, 0x46, 0xf1, 0xf0, 0x7d, 0xdf, 0xf9, 0x9b, 0x21, 0x42,
0x08, 0x21, 0x84, 0x10, 0x42, 0x08, 0x21, 0x84, 0x10, 0x42, 0x48, 0xa3, 0x38,
0x8e, 0x8b, 0xa2, 0x68, 0x9a, 0xa6, 0x69, 0x1a, 0x42, 0x88, 0xf3, 0x8f, 0x4d,
0x69, 0x3d, 0xca, 0x76, 0x00, 0x1b, 0xf7, 0xa9, 0x9e, 0x21, 0xdf, 0xf7, 0x4d,
0x37, 0x93, 0x0f, 0x00, 0xc4, 0x71, 0x4c, 0x08, 0xe1, 0xd9, 0x01, 0xec, 0x40,
0x61, 0x6b, 0xeb, 0xa1, 0xda, 0xb6, 0x35, 0xdd, 0xf0, 0x0f, 0xc4, 0xea, 0x61,
0xac, 0x7b, 0x99, 0x24, 0x59, 0x0f, 0x63, 0xcb, 0x4b, 0x4d, 0x7a, 0x22, 0x40,
0xbe, 0x1e, 0xca, 0xfc, 0x4b, 0x4d, 0x9e, 0x13, 0x0e, 0x02, 0x8c, 0xe5, 0x70,
0xa3, 0x7a, 0x18, 0xdd, 0x39, 0xdc, 0xba, 0x1e, 0x4a, 0x5f, 0x0e, 0xf5, 0xd4,
0xc3, 0xe8, 0xd8, 0x6c, 0x04, 0x00, 0x8b, 0x5b, 0xb9, 0x94, 0xd3, 0xb1, 0xd9,
0x68, 0xed, 0x86, 0x50, 0x25, 0x74, 0xbc, 0x5f, 0xd7, 0x93, 0xbd, 0x21, 0xc9,
0x1c, 0xfe, 0xe2, 0xfc, 0x9c, 0xfe, 0xcd, 0x09, 0x55, 0x55, 0xe9, 0xb8, 0x8c,
0xc2, 0xf3, 0x29, 0x9c, 0x24, 0xbb, 0x92, 0x77, 0xc4, 0xae, 0xd7, 0xab, 0xcc,
0x65, 0xd6, 0xaa, 0xaa, 0x4a, 0xdf, 0xc9, 0x78, 0xb1, 0xfd, 0xf2, 0x62, 0x0c,
0x6c, 0xbe, 0xd4, 0x53, 0x9e, 0xb1, 0xfd, 0x46, 0x49, 0x92, 0x6c, 0x57, 0x9e,
0xf9, 0x4d, 0xc0, 0x1b, 0x8d, 0x9e, 0x2d, 0x9b, 0x80, 0x57, 0x1d, 0x78, 0x58,
0x64, 0x7e, 0x9d, 0x32, 0xa4, 0xf0, 0xbc, 0xa2, 0x75, 0xeb, 0x65, 0xcf, 0xf3,
0x8a, 0xa2, 0x90, 0x2f, 0xcc, 0x96, 0xf5, 0xf2, 0x88, 0x64, 0x2c, 0xed, 0xca,
0xe1, 0x48, 0x9e, 0xe7, 0xc2, 0x85, 0xd9, 0x98, 0xc3, 0x21, 0xe1, 0xda, 0x2c,
0xcd, 0xe1, 0x90, 0x40, 0x26, 0xad, 0xce, 0xe1, 0xd0, 0xda, 0xa3, 0xea, 0xb6,
0xe7, 0x90, 0x09, 0x82, 0x60, 0xd5, 0x2a, 0x2e, 0x8a, 0x22, 0xd3, 0x4d, 0xe6,
0xc6, 0x7f, 0x6c, 0xdd, 0xde, 0xe7, 0xd8, 0x9f, 0x70, 0x06, 0xd2, 0x99, 0x1c,
0x32, 0x9c, 0x81, 0x74, 0x29, 0x87, 0xcc, 0xe2, 0x1d, 0xd2, 0xbd, 0x1c, 0x52,
0xf3, 0x27, 0x15, 0x9d, 0xcc, 0x21, 0x33, 0x3f, 0x68, 0x4e, 0xe6, 0x90, 0x9a,
0x19, 0xb4, 0x8d, 0x72, 0xc8, 0xfb, 0x30, 0x47, 0x52, 0xdf, 0xf7, 0x97, 0xcb,
0xe5, 0xed, 0xaf, 0xee, 0xf7, 0xbb, 0x9e, 0x36, 0x6c, 0x05, 0x00, 0xbe, 0x2d,
0x87, 0xcc, 0xf4, 0xe9, 0xbf, 0xab, 0xf7, 0xc3, 0x91, 0xe9, 0x42, 0x7b, 0xbb,
0xc7, 0x1b, 0xeb, 0xfe, 0xd5, 0xa7, 0xa4, 0xbe, 0xef, 0x6f, 0xb7, 0x9b, 0xe7,
0x79, 0xaf, 0xd7, 0xeb, 0xf1, 0x78, 0x1c, 0x8f, 0x47, 0xfa, 0x23, 0x42, 0x08,
0x21, 0x84, 0x10, 0x42, 0x08, 0xa1, 0xef, 0xf1, 0x07, 0x4b, 0xb0, 0x6a, 0x00,
0xf9, 0xf3, 0x42, 0xa6, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae,
0x42, 0x60, 0x82 };
IconMask iconMask3(iconMask3Data);

const uchar iconMask1Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x0a, 0x2b, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0x9d, 0xdb, 0x95, 0xa3, 0x38, 0x10, 0x86, 0xbd, 0x7b, 0xf6, 0x7d, 0xd4, 0x11,
0x58, 0x44, 0x60, 0x32, 0xb0, 0x26, 0x02, 0x33, 0x11, 0xd8, 0x1d, 0x01, 0xce,
0x00, 0x1c, 0x01, 0x76, 0x04, 0x78, 0x22, 0xc0, 0x1d, 0x01, 0x74, 0x04, 0xd8,
0x11, 0xc0, 0x44, 0x00, 0x8e, 0x80, 0x7d, 0xa8, 0x3d, 0x5a, 0x1d, 0x09, 0x0b,
0x01, 0xe2, 0xd6, 0xad, 0xef, 0xc9, 0xed, 0x06, 0x23, 0x7e, 0x74, 0x29, 0x95,
0x8a, 0xd2, 0x6a, 0x65, 0x30, 0x18, 0x0c, 0x86, 0xd9, 0xf2, 0x97, 0xe2, 0x71,
0x84, 0x10, 0x42, 0xc8, 0x66, 0xb3, 0x41, 0x08, 0xdd, 0xef, 0xf7, 0x8f, 0x8f,
0x8f, 0x24, 0x49, 0x06, 0x2e, 0xdb, 0x12, 0x20, 0x84, 0xf8, 0xbe, 0x9f, 0x65,
0x59, 0x55, 0x55, 0x55, 0x55, 0xa5, 0x69, 0x1a, 0xc7, 0x31, 0x7c, 0xce, 0xb2,
0x2c, 0x08, 0x02, 0xdb, 0xb6, 0xa7, 0x2e, 0xe3, 0x14, 0x20, 0x84, 0x7c, 0xdf,
0xa7, 0x5a, 0xc4, 0x71, 0xbc, 0xdf, 0xef, 0x11, 0x42, 0xf4, 0xbf, 0x87, 0xc3,
0x81, 0x55, 0x6a, 0xbf, 0xdf, 0x63, 0x8c, 0xa7, 0x2e, 0xf5, 0x58, 0x60, 0x8c,
0xa1, 0xca, 0xc4, 0x71, 0xec, 0xba, 0x2e, 0xd5, 0xa5, 0xf6, 0x48, 0xaa, 0x54,
0x96, 0x65, 0xdf, 0x45, 0xa3, 0x20, 0x08, 0x8a, 0xa2, 0xd8, 0x6e, 0xb7, 0xea,
0xa7, 0x60, 0x8c, 0x8b, 0xa2, 0x08, 0x82, 0x60, 0xc8, 0x72, 0x4d, 0xc3, 0x3f,
0xe2, 0x57, 0x18, 0xe3, 0x3c, 0xcf, 0x3f, 0x3f, 0x3f, 0xc5, 0x7f, 0x05, 0x41,
0x80, 0x10, 0x7a, 0x7f, 0x7f, 0xe7, 0xbe, 0xcf, 0xf3, 0x3c, 0xcf, 0xf3, 0x31,
0x6b, 0x10, 0xc6, 0x98, 0x10, 0xb2, 0x5e, 0xaf, 0x57, 0xab, 0xd5, 0xe3, 0xf1,
0xc8, 0xf3, 0xfc, 0x7e, 0xbf, 0x8f, 0x74, 0xed, 0x38, 0x8e, 0xe3, 0x38, 0x16,
0xbf, 0xf7, 0x7d, 0x1f, 0x3a, 0x1d, 0xcf, 0xf3, 0xd4, 0xcf, 0xd2, 0x0b, 0x21,
0x04, 0x2a, 0x78, 0x25, 0x90, 0x65, 0x59, 0x18, 0x86, 0x84, 0x90, 0xa1, 0xcb,
0x50, 0x73, 0xab, 0xb6, 0x6d, 0xbb, 0xae, 0x5b, 0x55, 0x55, 0x18, 0x86, 0x61,
0x18, 0x16, 0x45, 0xe1, 0xba, 0x2e, 0x37, 0x7e, 0x0d, 0x2a, 0x90, 0x44, 0x97,
0x09, 0x94, 0xe2, 0x6e, 0x95, 0x56, 0x9c, 0x34, 0x4d, 0x31, 0xc6, 0xb4, 0x0b,
0xaf, 0xaa, 0xea, 0x78, 0x3c, 0xbe, 0x3a, 0x4b, 0x0b, 0x60, 0x64, 0xd4, 0xea,
0x52, 0x14, 0x45, 0x14, 0x45, 0x9e, 0xe7, 0x79, 0x9e, 0x17, 0x45, 0x11, 0x2d,
0x92, 0xa8, 0x94, 0x7e, 0x43, 0x84, 0xbb, 0xd5, 0x28, 0x8a, 0xaa, 0xaa, 0xe2,
0x2e, 0x43, 0x08, 0x29, 0x8a, 0x82, 0x3d, 0x4c, 0xa3, 0x40, 0x60, 0x64, 0xa4,
0x69, 0x5a, 0xab, 0x4b, 0x10, 0x04, 0xb5, 0x03, 0xc8, 0x76, 0xbb, 0x0d, 0xc3,
0xf0, 0x95, 0x52, 0xae, 0xeb, 0x6a, 0xeb, 0x22, 0xb9, 0x5b, 0x85, 0x11, 0x2a,
0x4d, 0x53, 0xf6, 0x98, 0x2c, 0xcb, 0x8a, 0xa2, 0x60, 0x2f, 0xa9, 0x45, 0x20,
0x42, 0x08, 0x35, 0xaf, 0x14, 0x75, 0x11, 0x91, 0x28, 0x15, 0x86, 0xa1, 0x06,
0x99, 0xc4, 0x5b, 0x85, 0x0e, 0x88, 0x56, 0x22, 0xdb, 0xb6, 0xab, 0xaa, 0x72,
0x5d, 0x57, 0x7e, 0x56, 0x5b, 0xce, 0xe7, 0xb3, 0xa8, 0x4b, 0x18, 0x86, 0xad,
0x0c, 0x0e, 0x16, 0x50, 0x4a, 0x6c, 0xa1, 0x7d, 0xcd, 0x11, 0x90, 0x9f, 0xfd,
0xe6, 0x70, 0x38, 0x80, 0x40, 0xae, 0xeb, 0xee, 0xf7, 0x7b, 0x42, 0x48, 0x55,
0x55, 0xfb, 0xfd, 0x9e, 0x3d, 0x26, 0x4d, 0xd3, 0x28, 0x8a, 0x3a, 0x5f, 0x94,
0x53, 0x87, 0xb3, 0xdd, 0x7b, 0xc2, 0xda, 0xfd, 0x1a, 0x34, 0x82, 0xfa, 0xc2,
0x16, 0x0e, 0xbe, 0xa1, 0x8f, 0x02, 0x6a, 0x2f, 0x5b, 0x83, 0x30, 0xc6, 0x62,
0x9d, 0x52, 0x07, 0x21, 0x44, 0x8b, 0x1e, 0x45, 0xd1, 0x66, 0xb3, 0xe9, 0x5e,
0xfa, 0xd7, 0x60, 0x8c, 0xc3, 0x30, 0xa4, 0x75, 0xb3, 0xbb, 0xfa, 0x50, 0x41,
0x58, 0x63, 0x07, 0x21, 0x14, 0x45, 0x11, 0xf4, 0x02, 0x70, 0x99, 0x28, 0x8a,
0xd8, 0xc6, 0x0c, 0x55, 0xac, 0x73, 0xf3, 0x86, 0x2b, 0xc2, 0x40, 0xd9, 0xb1,
0xd0, 0xca, 0xd0, 0xbe, 0xa9, 0xd7, 0xe8, 0x16, 0xc7, 0xb1, 0xba, 0xc6, 0x08,
0xa1, 0x2c, 0xcb, 0xfa, 0x74, 0x40, 0x8e, 0xe3, 0xd0, 0xea, 0xa3, 0x7e, 0x16,
0x42, 0x08, 0x9a, 0x7c, 0xab, 0x07, 0x43, 0x2b, 0x11, 0xd7, 0x45, 0xb4, 0x03,
0x1e, 0x69, 0x18, 0x86, 0x2a, 0x07, 0x43, 0xf7, 0xd1, 0x67, 0x74, 0x80, 0x0a,
0xa8, 0x7e, 0x45, 0x76, 0x46, 0xdd, 0x76, 0x9e, 0xac, 0x47, 0xa0, 0xd5, 0x6a,
0xe5, 0x79, 0x5e, 0x55, 0x55, 0xbe, 0xef, 0xcb, 0x0f, 0x03, 0x33, 0xb2, 0x76,
0xf2, 0xd1, 0xf6, 0x5a, 0xad, 0x7e, 0x07, 0xac, 0x33, 0xb6, 0x53, 0x57, 0x3c,
0x31, 0x08, 0x02, 0x38, 0xa5, 0x73, 0x8f, 0xf9, 0x3f, 0x50, 0x6e, 0xae, 0xbb,
0xa1, 0x60, 0x8c, 0x61, 0x68, 0xe8, 0xa9, 0x4e, 0x07, 0x81, 0x68, 0x8d, 0x63,
0x51, 0x9c, 0x5b, 0x74, 0x78, 0x18, 0x32, 0x8e, 0xc7, 0x23, 0xd4, 0x61, 0xdf,
0xf7, 0xa9, 0x4c, 0x60, 0xe9, 0x16, 0x45, 0x01, 0x93, 0xb2, 0xfe, 0x57, 0x69,
0x5b, 0x68, 0xda, 0xb8, 0xc2, 0x30, 0xa4, 0x35, 0x82, 0x33, 0x4d, 0x74, 0x5d,
0xab, 0x19, 0x76, 0x74, 0x8c, 0xe3, 0x38, 0x4d, 0x53, 0x18, 0xef, 0xe3, 0x38,
0xd6, 0x65, 0xbc, 0xab, 0x14, 0x1a, 0xe6, 0x65, 0x30, 0x7a, 0xb0, 0x5d, 0x0f,
0x42, 0x88, 0x35, 0x05, 0xe3, 0x38, 0x96, 0x3b, 0x82, 0xf5, 0x0b, 0x04, 0x60,
0x8c, 0x83, 0x20, 0x00, 0x73, 0x59, 0xdd, 0xea, 0x57, 0xa4, 0xb1, 0xd0, 0xd7,
0xeb, 0x55, 0x6c, 0x53, 0xb4, 0xf2, 0x42, 0x35, 0xe7, 0x78, 0x65, 0x0a, 0x0e,
0x25, 0xd0, 0xa0, 0xc8, 0x0b, 0x2d, 0xf6, 0x38, 0x30, 0xf9, 0xe4, 0x7e, 0x41,
0x9c, 0x7c, 0xed, 0x76, 0xbb, 0xb6, 0xd7, 0x12, 0xf9, 0xbb, 0xc7, 0x7d, 0x8d,
0x04, 0xb8, 0x0d, 0xc1, 0x6f, 0xe9, 0x38, 0xce, 0xdb, 0xdb, 0x9b, 0x65, 0x59,
0x97, 0xcb, 0x85, 0x3d, 0xe6, 0x74, 0x3a, 0x59, 0x96, 0x65, 0x59, 0x96, 0xe3,
0x38, 0x79, 0x9e, 0xc3, 0x97, 0x5a, 0x1c, 0x1d, 0x0b, 0x10, 0x88, 0x3a, 0x7f,
0x31, 0xc6, 0x96, 0x65, 0x95, 0x65, 0xf9, 0xea, 0xc8, 0x3c, 0xcf, 0x2d, 0xcb,
0xa2, 0x3d, 0xa3, 0x96, 0x95, 0xbb, 0x05, 0x08, 0x94, 0x24, 0xc9, 0xf9, 0x7c,
0x86, 0xcf, 0x41, 0x10, 0x48, 0x86, 0x73, 0x70, 0x3c, 0xc2, 0xe7, 0xf3, 0xf9,
0x5c, 0xeb, 0x56, 0x6f, 0xcb, 0x02, 0x04, 0x82, 0x16, 0x44, 0x7d, 0xf2, 0x51,
0x14, 0xd5, 0xce, 0x81, 0x60, 0xb4, 0x85, 0xcf, 0x79, 0x9e, 0x9f, 0x4e, 0x27,
0x2d, 0x97, 0x5e, 0x86, 0x40, 0x65, 0x59, 0xfe, 0xfa, 0xf5, 0x0b, 0x3a, 0x17,
0x84, 0x50, 0x6d, 0xef, 0x6b, 0xdb, 0x36, 0x34, 0xae, 0x3c, 0xcf, 0x7f, 0xfe,
0xfc, 0x29, 0x69, 0x89, 0xad, 0x98, 0x85, 0x40, 0xf4, 0x66, 0x24, 0xd3, 0x63,
0x76, 0x61, 0xa7, 0xf6, 0xe6, 0xe9, 0xb9, 0x49, 0x92, 0xd0, 0x7e, 0x5a, 0x72,
0x98, 0x22, 0xb3, 0x10, 0xe8, 0xf9, 0x7c, 0xc2, 0x07, 0x79, 0xe9, 0xe9, 0x7f,
0x6b, 0x05, 0xa5, 0xa2, 0xc8, 0xcd, 0x57, 0xfa, 0x5f, 0xc5, 0x75, 0xb4, 0x59,
0x08, 0x44, 0xcb, 0x2a, 0x1f, 0x98, 0xa9, 0x1c, 0xcf, 0xe7, 0x13, 0xbc, 0xd7,
0x60, 0x43, 0xc3, 0xd2, 0x45, 0x5b, 0x81, 0x74, 0xb5, 0xc1, 0x31, 0x60, 0x3d,
0x8a, 0x92, 0x4a, 0xc4, 0x06, 0x99, 0x88, 0xa6, 0x33, 0xfd, 0x52, 0x32, 0x29,
0x53, 0xbc, 0xd0, 0x1c, 0xa1, 0xb7, 0x57, 0xdb, 0x01, 0x03, 0xb5, 0x0b, 0x1e,
0x22, 0x12, 0xd7, 0x07, 0xf5, 0xcc, 0xa9, 0xbb, 0x2e, 0x67, 0xd1, 0xc4, 0x56,
0xab, 0xd5, 0xed, 0x76, 0x83, 0x0f, 0xec, 0x62, 0x24, 0x07, 0x67, 0x3d, 0x5f,
0xaf, 0x57, 0x42, 0x88, 0x65, 0x59, 0xd7, 0xeb, 0x55, 0x72, 0x18, 0x0b, 0x55,
0x7f, 0x79, 0xd1, 0x5f, 0xd4, 0x2d, 0x2d, 0xaf, 0xfc, 0x18, 0x63, 0xcf, 0xf3,
0xc4, 0xa0, 0x1c, 0x08, 0xc4, 0xf1, 0x3c, 0x4f, 0x32, 0x8b, 0x86, 0x95, 0x05,
0x60, 0x91, 0x91, 0x3a, 0xb4, 0x05, 0x0d, 0x14, 0x46, 0xc3, 0x3a, 0x6d, 0x86,
0xf8, 0xfd, 0xc1, 0x61, 0x2b, 0x91, 0xf6, 0xd0, 0x03, 0xb6, 0xfa, 0xe8, 0xf5,
0xd5, 0x8c, 0x0a, 0x1b, 0xd6, 0xa7, 0x71, 0x94, 0x81, 0x75, 0x17, 0xf8, 0x65,
0xf5, 0x75, 0x81, 0x39, 0x02, 0x71, 0x00, 0xda, 0xef, 0x84, 0x7a, 0xf8, 0xb9,
0x78, 0x82, 0x45, 0xc2, 0xba, 0x07, 0xb5, 0x74, 0x46, 0x34, 0x7c, 0x47, 0xcf,
0x4a, 0xc6, 0x1c, 0xa0, 0x4e, 0xbf, 0x9e, 0xf5, 0x08, 0x21, 0xc4, 0xfa, 0x6a,
0x97, 0xe4, 0x63, 0x6d, 0x84, 0xd5, 0xa8, 0x5b, 0xfc, 0x2c, 0xc6, 0x98, 0x35,
0xb8, 0xbf, 0x60, 0x80, 0x29, 0xa7, 0x51, 0xab, 0x85, 0xd0, 0xe3, 0xf1, 0xc8,
0x2e, 0x75, 0x7c, 0xa9, 0xba, 0xc3, 0xc2, 0x6a, 0x04, 0x32, 0x35, 0x0e, 0xff,
0x62, 0x08, 0xd6, 0x17, 0xe9, 0x77, 0x5e, 0xc1, 0xae, 0xc1, 0x53, 0x33, 0xaf,
0x56, 0x26, 0x51, 0x9a, 0x2c, 0xcb, 0xfa, 0xfb, 0xed, 0x55, 0x5f, 0x66, 0x99,
0x16, 0xcf, 0xf3, 0xb8, 0x28, 0x81, 0x3c, 0xcf, 0x6f, 0xb7, 0x1b, 0xb8, 0x2c,
0x20, 0x66, 0x9a, 0xed, 0xa7, 0xca, 0xb2, 0x3c, 0x9f, 0xcf, 0x97, 0xcb, 0x65,
0x49, 0x3e, 0x8d, 0x9e, 0xb0, 0x0b, 0xbc, 0x72, 0xf4, 0x04, 0x22, 0x2e, 0x14,
0x90, 0xa9, 0x36, 0x40, 0xb3, 0x28, 0x0a, 0xcf, 0xf3, 0xb4, 0x4b, 0xb3, 0x8c,
0x26, 0x26, 0xb2, 0xdd, 0x6e, 0x6d, 0xdb, 0x86, 0xe9, 0x48, 0x59, 0x96, 0xf7,
0xfb, 0xfd, 0xf1, 0x78, 0x7c, 0xa3, 0x06, 0x65, 0x30, 0x18, 0x0c, 0x06, 0x83,
0xc1, 0x60, 0x30, 0x18, 0x0c, 0x06, 0x83, 0xc1, 0x60, 0x30, 0x18, 0x0c, 0x06,
0x83, 0xc1, 0x60, 0x30, 0x18, 0xc6, 0x64, 0x2e, 0x2b, 0xab, 0x08, 0x21, 0x84,
0x10, 0x2c, 0x1c, 0xc3, 0x4a, 0xe9, 0xd4, 0x25, 0x9a, 0x01, 0x08, 0x21, 0x78,
0x47, 0xf0, 0xd5, 0xbb, 0x17, 0xf2, 0xf7, 0x0b, 0xbf, 0x2c, 0xa0, 0x4b, 0x6d,
0xea, 0xa3, 0x5a, 0x20, 0xcd, 0x92, 0xe3, 0x38, 0x53, 0x17, 0x7c, 0x78, 0x5a,
0x25, 0xb3, 0x13, 0x19, 0x2f, 0x11, 0xe0, 0xc8, 0xf4, 0xd4, 0x65, 0x5a, 0xa5,
0x06, 0xec, 0xa4, 0x09, 0x21, 0xbb, 0xdd, 0xee, 0x70, 0x38, 0x34, 0xc6, 0xcc,
0xdf, 0xef, 0xf7, 0x24, 0x49, 0xee, 0xf7, 0x3b, 0x7d, 0x2b, 0x15, 0xb2, 0x33,
0x37, 0x06, 0xd0, 0xe5, 0x79, 0x9e, 0x24, 0xc9, 0xe5, 0x72, 0x59, 0x52, 0xa7,
0x0e, 0xa9, 0x4f, 0x6a, 0x63, 0x9c, 0x38, 0x20, 0x99, 0x2e, 0xcd, 0x1b, 0x20,
0xc2, 0x26, 0xd3, 0x6d, 0xac, 0x53, 0x3a, 0x13, 0x01, 0x0e, 0x84, 0xe3, 0x38,
0x2a, 0x37, 0xd3, 0x98, 0x64, 0x58, 0x04, 0x94, 0xaa, 0x1d, 0xec, 0xc4, 0x1f,
0xef, 0x9b, 0x39, 0x49, 0x3b, 0x34, 0x5b, 0x4e, 0x63, 0xd1, 0x3d, 0xcf, 0x93,
0xd4, 0x17, 0x15, 0x30, 0xc6, 0xae, 0xeb, 0x36, 0x2a, 0xd5, 0x36, 0xae, 0x7a,
0x40, 0x08, 0x21, 0xf2, 0xd6, 0x94, 0x65, 0x99, 0xfc, 0x3d, 0xb7, 0x6e, 0x40,
0x36, 0x9a, 0xc6, 0x4b, 0x4f, 0x3c, 0xe4, 0xd5, 0x66, 0x82, 0x02, 0x5a, 0xe5,
0xce, 0xec, 0x83, 0x24, 0xef, 0x26, 0x30, 0x59, 0x55, 0x12, 0x43, 0xbc, 0x81,
0x38, 0x8e, 0x27, 0x79, 0x63, 0x6d, 0xb7, 0xdb, 0x71, 0x89, 0xcd, 0xe8, 0xa3,
0x9a, 0xe6, 0x05, 0x67, 0xb1, 0xfa, 0x0c, 0x11, 0x85, 0xdb, 0x96, 0xda, 0x70,
0xea, 0x69, 0xde, 0x46, 0x60, 0x1f, 0xd7, 0xdc, 0x5e, 0x54, 0x63, 0x5f, 0xcc,
0x6b, 0x9b, 0x9e, 0x51, 0x1b, 0xec, 0x50, 0x32, 0x4d, 0x09, 0xa4, 0xb0, 0xcf,
0x4f, 0x31, 0xff, 0x5b, 0x2d, 0xdd, 0xdf, 0x9b, 0x67, 0xcd, 0x5c, 0x5d, 0x86,
0xac, 0x6d, 0xdb, 0xba, 0xc6, 0x1d, 0x36, 0xbf, 0x49, 0x9f, 0xda, 0xdd, 0x51,
0x20, 0xae, 0xdb, 0xeb, 0x1f, 0xe2, 0x0e, 0x19, 0xbc, 0x61, 0x63, 0x93, 0x2c,
0xcb, 0xfa, 0xcf, 0xdd, 0xb9, 0x04, 0x30, 0x9d, 0xfb, 0xe9, 0x59, 0x08, 0x64,
0xdb, 0x76, 0x1c, 0xc7, 0xf4, 0x37, 0x31, 0xc6, 0x51, 0x14, 0xf5, 0xac, 0x4a,
0x34, 0xa3, 0x0c, 0xf0, 0xe3, 0xc7, 0x8f, 0x6e, 0xbf, 0x33, 0x7d, 0x6a, 0x0a,
0x48, 0x35, 0x2c, 0x7e, 0x1f, 0x86, 0xe1, 0x1c, 0xf2, 0x8f, 0x74, 0x14, 0x88,
0x6b, 0xd5, 0x92, 0x84, 0x46, 0x8d, 0x1c, 0x8f, 0xc7, 0x57, 0xa9, 0x50, 0xfb,
0x0c, 0xcf, 0x5c, 0xa5, 0x7e, 0x7b, 0x7b, 0xeb, 0xf6, 0x3b, 0x13, 0xd7, 0x20,
0xc8, 0xc5, 0xc1, 0x7e, 0xc3, 0xde, 0xd8, 0x2b, 0xed, 0x54, 0xe0, 0x04, 0x5a,
0x6a, 0x13, 0xe3, 0xd4, 0xf1, 0x7d, 0x9f, 0x26, 0xbc, 0x83, 0xd6, 0xb7, 0xd4,
0xb7, 0x95, 0xd9, 0x3c, 0x1b, 0x1d, 0xb2, 0x61, 0x20, 0x84, 0x1c, 0xc7, 0xa1,
0x79, 0x6a, 0x59, 0x6b, 0x85, 0x4d, 0x23, 0x01, 0x80, 0x43, 0xba, 0x6d, 0x7f,
0xd4, 0xb3, 0x84, 0x7d, 0xe9, 0x76, 0x79, 0xf0, 0xbd, 0xbe, 0x9a, 0x58, 0xd2,
0x59, 0xe5, 0xab, 0x39, 0x70, 0x9a, 0xa6, 0xea, 0x1b, 0x89, 0x2c, 0x4c, 0x20,
0x18, 0xaa, 0x6a, 0x6f, 0xbb, 0xd6, 0xd8, 0x95, 0x3b, 0xde, 0x54, 0x06, 0xb8,
0x85, 0x09, 0x24, 0x7f, 0x1f, 0x57, 0xcc, 0xad, 0xf0, 0xca, 0x55, 0x40, 0x69,
0x9c, 0xdc, 0x2c, 0x49, 0x20, 0x36, 0x77, 0x8f, 0x28, 0x4d, 0x10, 0x04, 0xaf,
0x86, 0xf9, 0x30, 0x0c, 0x25, 0xce, 0x43, 0x79, 0x25, 0xd2, 0x25, 0x50, 0xcd,
0xfe, 0x62, 0xda, 0xe1, 0xee, 0xbf, 0x2c, 0xcb, 0xeb, 0xf5, 0x9a, 0x24, 0xc9,
0xe7, 0xe7, 0xa7, 0x3c, 0x73, 0x2d, 0x6c, 0x64, 0x86, 0x10, 0xda, 0x6e, 0xb7,
0x84, 0x10, 0xc7, 0x71, 0xd8, 0x9f, 0xda, 0x6c, 0x36, 0x5a, 0xb2, 0xb5, 0xca,
0x19, 0x43, 0x20, 0xce, 0x8c, 0x2c, 0xcb, 0xf2, 0x72, 0xb9, 0xa8, 0xdb, 0x96,
0x65, 0x59, 0x7e, 0x7c, 0x7c, 0x3c, 0x1e, 0x0f, 0x6e, 0x82, 0xf6, 0xe7, 0xcf,
0x1f, 0xad, 0xc5, 0xac, 0x67, 0x0c, 0x3b, 0x08, 0x56, 0xaf, 0xe8, 0x9f, 0x30,
0xd5, 0x6a, 0x3b, 0x6c, 0x73, 0x7b, 0x0f, 0xc8, 0xf3, 0x91, 0x6a, 0x64, 0x24,
0x43, 0xf1, 0xfd, 0xfd, 0x9d, 0x6d, 0x4d, 0xb6, 0x6d, 0xb7, 0xb2, 0x00, 0xcf,
0xe7, 0x33, 0x37, 0xba, 0x8b, 0xdb, 0x08, 0xce, 0x8b, 0x0e, 0x5d, 0xa0, 0x98,
0x79, 0xbe, 0x71, 0xd3, 0x0e, 0x80, 0x4d, 0x21, 0x05, 0xa8, 0xcc, 0xd1, 0x96,
0x34, 0x8a, 0x51, 0xb8, 0x74, 0x37, 0x2a, 0x1b, 0xec, 0x88, 0x23, 0xa0, 0x62,
0x32, 0x20, 0x5d, 0x02, 0x8d, 0x3a, 0x17, 0x3b, 0x9d, 0x4e, 0xbf, 0x7f, 0xff,
0x66, 0xbf, 0x69, 0x2c, 0x37, 0xb7, 0x68, 0x73, 0xbb, 0xdd, 0x74, 0x65, 0xd2,
0x56, 0x44, 0x8f, 0x40, 0xea, 0x3d, 0x2e, 0x97, 0x89, 0xb4, 0x71, 0xb2, 0xce,
0x1d, 0x30, 0x7e, 0xd7, 0xd3, 0x51, 0xa0, 0xce, 0x0e, 0x4d, 0xce, 0xf0, 0x69,
0x74, 0x45, 0x8a, 0x26, 0x82, 0xe2, 0x85, 0x38, 0x65, 0x39, 0x07, 0xa3, 0x3a,
0x1d, 0x05, 0xe2, 0x0a, 0xaa, 0x2e, 0x50, 0x5b, 0x4f, 0x1b, 0x67, 0xec, 0xa8,
0x2f, 0xed, 0x73, 0x0e, 0xa0, 0xce, 0x36, 0x41, 0x47, 0x43, 0xb1, 0x2c, 0xcb,
0xb2, 0x2c, 0xa9, 0x2e, 0xea, 0x99, 0xb0, 0x44, 0xab, 0x9a, 0x7e, 0x86, 0x78,
0x22, 0xd8, 0x27, 0x82, 0x26, 0x07, 0x16, 0x1d, 0x83, 0x8a, 0xf6, 0x21, 0x97,
0x90, 0x6a, 0x82, 0xcc, 0x39, 0xec, 0x2c, 0x49, 0x3d, 0x3d, 0xb3, 0x38, 0xb8,
0xd4, 0xc6, 0x13, 0xd1, 0xf0, 0x8c, 0xce, 0x83, 0x11, 0xeb, 0x0f, 0x18, 0x61,
0xe3, 0xbb, 0x1a, 0xd8, 0x09, 0xba, 0xfa, 0xfa, 0x37, 0x4d, 0x79, 0x0d, 0xc8,
0x43, 0x39, 0xb3, 0x2c, 0xe3, 0x9c, 0x24, 0xea, 0x91, 0x08, 0xdc, 0x55, 0xfa,
0xdd, 0x6b, 0x27, 0x60, 0x67, 0x48, 0x8a, 0xe2, 0x2a, 0x0d, 0x57, 0x23, 0xda,
0xa2, 0xee, 0x99, 0xeb, 0x26, 0xab, 0x4e, 0x38, 0x13, 0x4e, 0x71, 0xea, 0xc0,
0x66, 0x95, 0xef, 0x80, 0xa2, 0x0f, 0x9f, 0x73, 0x3f, 0x4d, 0x16, 0x37, 0xc0,
0x76, 0x1c, 0x45, 0x51, 0x28, 0x9e, 0xc5, 0xb9, 0xa2, 0xe9, 0xe9, 0xe0, 0x18,
0x92, 0x64, 0xbb, 0x53, 0x6f, 0x29, 0x6c, 0xc1, 0xfa, 0x2c, 0xcc, 0xf7, 0x85,
0x9b, 0x3a, 0x28, 0xb6, 0x32, 0x84, 0x10, 0xd7, 0x7f, 0x79, 0x9e, 0x27, 0xa6,
0x60, 0x77, 0x5d, 0x97, 0xbd, 0x4f, 0x75, 0x07, 0x00, 0xe7, 0xd2, 0x9e, 0x72,
0x5d, 0x04, 0xf6, 0x34, 0xa6, 0xb4, 0x4a, 0x85, 0x8e, 0x31, 0xde, 0x6e, 0xb7,
0x8d, 0x76, 0x8d, 0x6d, 0xdb, 0x30, 0xd2, 0xa9, 0xff, 0x32, 0xe7, 0xcf, 0x9e,
0x38, 0x2e, 0x87, 0x2b, 0xcd, 0xe4, 0x61, 0xf0, 0xdc, 0x28, 0x39, 0x7d, 0xfa,
0x7a, 0x6e, 0xbc, 0x98, 0xc6, 0xe2, 0x60, 0xe0, 0xec, 0x29, 0xc9, 0x2e, 0x1d,
0xe3, 0xc1, 0x55, 0x22, 0xc9, 0xc6, 0x18, 0x43, 0xc3, 0x79, 0x8e, 0x26, 0x7f,
0x5a, 0xff, 0xc1, 0x55, 0xa2, 0xa2, 0x28, 0xb4, 0xec, 0x9d, 0xd7, 0x16, 0xd1,
0x73, 0x34, 0xd0, 0xa6, 0xda, 0x5d, 0x10, 0x17, 0x91, 0x47, 0x8e, 0x5c, 0x11,
0xd7, 0xd1, 0xe6, 0xb5, 0xfb, 0x81, 0xb8, 0xa0, 0x3e, 0x72, 0xef, 0x28, 0x66,
0x92, 0x9e, 0x55, 0x50, 0xe9, 0xaa, 0x76, 0x0e, 0x31, 0xda, 0x33, 0x14, 0x77,
0x61, 0x9d, 0xe9, 0xd6, 0x22, 0xa2, 0x5b, 0x7e, 0x04, 0x8d, 0x44, 0x75, 0x66,
0x9d, 0xc1, 0x5e, 0x9c, 0x46, 0xa4, 0x69, 0x3a, 0x50, 0x6d, 0x47, 0x08, 0x89,
0x31, 0x0e, 0xb3, 0x56, 0x07, 0x10, 0x1f, 0xe9, 0x10, 0x3d, 0x82, 0x6d, 0xdb,
0x62, 0x74, 0xc3, 0xbc, 0x3a, 0x66, 0x09, 0xb5, 0x5b, 0x33, 0x6b, 0xb4, 0x8f,
0xb8, 0x5d, 0x21, 0x16, 0xa6, 0x0e, 0x20, 0x2e, 0x81, 0x69, 0xd9, 0x60, 0x9c,
0x6e, 0x72, 0xcf, 0xb1, 0xc8, 0x48, 0xbd, 0x5a, 0x8d, 0x60, 0x41, 0xb5, 0x83,
0x4c, 0x92, 0xd7, 0xf6, 0x16, 0xbc, 0x73, 0x46, 0x6d, 0x4f, 0x41, 0x5d, 0xce,
0x8a, 0xc6, 0xa4, 0x44, 0x9a, 0x2c, 0xcb, 0x66, 0x3a, 0xa2, 0xab, 0x23, 0x71,
0x80, 0xc1, 0xdb, 0xdd, 0x92, 0xda, 0x24, 0x7f, 0xd9, 0xb3, 0x43, 0x88, 0x48,
0x07, 0x46, 0xca, 0xdd, 0x01, 0x1b, 0x10, 0xbe, 0xd2, 0xe2, 0x76, 0xbb, 0x25,
0x49, 0xf2, 0x78, 0x3c, 0xe0, 0x4f, 0x84, 0xd0, 0x7a, 0xbd, 0x76, 0x1c, 0xe7,
0x95, 0xf3, 0x24, 0xcf, 0xf3, 0xc3, 0xe1, 0x30, 0x42, 0xf4, 0xd4, 0xd8, 0xbc,
0xea, 0x95, 0xd4, 0xa9, 0x75, 0x3f, 0x7e, 0x29, 0xd4, 0x37, 0x58, 0xf9, 0x76,
0xd2, 0xb0, 0xa8, 0xbc, 0xb3, 0xfc, 0x4d, 0xa5, 0xe1, 0x38, 0x1c, 0x0e, 0x51,
0x14, 0xd5, 0x76, 0xc3, 0x45, 0x51, 0xc4, 0x71, 0xbc, 0xdb, 0xed, 0xa6, 0x95,
0x66, 0x2e, 0x09, 0x96, 0xd6, 0xeb, 0x35, 0xed, 0xc2, 0x9f, 0xcf, 0x67, 0x51,
0x14, 0xe3, 0xc4, 0x68, 0x1a, 0x0c, 0x06, 0x83, 0xc1, 0x60, 0x30, 0x18, 0x0c,
0x06, 0x83, 0xc1, 0x60, 0x30, 0x7c, 0x37, 0xfe, 0x05, 0xeb, 0x30, 0xbd, 0x6c,
0xad, 0xe3, 0x10, 0xe1, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae,
0x42, 0x60, 0x82 };
IconMask iconMask1(iconMask1Data);

const uchar iconMask2Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x08, 0x09, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0x9d, 0xcd, 0x75, 0xe2, 0x3a, 0x14, 0xc7, 0x79, 0x1f, 0x7b, 0x94, 0x0a, 0xa2,
0x54, 0x30, 0xa6, 0x02, 0x94, 0x0a, 0x30, 0x15, 0xe0, 0xec, 0x66, 0x67, 0x53,
0x81, 0xc9, 0x6a, 0x96, 0x78, 0x2a, 0x00, 0x2a, 0x00, 0x2a, 0x40, 0x54, 0x80,
0x3b, 0xb0, 0x52, 0x81, 0xc5, 0x6e, 0x76, 0x7e, 0x0b, 0x9d, 0xd1, 0xf3, 0x18,
0xc7, 0x96, 0x25, 0x4b, 0x98, 0x9c, 0xfb, 0x5b, 0xe4, 0x04, 0x62, 0x6c, 0xe5,
0x8f, 0x74, 0x75, 0xaf, 0x7d, 0x75, 0x35, 0x1a, 0x01, 0x00, 0x00, 0x00, 0x83,
0xe5, 0x2f, 0x95, 0x83, 0x56, 0xab, 0xd5, 0x74, 0x3a, 0xad, 0xbc, 0x79, 0x3c,
0x1e, 0x93, 0x24, 0xb1, 0xd3, 0xaa, 0x01, 0xf1, 0x4f, 0xeb, 0x11, 0x51, 0x14,
0xfd, 0xf8, 0xf1, 0x83, 0x73, 0xfe, 0xeb, 0xd7, 0xaf, 0xf2, 0xfb, 0xdf, 0xbf,
0x7f, 0x1f, 0x8d, 0x46, 0xe7, 0xf3, 0xd9, 0x66, 0xf3, 0xee, 0xcf, 0xa7, 0x3d,
0x28, 0x08, 0x82, 0xe9, 0x74, 0x8a, 0x10, 0x22, 0x84, 0xa4, 0x69, 0xfa, 0xfa,
0xfa, 0x5a, 0x39, 0xe0, 0x72, 0xb9, 0x60, 0x8c, 0xd3, 0x34, 0x65, 0x8c, 0x51,
0x4a, 0x77, 0xbb, 0x9d, 0xfd, 0xd6, 0x0e, 0x86, 0xcb, 0xe5, 0x52, 0x14, 0x45,
0x9e, 0xe7, 0x97, 0xcb, 0x45, 0xfc, 0xbc, 0x3d, 0xe6, 0x74, 0x3a, 0xe5, 0x79,
0x2e, 0x7e, 0x16, 0x45, 0x51, 0x7b, 0xcc, 0xd7, 0x24, 0x08, 0x82, 0xa2, 0x28,
0xc2, 0x30, 0x14, 0x2f, 0xe3, 0x38, 0x2e, 0x8a, 0xe2, 0xf4, 0x27, 0x42, 0x41,
0x79, 0x4c, 0x14, 0x45, 0x45, 0x51, 0x2c, 0x16, 0x8b, 0xbb, 0x36, 0xdc, 0x0a,
0x35, 0x43, 0x6c, 0xb3, 0xd9, 0xf8, 0xbe, 0xff, 0xf4, 0xf4, 0x24, 0xdf, 0x09,
0xc3, 0xd0, 0xf7, 0xfd, 0xca, 0x61, 0x94, 0xd2, 0xf7, 0xf7, 0x77, 0xf9, 0x32,
0xcf, 0xf3, 0xc3, 0xe1, 0xf0, 0xf6, 0xf6, 0x66, 0xaf, 0xad, 0x84, 0x90, 0x6f,
0xdf, 0xbe, 0x21, 0x84, 0x9a, 0x0f, 0x3b, 0x9f, 0xcf, 0x94, 0x52, 0x7b, 0xcd,
0x18, 0x89, 0x3e, 0xd2, 0xf5, 0x53, 0x97, 0xcb, 0x65, 0xbf, 0xdf, 0xdb, 0x69,
0xd1, 0x08, 0x21, 0x74, 0x3a, 0x9d, 0x0a, 0x65, 0xf6, 0xfb, 0x7d, 0xab, 0x8e,
0x8a, 0xfc, 0xdd, 0xcb, 0x59, 0x46, 0xa3, 0x11, 0xe7, 0xbc, 0xaf, 0x36, 0xdd,
0xb2, 0xd9, 0x6c, 0x08, 0x21, 0xea, 0xc7, 0xfb, 0xbe, 0xdf, 0xd7, 0xb7, 0xf5,
0x6f, 0xf3, 0x9f, 0x3d, 0xcf, 0xf3, 0x3c, 0xaf, 0xe1, 0x00, 0x4a, 0x29, 0x63,
0xac, 0x97, 0xa6, 0x7c, 0x06, 0x21, 0x44, 0x0e, 0xf0, 0xed, 0x76, 0xdb, 0x7c,
0x39, 0x8c, 0x71, 0x10, 0x04, 0xe2, 0x53, 0x84, 0x10, 0xf3, 0xb1, 0xd6, 0x22,
0x50, 0x1c, 0xc7, 0xb7, 0xd6, 0xa7, 0x0c, 0xa5, 0xf4, 0xd6, 0x03, 0x30, 0x07,
0x63, 0xec, 0x79, 0x1e, 0x42, 0xe8, 0xf9, 0xf9, 0x59, 0xf6, 0x9d, 0xed, 0x76,
0xab, 0x68, 0xe3, 0x84, 0x46, 0x61, 0x18, 0x4e, 0xa7, 0xd3, 0x8f, 0x8f, 0x0f,
0xce, 0x39, 0x63, 0x2c, 0x4d, 0x53, 0x8d, 0x96, 0xb4, 0x08, 0x34, 0x9f, 0xcf,
0x9f, 0x9f, 0x9f, 0x1b, 0x0e, 0xf8, 0xf8, 0xf8, 0xd0, 0xb8, 0xea, 0x67, 0x20,
0x84, 0xa2, 0x28, 0x0a, 0xc3, 0xb0, 0x76, 0xb4, 0x2a, 0x76, 0x55, 0x79, 0x98,
0xef, 0xfb, 0xe5, 0x6f, 0x57, 0xf8, 0x6b, 0xef, 0xef, 0xef, 0x9d, 0xba, 0x7c,
0x8b, 0x40, 0xbd, 0x4b, 0xd0, 0x00, 0xc6, 0xf8, 0x74, 0x3a, 0x61, 0x8c, 0xed,
0x9d, 0x3f, 0x08, 0x02, 0x42, 0xc8, 0xeb, 0xeb, 0xab, 0xba, 0x46, 0xed, 0x02,
0x45, 0x51, 0x34, 0x9b, 0xcd, 0x6a, 0xff, 0xd4, 0x63, 0x38, 0x56, 0x51, 0x87,
0x73, 0x4e, 0x29, 0xe5, 0x9c, 0x73, 0xce, 0x31, 0xc6, 0xa2, 0x23, 0x28, 0x6a,
0x27, 0x0f, 0xa3, 0x94, 0x52, 0x4a, 0x31, 0xc6, 0x72, 0xc0, 0xca, 0x0b, 0x4d,
0x26, 0x13, 0xce, 0xb9, 0xca, 0xd9, 0xda, 0x05, 0x6a, 0xa0, 0x28, 0x0a, 0x93,
0x8f, 0x97, 0x89, 0xe3, 0x58, 0xfc, 0x63, 0x9c, 0x73, 0xdf, 0xf7, 0xcb, 0x21,
0x9e, 0x34, 0xd2, 0xc2, 0xb2, 0x28, 0x1a, 0x69, 0x11, 0x63, 0x97, 0xcf, 0x13,
0x04, 0xc1, 0x7a, 0xbd, 0x46, 0x08, 0x61, 0x8c, 0xc3, 0x30, 0x2c, 0x3b, 0x71,
0xdd, 0xd0, 0xf3, 0x83, 0xf4, 0x3e, 0x25, 0xc9, 0xb2, 0x4c, 0xb8, 0x30, 0xb5,
0xee, 0x78, 0x27, 0x27, 0x48, 0xba, 0x42, 0xb7, 0xe7, 0x21, 0x84, 0x88, 0xbf,
0xe6, 0x79, 0xae, 0xd8, 0x30, 0xa5, 0x1e, 0x54, 0x3b, 0xd9, 0xf7, 0x38, 0xc1,
0x7b, 0x9e, 0x27, 0xbb, 0x4f, 0x6d, 0xd0, 0x3b, 0x9f, 0xcf, 0x85, 0x7f, 0xaf,
0x78, 0x42, 0x4a, 0x69, 0xed, 0x7c, 0x27, 0x86, 0x2d, 0x42, 0x48, 0xcc, 0x8f,
0x2a, 0xe6, 0x55, 0x49, 0xa0, 0xda, 0xc9, 0xbe, 0xc7, 0x09, 0x5e, 0xce, 0x59,
0x9f, 0xcd, 0xc4, 0x9c, 0xf3, 0xf9, 0x7c, 0x3e, 0x9d, 0x4e, 0x5b, 0xdd, 0x45,
0xce, 0x79, 0x9a, 0xa6, 0x0d, 0x37, 0x61, 0x28, 0xa5, 0xe2, 0x7f, 0xf1, 0x3c,
0x4f, 0x53, 0x20, 0x61, 0x17, 0xcb, 0xef, 0xd4, 0x4e, 0xf6, 0x3d, 0xce, 0x6e,
0xf2, 0x72, 0xcd, 0x5d, 0xf2, 0x7c, 0x3e, 0x9b, 0xdf, 0x7e, 0x92, 0xb6, 0x59,
0xd1, 0xef, 0x57, 0x12, 0x48, 0x45, 0x0e, 0xcf, 0xf3, 0x0e, 0x87, 0x83, 0x72,
0x3b, 0xff, 0x40, 0xaa, 0xaf, 0x38, 0xb3, 0x98, 0xd0, 0x55, 0xa0, 0x9a, 0x58,
0xec, 0x70, 0x38, 0x08, 0x87, 0x4d, 0xfd, 0xaa, 0x51, 0x14, 0x21, 0x84, 0xcc,
0xfd, 0xfa, 0x01, 0x0a, 0x54, 0xd3, 0x83, 0x8e, 0xc7, 0x63, 0x9a, 0xa6, 0xeb,
0xf5, 0x3a, 0x8e, 0xe3, 0x56, 0xf7, 0x5c, 0xcc, 0x9a, 0x08, 0xa1, 0x34, 0x4d,
0xbf, 0xe4, 0x4d, 0xc5, 0xfa, 0x68, 0x7e, 0x32, 0x99, 0xbc, 0xbd, 0xbd, 0xa9,
0x0c, 0x19, 0xc6, 0xd8, 0xe1, 0x70, 0xf0, 0x7d, 0x7f, 0x32, 0x99, 0x58, 0x68,
0xde, 0xfd, 0xf9, 0x74, 0x16, 0xdb, 0x6e, 0xb7, 0xdb, 0xed, 0xd6, 0x6d, 0x63,
0xaa, 0x60, 0x8c, 0x37, 0x9b, 0x8d, 0x49, 0xf0, 0xc1, 0x18, 0x9b, 0xcf, 0xe7,
0x26, 0x23, 0xd7, 0xc8, 0x93, 0xb6, 0xcd, 0x62, 0xb1, 0xe8, 0x74, 0x1b, 0xe8,
0x16, 0x8c, 0xf1, 0x62, 0xb1, 0xf8, 0xf9, 0xf3, 0xa7, 0xf6, 0x19, 0x7a, 0xbb,
0x61, 0x66, 0x83, 0x5e, 0x26, 0x75, 0xc3, 0xa9, 0x63, 0xd0, 0x3d, 0x88, 0x52,
0xfa, 0xf4, 0xf4, 0x34, 0x1e, 0x8f, 0xb5, 0xcf, 0x70, 0xbd, 0x5e, 0x0d, 0x67,
0xc6, 0x41, 0x0b, 0x24, 0xba, 0x80, 0x83, 0xb9, 0xbf, 0x81, 0x41, 0x0f, 0xb1,
0x21, 0x00, 0x02, 0xb5, 0x30, 0xf4, 0x21, 0x26, 0x08, 0x82, 0xa0, 0xf9, 0xce,
0xef, 0x2d, 0x8c, 0xb1, 0x5e, 0x1c, 0xd7, 0x07, 0x10, 0x28, 0x08, 0x82, 0xcd,
0x66, 0xa3, 0xf7, 0x59, 0x73, 0x8d, 0x60, 0x88, 0xb5, 0xf0, 0x00, 0x3d, 0x48,
0x38, 0xf4, 0x30, 0xc4, 0x9a, 0xb8, 0x63, 0xd0, 0x03, 0x43, 0xac, 0x05, 0x10,
0xa8, 0x85, 0xc7, 0x18, 0x62, 0x9d, 0x22, 0x7b, 0xf3, 0x08, 0xbe, 0xcc, 0xc3,
0x08, 0xa4, 0x1e, 0xd9, 0x9b, 0x47, 0xf0, 0x65, 0x1e, 0x66, 0x88, 0xa9, 0x47,
0xf6, 0xe6, 0x11, 0x7c, 0x99, 0x41, 0xf4, 0x20, 0x95, 0xfb, 0xc4, 0xea, 0x91,
0x7d, 0x73, 0x04, 0xdf, 0x35, 0x89, 0x69, 0x10, 0x02, 0x5d, 0xaf, 0x57, 0xf1,
0x4b, 0x73, 0xeb, 0x7b, 0x89, 0xec, 0xe5, 0x25, 0x14, 0x9f, 0x7a, 0x0e, 0x62,
0x88, 0x75, 0x7d, 0xd2, 0x60, 0x82, 0xe2, 0x33, 0xb8, 0x61, 0x81, 0x31, 0xee,
0xfa, 0xc8, 0x5c, 0x1b, 0x91, 0xb4, 0x5c, 0x14, 0x45, 0x73, 0xe6, 0xdc, 0xe0,
0x90, 0xed, 0x36, 0xbc, 0x09, 0xdd, 0x8c, 0xc8, 0x70, 0x2e, 0x8a, 0x22, 0xcb,
0x32, 0x7b, 0x57, 0xb1, 0x82, 0xc8, 0xc6, 0x16, 0x9d, 0xc8, 0x52, 0xbe, 0x35,
0x21, 0x44, 0x7e, 0x0d, 0xea, 0xb7, 0x07, 0x94, 0x16, 0xb3, 0x38, 0x00, 0x21,
0x24, 0xd6, 0x36, 0x88, 0x97, 0x22, 0x07, 0x81, 0x31, 0x66, 0x68, 0x98, 0xd1,
0x6f, 0x08, 0x21, 0x65, 0xf3, 0xdc, 0x29, 0xc9, 0x6c, 0x28, 0x60, 0x8c, 0x65,
0x96, 0x90, 0x3d, 0xb2, 0x2c, 0xb3, 0x97, 0xe5, 0x67, 0x1d, 0x11, 0x4f, 0x58,
0x92, 0x29, 0xcf, 0xf3, 0x38, 0x8e, 0xbb, 0x4e, 0x94, 0x43, 0x19, 0x62, 0x15,
0x3c, 0xcf, 0x1b, 0x8f, 0xc7, 0x22, 0xbd, 0xd0, 0xe4, 0x3c, 0xfc, 0x37, 0x69,
0x9a, 0x3a, 0xcb, 0x46, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xab,
0x71, 0x9f, 0x27, 0xab, 0x1a, 0x8f, 0x4c, 0xc5, 0xd3, 0x51, 0x6b, 0x2d, 0x1a,
0x06, 0x08, 0xa1, 0xd5, 0x6a, 0x25, 0x73, 0x50, 0xba, 0x92, 0x65, 0xd9, 0x7a,
0xbd, 0x7e, 0xe0, 0xd4, 0x83, 0x66, 0xfa, 0x4a, 0xde, 0x78, 0xec, 0xf4, 0x8c,
0xcf, 0xe8, 0x37, 0xb5, 0x25, 0xcb, 0x32, 0x07, 0xd9, 0x8c, 0x4e, 0x49, 0x92,
0xa4, 0x2f, 0x75, 0x04, 0x71, 0x1c, 0xbb, 0x69, 0xb9, 0x23, 0x23, 0x5d, 0x19,
0x17, 0xab, 0xd5, 0xaa, 0x6b, 0xae, 0xb7, 0xef, 0xfb, 0xe5, 0x72, 0x22, 0x9c,
0xf3, 0x72, 0xad, 0xd0, 0x87, 0x44, 0x16, 0x0f, 0x93, 0xa9, 0x93, 0x82, 0xf5,
0x7a, 0xad, 0x77, 0x42, 0x99, 0xc7, 0x28, 0x98, 0xcd, 0x66, 0xa2, 0x32, 0xd3,
0xc3, 0x0c, 0x37, 0x84, 0x50, 0x18, 0x86, 0xfb, 0xfd, 0xbe, 0xd9, 0xdc, 0xdc,
0xd6, 0xee, 0x56, 0x44, 0x16, 0xd8, 0xaa, 0x45, 0xd4, 0x4a, 0x0d, 0xc3, 0x70,
0x88, 0x26, 0x5c, 0x94, 0x96, 0x53, 0x34, 0x1f, 0x96, 0x04, 0x2a, 0x63, 0x58,
0xf1, 0xa3, 0x67, 0xa2, 0x28, 0xea, 0xe4, 0xda, 0x38, 0x10, 0x48, 0xd0, 0xa9,
0x04, 0x92, 0x2d, 0x44, 0x25, 0xe9, 0x4e, 0x38, 0x13, 0xa8, 0x17, 0x8d, 0x8c,
0x16, 0xb3, 0x60, 0x8c, 0x6f, 0x2d, 0xae, 0x58, 0x8d, 0xc4, 0x18, 0x13, 0x59,
0xce, 0xe2, 0x9d, 0x72, 0x29, 0x22, 0x42, 0x88, 0x5e, 0xd5, 0x92, 0x4a, 0xbd,
0xcb, 0x20, 0x08, 0x64, 0x49, 0x3b, 0x31, 0x1b, 0xc8, 0x6a, 0x92, 0x92, 0x38,
0x8e, 0x0f, 0x87, 0x83, 0x49, 0x4a, 0xb4, 0xd1, 0x34, 0xbf, 0xd9, 0x6c, 0x64,
0x55, 0x47, 0x91, 0xa0, 0x1d, 0x04, 0x41, 0xed, 0x3f, 0x9f, 0xe7, 0x79, 0xb9,
0xe9, 0x49, 0x92, 0x1c, 0x8f, 0xc7, 0x4e, 0xd7, 0x22, 0x84, 0x94, 0x7d, 0x1f,
0xc6, 0xd8, 0xcb, 0xcb, 0xcb, 0xed, 0x61, 0x41, 0x10, 0xc8, 0x9a, 0x95, 0x02,
0x4b, 0xe5, 0x78, 0xdb, 0x91, 0x2b, 0x50, 0x04, 0xcd, 0x11, 0x40, 0x65, 0x86,
0x36, 0xa7, 0xc1, 0x57, 0xb8, 0xf5, 0xda, 0xef, 0xe3, 0x07, 0x84, 0x61, 0x58,
0x6e, 0x44, 0xf3, 0x02, 0x0b, 0x84, 0x50, 0xbf, 0xa1, 0x46, 0xf3, 0x24, 0x55,
0xb1, 0x56, 0xb2, 0xf6, 0xbe, 0x53, 0xf6, 0xfb, 0xbd, 0x6c, 0x81, 0xca, 0x32,
0x26, 0xc7, 0xc1, 0x6a, 0x79, 0x62, 0xb5, 0x57, 0x4b, 0xbe, 0x09, 0xb1, 0x31,
0x82, 0x40, 0xb1, 0x8a, 0xab, 0x30, 0xea, 0xda, 0x32, 0x75, 0x5a, 0x4b, 0x50,
0xfe, 0xfe, 0x4c, 0x16, 0x3f, 0xe9, 0xcf, 0x62, 0xe5, 0x05, 0x69, 0x8a, 0xb7,
0xb2, 0x18, 0x63, 0xcb, 0xe5, 0x72, 0xb9, 0x5c, 0x8a, 0x95, 0x06, 0x9d, 0x2e,
0xc7, 0x18, 0xeb, 0xb4, 0x96, 0xa0, 0x3c, 0x73, 0x99, 0x38, 0x8d, 0x9a, 0x02,
0x55, 0xbe, 0xc6, 0xae, 0xf3, 0xa8, 0x83, 0x7b, 0x83, 0x95, 0x26, 0x21, 0x84,
0xf4, 0x96, 0x55, 0x69, 0xae, 0x59, 0xad, 0x08, 0x74, 0xdf, 0x2a, 0x5a, 0xb5,
0xc8, 0x85, 0xc2, 0x02, 0xed, 0x42, 0x68, 0x5f, 0x56, 0xa0, 0xbe, 0xf8, 0xb2,
0x02, 0x55, 0x86, 0x98, 0xb6, 0x19, 0x1a, 0xc4, 0xb2, 0xf0, 0x21, 0x03, 0x02,
0xb5, 0x00, 0x02, 0xb5, 0x60, 0xbd, 0x34, 0xc5, 0x6d, 0x84, 0xdd, 0x23, 0x0e,
0x9e, 0x26, 0xda, 0x15, 0x28, 0x49, 0x12, 0xdb, 0x71, 0x50, 0x92, 0x24, 0xcb,
0xe5, 0xd2, 0xde, 0xf9, 0x2d, 0x0e, 0x31, 0xcf, 0xf3, 0x1c, 0x44, 0x89, 0x51,
0x14, 0x59, 0x2d, 0x32, 0x01, 0x36, 0xa8, 0x05, 0x8b, 0x02, 0xa5, 0x69, 0xea,
0x60, 0x9f, 0xd1, 0x24, 0x49, 0xac, 0x9a, 0x21, 0xbb, 0x36, 0x68, 0xb9, 0x5c,
0xee, 0x76, 0x3b, 0x93, 0x7a, 0xc7, 0xcd, 0x5c, 0xaf, 0xd7, 0xc7, 0x36, 0xd2,
0x6e, 0xe2, 0x52, 0xab, 0x80, 0x0d, 0x6a, 0x01, 0x04, 0x6a, 0x01, 0x04, 0x6a,
0x01, 0x04, 0x6a, 0xc1, 0x5d, 0x15, 0xbc, 0x1e, 0x63, 0x0e, 0x97, 0xf9, 0x8a,
0x8e, 0x04, 0xea, 0x3d, 0xe6, 0xb0, 0x1d, 0x61, 0x48, 0x5c, 0x0c, 0x31, 0x1b,
0x31, 0x87, 0xed, 0x08, 0x43, 0x02, 0x36, 0xa8, 0x05, 0x17, 0x02, 0xd9, 0x88,
0x39, 0x6c, 0x47, 0x18, 0x12, 0x47, 0x36, 0xa8, 0xdf, 0x98, 0xc3, 0x41, 0x84,
0x21, 0x71, 0x37, 0x8b, 0x3d, 0x68, 0xcc, 0x01, 0x36, 0xa8, 0x05, 0x10, 0xa8,
0x05, 0x10, 0xa8, 0x85, 0x3b, 0xd4, 0x93, 0xd6, 0x76, 0xa9, 0xef, 0xb2, 0xe0,
0xc7, 0xb5, 0x40, 0x86, 0x2e, 0xb5, 0x33, 0x07, 0x5a, 0xe2, 0x74, 0x88, 0x99,
0xbb, 0xd4, 0xce, 0x1c, 0x68, 0x09, 0xd8, 0xa0, 0x16, 0x9c, 0x0a, 0x64, 0xee,
0x52, 0x3b, 0x73, 0xa0, 0x25, 0x9a, 0x36, 0xe8, 0x36, 0x77, 0x42, 0x31, 0xf5,
0xd9, 0xc4, 0xa5, 0xee, 0xe4, 0x40, 0x57, 0xe6, 0x81, 0x4a, 0xba, 0x90, 0x3a,
0x77, 0x98, 0xc5, 0xdc, 0x74, 0x81, 0x8a, 0x40, 0xda, 0xd5, 0xf2, 0x35, 0x87,
0x58, 0x25, 0x21, 0x68, 0x80, 0x0b, 0x92, 0x2a, 0x9d, 0x54, 0xbb, 0x07, 0xf5,
0x23, 0xd0, 0x80, 0x96, 0xd6, 0xfc, 0xa6, 0xd2, 0x24, 0xed, 0x14, 0x2f, 0x7d,
0x23, 0xdd, 0x57, 0x1a, 0xa9, 0x25, 0x34, 0x92, 0x70, 0x6b, 0xd1, 0x17, 0xa8,
0x7c, 0x55, 0xab, 0x7b, 0x3d, 0xe8, 0x51, 0x16, 0xc8, 0x64, 0x31, 0x8b, 0xbe,
0x40, 0xe5, 0x45, 0xa7, 0x62, 0xdb, 0x01, 0xed, 0x53, 0xf5, 0x4e, 0x10, 0x04,
0x65, 0xb3, 0xd8, 0xe3, 0x5e, 0x48, 0x1d, 0x40, 0x08, 0x69, 0xac, 0x10, 0x70,
0xc0, 0xed, 0x9a, 0x87, 0xbb, 0x35, 0xac, 0xb2, 0x0c, 0x33, 0xcb, 0x32, 0x4b,
0x7b, 0x86, 0xa8, 0x43, 0x08, 0xa9, 0xa8, 0xa3, 0xbd, 0x05, 0xa9, 0xc0, 0x68,
0xbd, 0x18, 0xc6, 0xf8, 0x72, 0xb9, 0xdc, 0xa6, 0x04, 0xa7, 0x69, 0x2a, 0xb6,
0x0d, 0x11, 0x3b, 0x59, 0xd9, 0x4b, 0x12, 0x16, 0x5d, 0x43, 0xee, 0x9f, 0x50,
0xde, 0x5d, 0x44, 0xf2, 0xf2, 0xf2, 0x72, 0xcf, 0x3d, 0x46, 0x34, 0x96, 0x64,
0xba, 0xe4, 0x3e, 0x0b, 0xa1, 0x1e, 0x42, 0xa3, 0x3c, 0xcf, 0x07, 0xa1, 0x8e,
0x40, 0xec, 0xa8, 0x72, 0x6f, 0x4d, 0xfe, 0xe7, 0x74, 0x3a, 0xf5, 0x65, 0x98,
0xfb, 0x2c, 0x4d, 0x81, 0x31, 0x9e, 0xcd, 0x66, 0x84, 0x10, 0xb1, 0xc4, 0xb6,
0xc7, 0x33, 0xab, 0xc0, 0x18, 0x4b, 0xd3, 0x94, 0x52, 0xba, 0xdb, 0xed, 0x7a,
0xb4, 0x7a, 0x16, 0x6b, 0x77, 0x20, 0x84, 0xc6, 0xe3, 0xb1, 0xe2, 0xc6, 0x84,
0x7a, 0x08, 0xeb, 0xdb, 0xbc, 0xa9, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x50, 0xe6, 0x3f, 0x8d, 0xfd, 0x22, 0x57,
0x94, 0x47, 0x6a, 0x5f, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae,
0x42, 0x60, 0x82 };
IconMask iconMask2(iconMask2Data);

} // namespace

void init_style_ayu_styles(int scale) {
	if (inited) return;
	inited = true;

	init_style_basic(scale);
	init_palette(scale);
	init_style_widgets(scale);
	init_style_info(scale);

	initPxValues(scale);

	_cpPadding = px14;
	_cpSelectedPadding = px2;
	_cpSelectedRounding = px12;
	_cpImagePadding = px4;
	_cpSpacingX = px16;
	_cpSpacingY = px8;
	_cpIconSize = px64;
	_recentStickersLimitPadding = { px22, px4, px22, px8 };
	_imageViewPadding = { px22, px10, px22, px10 };
	_imageViewInnerPadding = { px16, px16, px16, px16 };
	_botWebViewPanelHeightIncreased = px782;
	_botWebViewPanelWidthIncreased = px512;
	_stickerRoundingSize = px5;
	_messageShotPadding = px4;
	_topBarAdmins = { px40, st::topBarHeight, { std::in_place, MonoIcon{ &iconMask1, st::menuIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask1, st::menuIconFgOver, { px0, px0 } } }, { px4, px11 }, 0, { px0, px7 }, px40, { st::windowBgOver, 550, 170 } };
	_topBarRecentActions = { px40, st::topBarHeight, { std::in_place, MonoIcon{ &iconMask2, st::menuIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask2, st::menuIconFgOver, { px0, px0 } } }, { px4, px11 }, 0, { px0, px7 }, px40, { st::windowBgOver, 550, 170 } };
	_exteraBadgeToast = { st::defaultTextStyle, { std::in_place, MonoIcon{ &iconMask3, st::toastFg, { px0, px0 } } }, { px13, px13 }, st::defaultToastPalette, { px54, px13, px19, px12 }, { px13, px13, px13, px13 }, st::msgMinWidth, px480, 200, 1000, 160 };
}

} // namespace internal
} // namespace style
