// WARNING! All changes made in this file will be lost!
// Created from 'editor.style' by 'codegen_style'
//
// This file is part of Desktop App Toolkit,
// a set of libraries for developing nice desktop applications.
//
// For license and copyright information please follow this link:
// https://github.com/desktop-app/legal/blob/master/LEGAL
//
#include "style_editor.h"

#include "styles/palette.h"
#include "styles/style_basic.h"
#include "styles/style_widgets.h"
#include "styles/style_layers.h"
#include "styles/style_intro.h"
#include "styles/style_boxes.h"
#include "styles/style_menu_icons.h"
#include "styles/style_premium.h"
#include "styles/style_chat_helpers.h"
#include "styles/style_window.h"
#include "styles/style_dialogs.h"
#include "styles/style_chat.h"

namespace {

bool inited = false;

class Module_style_editor : public style::internal::ModuleBase {
public:
	Module_style_editor() { style::internal::registerModule(this); }

	void start(int scale) override {
		style::internal::init_style_editor(scale);
	}
};
Module_style_editor registrator;

int _photoEditorControlsHeight = 0;
int _photoEditorControlsBottomSkip = 0;
int _photoEditorControlsCenterSkip = 0;
style::margins _photoEditorContentMargins = { 0, 0, 0, 0 };
style::color _photoEditorButtonIconFg = { Qt::Uninitialized };
style::color _photoEditorButtonIconFgOver = { Qt::Uninitialized };
style::color _photoEditorButtonIconFgActive = { Qt::Uninitialized };
style::color _photoEditorButtonIconFgInactive = { Qt::Uninitialized };
int _photoEditorButtonBarHeight = 0;
int _photoEditorButtonBarWidth = 0;
style::margins _photoEditorButtonBarPadding = { 0, 0, 0, 0 };
style::margins _photoEditorTextButtonPadding = { 0, 0, 0, 0 };
style::TextStyle _photoEditorButtonStyle = { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } };
int _photoEditorButtonTextTop = 0;
style::FlatLabel _photoEditorAbout = { { 0, 0, 0, 0 }, 0, style::al_topleft, { Qt::Uninitialized }, 0, { { Qt::Uninitialized }, 0, 0, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false }, { { 0, 0, 0, 0 }, 0, 0, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, { Qt::Uninitialized }, { 0, 0 }, 0, 0, 0, false } }, { { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, { Qt::Uninitialized }, false } };
style::margins _photoEditorAboutMargin = { 0, 0, 0, 0 };
style::IconButton _photoEditorRotateButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::IconButton _photoEditorFlipButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::icon _photoEditorFlipIconActive = { Qt::Uninitialized };
style::IconButton _photoEditorPaintModeButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::icon _photoEditorPaintIconActive = { Qt::Uninitialized };
style::IconButton _photoEditorUndoButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::IconButton _photoEditorRedoButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::IconButton _photoEditorStickersButton = { 0, 0, { Qt::Uninitialized }, { Qt::Uninitialized }, { 0, 0 }, 0, { 0, 0 }, 0, { { Qt::Uninitialized }, 0, 0 } };
style::icon _photoEditorStickersIconActive = { Qt::Uninitialized };
style::icon _photoEditorUndoButtonInactive = { Qt::Uninitialized };
style::icon _photoEditorRedoButtonInactive = { Qt::Uninitialized };
int _photoEditorColorPickerWidth = 0;
int _photoEditorColorPickerLineHeight = 0;
int _photoEditorColorPickerCanvasHeight = 0;
int _photoEditorColorPickerCircleSize = 0;
int _photoEditorColorPickerCircleBigSize = 0;
int _photoEditorColorPickerCircleSkip = 0;
int _photoEditorCropPointSize = 0;
int _photoEditorCropMinSize = 0;
int _photoEditorItemHandleSize = 0;

} // namespace

namespace st {
const int &photoEditorControlsHeight(_photoEditorControlsHeight);
const int &photoEditorControlsBottomSkip(_photoEditorControlsBottomSkip);
const int &photoEditorControlsCenterSkip(_photoEditorControlsCenterSkip);
const style::margins &photoEditorContentMargins(_photoEditorContentMargins);
const style::color &photoEditorButtonIconFg(_photoEditorButtonIconFg);
const style::color &photoEditorButtonIconFgOver(_photoEditorButtonIconFgOver);
const style::color &photoEditorButtonIconFgActive(_photoEditorButtonIconFgActive);
const style::color &photoEditorButtonIconFgInactive(_photoEditorButtonIconFgInactive);
const int &photoEditorButtonBarHeight(_photoEditorButtonBarHeight);
const int &photoEditorButtonBarWidth(_photoEditorButtonBarWidth);
const style::margins &photoEditorButtonBarPadding(_photoEditorButtonBarPadding);
const style::margins &photoEditorTextButtonPadding(_photoEditorTextButtonPadding);
const style::TextStyle &photoEditorButtonStyle(_photoEditorButtonStyle);
const int &photoEditorButtonTextTop(_photoEditorButtonTextTop);
const style::FlatLabel &photoEditorAbout(_photoEditorAbout);
const style::margins &photoEditorAboutMargin(_photoEditorAboutMargin);
const style::IconButton &photoEditorRotateButton(_photoEditorRotateButton);
const style::IconButton &photoEditorFlipButton(_photoEditorFlipButton);
const style::icon &photoEditorFlipIconActive(_photoEditorFlipIconActive);
const style::IconButton &photoEditorPaintModeButton(_photoEditorPaintModeButton);
const style::icon &photoEditorPaintIconActive(_photoEditorPaintIconActive);
const style::IconButton &photoEditorUndoButton(_photoEditorUndoButton);
const style::IconButton &photoEditorRedoButton(_photoEditorRedoButton);
const style::IconButton &photoEditorStickersButton(_photoEditorStickersButton);
const style::icon &photoEditorStickersIconActive(_photoEditorStickersIconActive);
const style::icon &photoEditorUndoButtonInactive(_photoEditorUndoButtonInactive);
const style::icon &photoEditorRedoButtonInactive(_photoEditorRedoButtonInactive);
const int &photoEditorColorPickerWidth(_photoEditorColorPickerWidth);
const int &photoEditorColorPickerLineHeight(_photoEditorColorPickerLineHeight);
const int &photoEditorColorPickerCanvasHeight(_photoEditorColorPickerCanvasHeight);
const int &photoEditorColorPickerCircleSize(_photoEditorColorPickerCircleSize);
const int &photoEditorColorPickerCircleBigSize(_photoEditorColorPickerCircleBigSize);
const int &photoEditorColorPickerCircleSkip(_photoEditorColorPickerCircleSkip);
const int &photoEditorCropPointSize(_photoEditorCropPointSize);
const int &photoEditorCropMinSize(_photoEditorCropMinSize);
const int &photoEditorItemHandleSize(_photoEditorItemHandleSize);
} // namespace st

namespace style {
namespace internal {

namespace {
int pxm1 = -1;
int px0 = 0;
int px2 = 2;
int px4 = 4;
int px6 = 6;
int px10 = 10;
int px14 = 14;
int px15 = 15;
int px20 = 20;
int px22 = 22;
int px24 = 24;
int px40 = 40;
int px48 = 48;
int px50 = 50;
int px146 = 146;
int px240 = 240;
int px250 = 250;
int px300 = 300;
int px422 = 422;
void initPxValues(int scale) {
	pxm1 = ConvertScale(-1, scale);
	px0 = ConvertScale(0, scale);
	px2 = ConvertScale(2, scale);
	px4 = ConvertScale(4, scale);
	px6 = ConvertScale(6, scale);
	px10 = ConvertScale(10, scale);
	px14 = ConvertScale(14, scale);
	px15 = ConvertScale(15, scale);
	px20 = ConvertScale(20, scale);
	px22 = ConvertScale(22, scale);
	px24 = ConvertScale(24, scale);
	px40 = ConvertScale(40, scale);
	px48 = ConvertScale(48, scale);
	px50 = ConvertScale(50, scale);
	px146 = ConvertScale(146, scale);
	px240 = ConvertScale(240, scale);
	px250 = ConvertScale(250, scale);
	px300 = ConvertScale(300, scale);
	px422 = ConvertScale(422, scale);
}

const uchar iconMask2Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x0b, 0xd3, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0x9d, 0x69, 0x4c, 0x13, 0xcf, 0x1b, 0xc7, 0xb7, 0xa5, 0xb5, 0x02, 0x2d, 0x87,
0x8a, 0x0a, 0xa4, 0x0a, 0x82, 0x0a, 0x92, 0x88, 0x16, 0x50, 0x40, 0x20, 0x18,
0xef, 0xdb, 0x44, 0x04, 0x02, 0x41, 0x8d, 0xc6, 0x48, 0x50, 0x21, 0x1e, 0x2f,
0x4c, 0x54, 0x20, 0x26, 0x4a, 0x88, 0x10, 0x09, 0x97, 0x72, 0xc4, 0x8b, 0x78,
0xa0, 0x22, 0xa8, 0x88, 0xbe, 0x90, 0x50, 0x0f, 0x82, 0x01, 0x4f, 0xac, 0x28,
0x02, 0x2a, 0x68, 0x45, 0xa8, 0x40, 0x2d, 0x05, 0x85, 0x94, 0xf6, 0xf7, 0x62,
0xff, 0xd9, 0xff, 0xba, 0x2d, 0xdb, 0x9d, 0xb2, 0x85, 0xb2, 0x9d, 0xcf, 0xab,
0x99, 0xce, 0x33, 0xcf, 0xce, 0x7e, 0xbb, 0xb3, 0x33, 0x3b, 0x3b, 0x33, 0x8b,
0x20, 0x10, 0x08, 0x04, 0x02, 0x31, 0x59, 0x2c, 0x80, 0xac, 0x93, 0x93, 0x93,
0xad, 0xad, 0xad, 0x9b, 0x9a, 0x9a, 0x8c, 0x56, 0x9e, 0x71, 0x8e, 0x54, 0x2a,
0xcd, 0xcf, 0xcf, 0x1f, 0xeb, 0x52, 0x8c, 0x2a, 0x6c, 0xed, 0x9f, 0xdc, 0xdd,
0xdd, 0xf3, 0xf3, 0xf3, 0x9f, 0x3e, 0x7d, 0x5a, 0x5d, 0x5d, 0x5d, 0x5d, 0x5d,
0x7d, 0xf4, 0xe8, 0x51, 0x9d, 0x39, 0xf9, 0x7c, 0x7e, 0x73, 0x73, 0xb3, 0x4c,
0x26, 0xf3, 0xf4, 0xf4, 0x44, 0x10, 0x24, 0x3d, 0x3d, 0x5d, 0xa9, 0x54, 0x6e,
0xdc, 0xb8, 0xd1, 0xf8, 0x65, 0x1e, 0x55, 0x38, 0x84, 0xf8, 0xdc, 0xb9, 0x73,
0xeb, 0xea, 0xea, 0x86, 0x86, 0x86, 0x5e, 0xbe, 0x7c, 0xa9, 0x56, 0xab, 0x11,
0x04, 0xf9, 0xf3, 0xe7, 0xcf, 0x70, 0x99, 0xd9, 0x6c, 0x36, 0x9b, 0xcd, 0x66,
0xb1, 0x58, 0x58, 0x98, 0xcd, 0xd6, 0xa1, 0x38, 0xa3, 0x28, 0x28, 0x28, 0xe8,
0xea, 0xea, 0x72, 0x74, 0x74, 0xd4, 0x99, 0x4a, 0xa8, 0x62, 0x2c, 0x16, 0x0b,
0x55, 0x07, 0x85, 0x91, 0xea, 0x10, 0x4f, 0xc9, 0xdd, 0xdd, 0xfd, 0xdd, 0xbb,
0x77, 0xed, 0xed, 0xed, 0x54, 0x32, 0x6b, 0x34, 0x1a, 0x8d, 0x46, 0x83, 0x45,
0x1d, 0x1c, 0x1c, 0x46, 0x53, 0x23, 0x3b, 0x3b, 0xbb, 0x84, 0x84, 0x84, 0xc0,
0xc0, 0x40, 0xa3, 0x1e, 0x85, 0x78, 0x3e, 0xf8, 0x2b, 0x02, 0x08, 0x2f, 0x2f,
0xaf, 0x1f, 0x3f, 0x7e, 0x64, 0x66, 0x66, 0xd2, 0x51, 0x2a, 0x4a, 0xe4, 0xe4,
0xe4, 0x64, 0x64, 0x64, 0x54, 0x55, 0x55, 0x4d, 0x9f, 0x3e, 0xdd, 0x78, 0x47,
0xa1, 0xed, 0x0f, 0xb7, 0xb0, 0xb0, 0x60, 0xb3, 0xd9, 0x5c, 0x2e, 0x97, 0x2e,
0x87, 0x7a, 0x99, 0x3d, 0x7b, 0x36, 0x82, 0x20, 0x13, 0x26, 0x4c, 0x10, 0x0a,
0x85, 0xc6, 0x3b, 0x0a, 0xf1, 0x26, 0x6d, 0x30, 0xf5, 0xf5, 0xf5, 0x2e, 0x2e,
0x2e, 0x52, 0xa9, 0x94, 0x2e, 0x87, 0x23, 0x07, 0x6d, 0x40, 0x86, 0x86, 0x86,
0xb4, 0x93, 0x2c, 0x2c, 0x2c, 0x74, 0xfe, 0xae, 0x0d, 0x6d, 0x02, 0x21, 0x08,
0xd2, 0xda, 0xda, 0x3a, 0x92, 0xec, 0xae, 0xae, 0xae, 0x6b, 0xd6, 0xac, 0x11,
0x0a, 0x85, 0x1c, 0xce, 0x3f, 0xa5, 0x92, 0xc9, 0x64, 0xb9, 0xb9, 0xb9, 0x4a,
0xa5, 0x92, 0xba, 0x2b, 0x16, 0x8b, 0x95, 0x9f, 0x9f, 0x1f, 0x13, 0x13, 0xc3,
0xe3, 0xf1, 0x5e, 0xbf, 0x7e, 0xbd, 0x75, 0xeb, 0xd6, 0x96, 0x96, 0x16, 0x34,
0x69, 0xfa, 0xf4, 0xe9, 0x25, 0x25, 0x25, 0x01, 0x01, 0x01, 0x72, 0xb9, 0xfc,
0xd0, 0xa1, 0x43, 0x17, 0x2e, 0x5c, 0x00, 0x2b, 0xa5, 0x58, 0x2c, 0x16, 0x8b,
0xc5, 0xc3, 0xa5, 0x92, 0x74, 0x14, 0xed, 0xed, 0xed, 0x1f, 0x3d, 0x7a, 0x14,
0x11, 0x11, 0x01, 0x76, 0x3c, 0x04, 0x41, 0x10, 0x84, 0xc7, 0xe3, 0xa5, 0xa6,
0xa6, 0xaa, 0x54, 0x2a, 0xcd, 0x30, 0xa4, 0xa7, 0xa7, 0x6b, 0xe7, 0xaa, 0xad,
0xad, 0x45, 0x53, 0xfd, 0xfc, 0xfc, 0x08, 0x49, 0xab, 0x57, 0xaf, 0xc6, 0x67,
0x2f, 0x2a, 0x2a, 0xc2, 0x92, 0xce, 0x9c, 0x39, 0x83, 0xfd, 0x3e, 0x30, 0x30,
0x60, 0x69, 0x69, 0x49, 0x5e, 0x36, 0xda, 0xae, 0x20, 0x91, 0x48, 0xb4, 0x6c,
0xd9, 0xb2, 0xde, 0xde, 0xde, 0xe2, 0xe2, 0x62, 0xa0, 0x8c, 0x3c, 0x1e, 0xef,
0xd9, 0xb3, 0x67, 0xbe, 0xbe, 0xbe, 0x24, 0x36, 0x24, 0x7d, 0x31, 0x9d, 0x10,
0x1a, 0x53, 0x7c, 0x94, 0x90, 0xa4, 0xb7, 0x51, 0xa2, 0x4d, 0xa0, 0x27, 0x4f,
0x9e, 0x1c, 0x3f, 0x7e, 0xbc, 0xbc, 0xbc, 0x1c, 0x34, 0x63, 0x7a, 0x7a, 0x3a,
0xa6, 0x4e, 0x65, 0x65, 0xa5, 0x58, 0x2c, 0xfe, 0xfb, 0xf7, 0x2f, 0xde, 0x40,
0x26, 0x93, 0x5d, 0xbd, 0x7a, 0x15, 0xc8, 0xe7, 0xc3, 0x87, 0x0f, 0x2f, 0x5d,
0xba, 0x14, 0x15, 0x15, 0xc5, 0xe5, 0x72, 0x25, 0x12, 0x49, 0x72, 0x72, 0x32,
0x96, 0x94, 0x9a, 0x9a, 0x1a, 0x10, 0x10, 0xe0, 0xe7, 0xe7, 0xa7, 0x50, 0x28,
0x0e, 0x1f, 0x3e, 0xdc, 0xdf, 0xdf, 0x0f, 0x56, 0x5c, 0x83, 0xab, 0x98, 0x61,
0xcc, 0x9d, 0x3b, 0x17, 0xbb, 0xe0, 0xf7, 0xec, 0xd9, 0x03, 0x94, 0x97, 0xa4,
0x8a, 0xa1, 0x70, 0x38, 0x9c, 0x89, 0x13, 0x27, 0xea, 0x4c, 0xe2, 0xf1, 0x78,
0x14, 0x3b, 0x34, 0xb4, 0x35, 0xf3, 0x2c, 0x16, 0x2b, 0x32, 0x32, 0x72, 0xc6,
0x8c, 0x19, 0x40, 0xb9, 0x96, 0x2d, 0x5b, 0x86, 0x06, 0x2a, 0x2a, 0x2a, 0xf2,
0xf2, 0xf2, 0xe8, 0x2a, 0x0c, 0x8a, 0x4a, 0xa5, 0x22, 0x5c, 0x8c, 0x18, 0x03,
0x03, 0x03, 0xf8, 0x2e, 0x2e, 0x09, 0xb4, 0x09, 0x14, 0x1c, 0x1c, 0x7c, 0xed,
0xda, 0xb5, 0xd3, 0xa7, 0x4f, 0x03, 0xe5, 0x72, 0x70, 0x70, 0x40, 0x03, 0x2f,
0x5e, 0xbc, 0xa0, 0xab, 0x24, 0xf4, 0x42, 0x9b, 0x40, 0x4d, 0x4d, 0x4d, 0xcd,
0xcd, 0xcd, 0x4f, 0x9f, 0x3e, 0x05, 0xca, 0x85, 0x5d, 0xe7, 0x14, 0xff, 0x4f,
0xba, 0x98, 0x33, 0x67, 0x4e, 0x74, 0x74, 0xb4, 0x93, 0x93, 0x93, 0x5e, 0x4b,
0xe2, 0x4d, 0x5a, 0xad, 0x56, 0x5b, 0x58, 0x80, 0x8d, 0xa2, 0xa1, 0xb4, 0xb7,
0xb7, 0xa3, 0x5d, 0x5b, 0xd3, 0x27, 0x30, 0x30, 0x50, 0x2c, 0x16, 0x73, 0xb9,
0xdc, 0x9e, 0x9e, 0x1e, 0x6f, 0x6f, 0xef, 0x6f, 0xdf, 0xbe, 0x91, 0x18, 0x13,
0xaf, 0xa0, 0x86, 0x86, 0x86, 0x85, 0x0b, 0x17, 0x7a, 0x78, 0x78, 0x50, 0x39,
0x92, 0x95, 0x95, 0x95, 0xad, 0xad, 0x2d, 0x16, 0x9d, 0x3c, 0x79, 0xb2, 0xa1,
0x65, 0x1e, 0x55, 0x22, 0x22, 0x22, 0xd0, 0x47, 0x22, 0x7b, 0x7b, 0xfb, 0xf5,
0xeb, 0xd7, 0x93, 0x1b, 0x13, 0x05, 0x4a, 0x49, 0x49, 0xe9, 0xeb, 0xeb, 0xab,
0xaf, 0xaf, 0x6f, 0x68, 0x68, 0x90, 0x48, 0x24, 0x12, 0x89, 0x24, 0x25, 0x25,
0x45, 0x67, 0x4e, 0x7b, 0x7b, 0x7b, 0xa9, 0x54, 0xda, 0xd9, 0xd9, 0xe9, 0xe3,
0xe3, 0x83, 0x20, 0x48, 0x51, 0x51, 0x91, 0x4c, 0x26, 0xdb, 0xb6, 0x6d, 0x1b,
0x7d, 0x27, 0x62, 0x2c, 0xf0, 0x55, 0x44, 0xef, 0xf0, 0x03, 0xb1, 0x8a, 0x49,
0xa5, 0xd2, 0xf9, 0xf3, 0xe7, 0xef, 0xdd, 0xbb, 0xd7, 0xd3, 0xd3, 0x13, 0xcd,
0xfc, 0xf9, 0xf3, 0x67, 0x9d, 0x39, 0xfb, 0xfb, 0xfb, 0xdf, 0xbd, 0x7b, 0x67,
0x67, 0x67, 0xd7, 0xd5, 0xd5, 0x85, 0x20, 0x88, 0x44, 0x22, 0x69, 0x69, 0x69,
0x69, 0x6b, 0x6b, 0xa3, 0xe3, 0x14, 0x8c, 0x4b, 0x59, 0x59, 0x59, 0x5c, 0x5c,
0x1c, 0x8b, 0xc5, 0xea, 0xef, 0xef, 0x7f, 0xf8, 0xf0, 0x21, 0x9d, 0xae, 0x69,
0xef, 0x07, 0x25, 0x27, 0x27, 0xa3, 0x7d, 0x19, 0x7c, 0x5f, 0x8e, 0x22, 0x7a,
0xfb, 0x41, 0x24, 0x2c, 0x5a, 0xb4, 0x28, 0x3e, 0x3e, 0x7e, 0xce, 0x9c, 0x39,
0x7a, 0x2d, 0xc1, 0x7a, 0xd2, 0x05, 0x05, 0x05, 0x75, 0x75, 0x75, 0xa0, 0xa5,
0x31, 0x41, 0x6a, 0x6b, 0x6b, 0x6b, 0x6b, 0x6b, 0xa9, 0x58, 0x82, 0x09, 0x64,
0xc0, 0xff, 0x3c, 0xde, 0x61, 0xe0, 0x28, 0x32, 0xbd, 0x98, 0xa3, 0x40, 0x2c,
0x16, 0x2b, 0x21, 0x21, 0xa1, 0xb8, 0xb8, 0x98, 0xca, 0xe0, 0x0c, 0x9d, 0x03,
0x66, 0xe3, 0x85, 0x1d, 0x3b, 0x76, 0x64, 0x64, 0x64, 0x20, 0x08, 0x12, 0x1e,
0x1e, 0xde, 0xda, 0xda, 0xfa, 0xfc, 0xf9, 0x73, 0x12, 0x63, 0x73, 0xbc, 0x82,
0xfc, 0xfd, 0xfd, 0x75, 0x86, 0x75, 0x62, 0x8e, 0x02, 0xfd, 0xfe, 0xfd, 0x5b,
0x67, 0x58, 0x27, 0xe6, 0x28, 0x50, 0x5e, 0x5e, 0x1e, 0xfa, 0xe2, 0x4f, 0x22,
0x91, 0x94, 0x94, 0x94, 0x90, 0x1b, 0x9b, 0xe3, 0x3d, 0xa8, 0xa5, 0xa5, 0xc5,
0xcd, 0xcd, 0xcd, 0xd5, 0xd5, 0xf5, 0xd3, 0xa7, 0x4f, 0x2a, 0x95, 0x8a, 0xdc,
0xd8, 0x1c, 0x05, 0x42, 0x07, 0xb9, 0x1b, 0x1a, 0x1a, 0xa8, 0x58, 0x9a, 0x63,
0x15, 0x03, 0x02, 0x0a, 0xa4, 0x07, 0x73, 0x14, 0xc8, 0xda, 0xda, 0xfa, 0xfa,
0xf5, 0xeb, 0x6d, 0x6d, 0x6d, 0x19, 0x19, 0x19, 0x7a, 0x87, 0xee, 0xcd, 0x51,
0xa0, 0x7d, 0xfb, 0xf6, 0x45, 0x44, 0x44, 0x08, 0x85, 0xc2, 0x84, 0x84, 0x84,
0x0d, 0x1b, 0x36, 0x90, 0x1b, 0x9b, 0xa3, 0x40, 0xee, 0xee, 0xee, 0x3a, 0xc3,
0x3a, 0x31, 0x47, 0x81, 0xf0, 0x43, 0x80, 0xc3, 0x0d, 0x07, 0x62, 0x98, 0x63,
0x33, 0x9f, 0x95, 0x95, 0xe5, 0xe3, 0xe3, 0xb3, 0x64, 0xc9, 0x92, 0x92, 0x92,
0x92, 0x3b, 0x77, 0xee, 0x90, 0x1b, 0x9b, 0xa3, 0x40, 0x4a, 0xa5, 0x32, 0x2c,
0x2c, 0x8c, 0xa2, 0xf1, 0x18, 0x57, 0x31, 0x6c, 0x92, 0xce, 0x68, 0xce, 0xbc,
0x02, 0x62, 0x8c, 0x05, 0xfa, 0xfe, 0xfd, 0x3b, 0x1a, 0x58, 0xb9, 0x72, 0xa5,
0x69, 0xce, 0x01, 0x1d, 0xe3, 0x32, 0x55, 0x54, 0x54, 0x0c, 0x0e, 0x0e, 0x22,
0x08, 0xe2, 0xeb, 0xeb, 0x7b, 0xf6, 0xec, 0xd9, 0xe1, 0xe6, 0x1a, 0x18, 0x00,
0x97, 0xcb, 0xf5, 0xf5, 0xf5, 0x0d, 0x0a, 0x0a, 0xd2, 0x7e, 0x5b, 0x67, 0x6b,
0x6b, 0xbb, 0x64, 0xc9, 0x12, 0x8a, 0xef, 0xfe, 0xc6, 0x9e, 0xf8, 0xf8, 0x78,
0x6c, 0x82, 0xc7, 0xcf, 0x9f, 0x3f, 0xcb, 0xca, 0xca, 0x8a, 0xff, 0x25, 0x3b,
0x3b, 0x7b, 0xea, 0xd4, 0xa9, 0xda, 0x19, 0x49, 0xde, 0x6a, 0x58, 0x5b, 0x5b,
0xbf, 0x7e, 0xfd, 0x1a, 0x4d, 0x55, 0x2a, 0x95, 0x4b, 0x97, 0x2e, 0xc5, 0x92,
0x44, 0x22, 0x51, 0x4f, 0x4f, 0x0f, 0x9a, 0x94, 0x9d, 0x9d, 0x6d, 0xfc, 0xf3,
0xa3, 0x83, 0xf3, 0xe7, 0xcf, 0x0f, 0x37, 0xb7, 0x0c, 0x25, 0x37, 0x37, 0x57,
0x3b, 0x17, 0x89, 0x40, 0x61, 0x61, 0x61, 0xf8, 0xec, 0xa5, 0xa5, 0xa5, 0x58,
0x52, 0x41, 0x41, 0x01, 0x3e, 0x09, 0xff, 0x66, 0x58, 0x27, 0x26, 0x51, 0xed,
0x77, 0xee, 0xdc, 0x19, 0x1e, 0x1e, 0x4e, 0x32, 0x39, 0xfb, 0xcb, 0x97, 0x2f,
0x40, 0x0e, 0x09, 0xef, 0x2f, 0xf1, 0x51, 0x7c, 0xf8, 0xd7, 0xaf, 0x5f, 0x7d,
0x7d, 0x7d, 0xe4, 0xae, 0x4c, 0xa5, 0x99, 0xbf, 0x79, 0xf3, 0xe6, 0xed, 0xdb,
0xb7, 0x7d, 0x7c, 0x7c, 0x84, 0x42, 0x21, 0x61, 0xf6, 0x84, 0x4c, 0x26, 0xab,
0xaa, 0xaa, 0x02, 0xf2, 0x56, 0x5b, 0x5b, 0x1b, 0x1b, 0x1b, 0xbb, 0x7d, 0xfb,
0xf6, 0x89, 0x13, 0x27, 0xbe, 0x78, 0xf1, 0x22, 0x31, 0x31, 0x11, 0x4b, 0x4a,
0x4b, 0x4b, 0x9b, 0x32, 0x65, 0x4a, 0x50, 0x50, 0x50, 0x57, 0x57, 0x57, 0x72,
0x72, 0xb2, 0xde, 0xf1, 0xa0, 0x71, 0xcc, 0x48, 0xde, 0xac, 0x52, 0xc7, 0x24,
0xaa, 0x98, 0x29, 0x33, 0x8e, 0x05, 0x42, 0xd7, 0xf5, 0x0d, 0x0e, 0x0e, 0x92,
0x4f, 0xf0, 0x31, 0x5f, 0x46, 0x67, 0x31, 0x0b, 0x04, 0x02, 0x81, 0x40, 0x20,
0x10, 0x08, 0x04, 0x02, 0x81, 0x40, 0x20, 0x10, 0x08, 0x04, 0x02, 0x81, 0x40,
0x20, 0x10, 0x08, 0x04, 0x42, 0x2f, 0x96, 0x96, 0x96, 0x22, 0x91, 0xc8, 0xc6,
0xc6, 0x66, 0xac, 0x0b, 0x62, 0x92, 0xcc, 0x9a, 0x35, 0xab, 0xad, 0xad, 0x4d,
0xa3, 0xd1, 0x74, 0x77, 0x77, 0x2f, 0x5e, 0xbc, 0x78, 0xac, 0x8b, 0x63, 0x7a,
0x64, 0x67, 0x67, 0x63, 0x73, 0x76, 0xee, 0xdf, 0xbf, 0x3f, 0xd6, 0xc5, 0xf9,
0x3f, 0xa6, 0xf2, 0x6e, 0xde, 0xd9, 0xd9, 0x59, 0x67, 0x78, 0xcc, 0x31, 0x15,
0x81, 0x4c, 0x96, 0x71, 0x2c, 0x10, 0x87, 0xc3, 0xa1, 0xb2, 0x91, 0x14, 0x87,
0xc3, 0x19, 0xc9, 0x1c, 0x63, 0x1a, 0x66, 0x98, 0x71, 0x38, 0x1c, 0x4f, 0x4f,
0x4f, 0x67, 0x67, 0xe7, 0xe1, 0xe6, 0xa8, 0x2a, 0x14, 0x8a, 0x9a, 0x9a, 0x1a,
0xd0, 0x8d, 0xda, 0x48, 0x58, 0xb1, 0x62, 0x45, 0x7a, 0x7a, 0xba, 0x97, 0x97,
0x17, 0x9b, 0xcd, 0xfe, 0xfd, 0xfb, 0xf7, 0xed, 0xdb, 0xb7, 0x0f, 0x1c, 0x38,
0xa0, 0xbd, 0xfa, 0xd4, 0xdf, 0xdf, 0x3f, 0x33, 0x33, 0x53, 0x24, 0x12, 0xb1,
0xd9, 0xec, 0xa6, 0xa6, 0xa6, 0xa3, 0x47, 0x8f, 0xde, 0xba, 0x75, 0x8b, 0xae,
0x32, 0x50, 0x42, 0x28, 0x14, 0x9e, 0x3b, 0x77, 0xae, 0xab, 0xab, 0x8b, 0x7c,
0x0a, 0xa6, 0x46, 0xa3, 0x69, 0x6c, 0x6c, 0xb4, 0xb3, 0xb3, 0x23, 0x71, 0x55,
0x5a, 0x5a, 0x8a, 0x19, 0xbf, 0x79, 0xf3, 0x86, 0xc4, 0xd2, 0xc3, 0xc3, 0xe3,
0xef, 0xdf, 0xbf, 0x04, 0xff, 0xda, 0x5b, 0xef, 0x39, 0x39, 0x39, 0xc9, 0xe5,
0x72, 0xbc, 0xcd, 0xd0, 0xd0, 0xd0, 0xa8, 0xce, 0x95, 0x89, 0x8f, 0x8f, 0xff,
0xf3, 0xe7, 0x8f, 0x5e, 0x69, 0x30, 0xf6, 0xef, 0xdf, 0x4f, 0xe2, 0x8d, 0xba,
0x40, 0x89, 0x89, 0x89, 0xda, 0xce, 0x55, 0x2a, 0x95, 0x95, 0x95, 0x15, 0xde,
0x2c, 0x36, 0x36, 0x56, 0xdb, 0x2c, 0x27, 0x27, 0x07, 0xf4, 0x34, 0x0d, 0xac,
0x62, 0x39, 0x39, 0x39, 0x71, 0x71, 0x71, 0x40, 0x59, 0xe8, 0xaa, 0x62, 0x3a,
0x6f, 0x3a, 0x84, 0x8d, 0x9b, 0x87, 0xdb, 0x18, 0xc8, 0xe0, 0xad, 0x7c, 0xc1,
0x38, 0x72, 0xe4, 0x08, 0xf5, 0x0b, 0x07, 0xa5, 0xaa, 0xaa, 0x8a, 0x7c, 0x16,
0x3d, 0xf5, 0x2b, 0xc8, 0xcb, 0xcb, 0x0b, 0xdd, 0xc3, 0x0e, 0x8f, 0xf6, 0xea,
0x6e, 0xa1, 0x50, 0xa8, 0x50, 0x28, 0xf0, 0x36, 0x6a, 0xb5, 0x3a, 0x38, 0x38,
0x98, 0x26, 0x0d, 0x86, 0xc7, 0xc3, 0xc3, 0x83, 0x50, 0xbe, 0xce, 0xce, 0xce,
0x63, 0xc7, 0x8e, 0x85, 0x86, 0x86, 0x7a, 0x0f, 0x83, 0xab, 0xab, 0xab, 0x5e,
0xb7, 0xd4, 0x05, 0x42, 0x10, 0x64, 0xdd, 0xba, 0x75, 0x8d, 0x8d, 0x8d, 0xa8,
0x71, 0x5f, 0x5f, 0xdf, 0x95, 0x2b, 0x57, 0xec, 0xed, 0xed, 0xb5, 0xcd, 0x42,
0x42, 0x42, 0xea, 0xeb, 0xeb, 0xd5, 0x6a, 0xb5, 0x46, 0xa3, 0xf9, 0xfa, 0xf5,
0x6b, 0x54, 0x54, 0xd4, 0x08, 0xce, 0x9b, 0x32, 0x97, 0x2f, 0x5f, 0x26, 0x5c,
0x1a, 0xd8, 0x56, 0x7f, 0x23, 0x01, 0x48, 0x20, 0x14, 0x2b, 0x2b, 0x2b, 0x1b,
0x1b, 0x1b, 0xbd, 0x5b, 0xd2, 0x59, 0x5a, 0x5a, 0x5a, 0x5b, 0x5b, 0x8f, 0xbc,
0x84, 0x94, 0xe0, 0xf1, 0x78, 0x4a, 0xa5, 0x12, 0x3b, 0x93, 0x2f, 0x5f, 0xbe,
0x4c, 0x9a, 0x34, 0x89, 0x16, 0xcf, 0x06, 0x08, 0x34, 0x3a, 0x80, 0x75, 0x14,
0x5d, 0x5c, 0x5c, 0xf0, 0xff, 0x46, 0x5e, 0x5e, 0x5e, 0x77, 0x77, 0xb7, 0x11,
0x4a, 0x65, 0x42, 0x80, 0x09, 0x34, 0x6d, 0xda, 0x34, 0x7c, 0x94, 0xe2, 0x2e,
0x57, 0xe3, 0x1a, 0x30, 0x81, 0x08, 0x6d, 0x27, 0xfa, 0x5d, 0x09, 0x66, 0x63,
0x2a, 0x8b, 0x59, 0x8c, 0xc7, 0xcc, 0x99, 0x33, 0x63, 0x62, 0x62, 0xf8, 0x7c,
0xfe, 0xbd, 0x7b, 0xf7, 0xaa, 0xab, 0xab, 0x8d, 0x7b, 0xb0, 0xd0, 0xd0, 0x50,
0x7c, 0x13, 0x16, 0x1a, 0x1a, 0x4a, 0x97, 0x67, 0x23, 0xdd, 0xa4, 0x17, 0x2e,
0x5c, 0x88, 0xf5, 0x86, 0xd4, 0x6a, 0x35, 0xe8, 0x8e, 0xcc, 0xe3, 0xfb, 0x69,
0x9e, 0x0a, 0x27, 0x4f, 0x9e, 0x14, 0x08, 0x04, 0x68, 0x98, 0xc5, 0x62, 0xa5,
0xa5, 0xa5, 0x11, 0x36, 0xcc, 0xd7, 0x0b, 0xc3, 0x05, 0xf2, 0xf6, 0xf6, 0xc6,
0x47, 0xf9, 0x7c, 0xbe, 0x9b, 0x9b, 0x1b, 0x90, 0x07, 0x86, 0x0b, 0xa4, 0xfd,
0x44, 0x06, 0xba, 0xb6, 0x9a, 0xe1, 0x02, 0x7d, 0xf8, 0xf0, 0x01, 0x1f, 0x1d,
0x1c, 0x1c, 0xd4, 0xbb, 0x17, 0x05, 0x01, 0x86, 0x0b, 0x74, 0xe2, 0xc4, 0x09,
0xfc, 0xa2, 0xcb, 0x53, 0xa7, 0x4e, 0x0d, 0x0c, 0x0c, 0x00, 0x79, 0x60, 0x78,
0x33, 0x2f, 0x16, 0x8b, 0x03, 0x02, 0x02, 0x76, 0xef, 0xde, 0x2d, 0x10, 0x08,
0xca, 0xca, 0xca, 0x6e, 0xdc, 0xb8, 0x01, 0xea, 0x81, 0xe1, 0x02, 0xa1, 0xbb,
0xe5, 0x8f, 0x64, 0xc3, 0x7c, 0x86, 0x57, 0xb1, 0x91, 0x03, 0x05, 0xd2, 0x03,
0x14, 0x48, 0x0f, 0x50, 0x20, 0x3d, 0x30, 0xff, 0x26, 0xed, 0xe8, 0xe8, 0x18,
0x19, 0x19, 0x29, 0x10, 0x08, 0xca, 0xcb, 0xcb, 0x5f, 0xbd, 0x7a, 0x65, 0xdc,
0x83, 0x8d, 0xbb, 0x87, 0x55, 0x2f, 0x2f, 0xaf, 0xee, 0xee, 0x6e, 0xd4, 0xad,
0x4a, 0xa5, 0xda, 0xbe, 0x7d, 0x3b, 0xa8, 0x07, 0x86, 0x57, 0xb1, 0x94, 0x94,
0x14, 0x6c, 0x3c, 0xdf, 0xc2, 0xc2, 0x22, 0x33, 0x33, 0x13, 0xf4, 0xb3, 0x2a,
0x0c, 0x17, 0x48, 0x24, 0x12, 0xe1, 0xa3, 0x36, 0x36, 0x36, 0xf0, 0x61, 0xf5,
0x1f, 0xb4, 0x07, 0x37, 0x40, 0x27, 0x32, 0x30, 0x5c, 0xa0, 0xe6, 0xe6, 0x66,
0x7c, 0x74, 0x68, 0x68, 0x08, 0x74, 0x2b, 0x22, 0x86, 0x0b, 0x94, 0x96, 0x96,
0x86, 0x8f, 0xe6, 0xe6, 0xe6, 0x82, 0x7e, 0x92, 0x8e, 0xe1, 0xcd, 0x7c, 0x59,
0x59, 0xd9, 0xda, 0xb5, 0x6b, 0xe3, 0xe2, 0xe2, 0xf8, 0x7c, 0xfe, 0x9d, 0x3b,
0x77, 0xb2, 0xb2, 0xb2, 0x40, 0x3d, 0x30, 0x5c, 0x20, 0x04, 0x41, 0x1e, 0x3c,
0x78, 0xf0, 0xe0, 0xc1, 0x03, 0x83, 0xb3, 0x33, 0xbc, 0x8a, 0x8d, 0x1c, 0x28,
0x90, 0x1e, 0xa0, 0x40, 0x7a, 0x80, 0x02, 0xe9, 0x81, 0xf9, 0x37, 0x69, 0x1e,
0x8f, 0x17, 0x1a, 0x1a, 0x2a, 0x10, 0x08, 0x1e, 0x3f, 0x7e, 0x2c, 0x93, 0xc9,
0x40, 0xb3, 0x33, 0x5c, 0x20, 0x47, 0x47, 0xc7, 0xca, 0xca, 0x4a, 0x4f, 0x4f,
0x4f, 0x04, 0x41, 0xe4, 0x72, 0x79, 0x58, 0x58, 0x58, 0x65, 0x65, 0x25, 0x90,
0x07, 0x86, 0x57, 0xb1, 0xd4, 0xd4, 0x54, 0x54, 0x1d, 0x74, 0x53, 0xb8, 0x4b,
0x97, 0x2e, 0x81, 0x4e, 0x53, 0x64, 0xb8, 0x40, 0x84, 0x49, 0x89, 0xce, 0xce,
0xce, 0x54, 0xe6, 0x03, 0xe2, 0x61, 0xb8, 0x40, 0x84, 0xb9, 0xc1, 0x3a, 0x7f,
0x21, 0x87, 0xe1, 0x02, 0xb5, 0xb6, 0xb6, 0xe2, 0xa3, 0x1a, 0x8d, 0x06, 0xf4,
0x3b, 0x9e, 0x0c, 0x17, 0xe8, 0xdc, 0xb9, 0x73, 0xf8, 0xe8, 0xb5, 0x6b, 0xd7,
0x14, 0x0a, 0x05, 0x90, 0x07, 0x86, 0xb7, 0x62, 0xe7, 0xcf, 0x9f, 0x67, 0xb3,
0xd9, 0xd8, 0xc3, 0x6a, 0x52, 0x52, 0x12, 0xa8, 0x07, 0x86, 0x0b, 0x84, 0x20,
0x48, 0x61, 0x61, 0x61, 0x61, 0x61, 0xa1, 0xc1, 0xd9, 0x19, 0x5e, 0xc5, 0x46,
0x0e, 0x98, 0x40, 0xe8, 0x06, 0xfd, 0x18, 0x7c, 0x3e, 0x9f, 0xee, 0xf2, 0x98,
0x1c, 0x60, 0x02, 0x61, 0x5f, 0x79, 0x40, 0x59, 0xbe, 0x7c, 0x39, 0xdd, 0xe5,
0x31, 0x39, 0xc0, 0x04, 0xfa, 0xf6, 0xed, 0x1b, 0xbe, 0x99, 0x8c, 0x8d, 0x8d,
0x5d, 0xb4, 0x68, 0x91, 0x11, 0x4a, 0x65, 0x42, 0x80, 0x09, 0xa4, 0xd1, 0x68,
0x2e, 0x5e, 0xbc, 0x88, 0x45, 0x79, 0x3c, 0x5e, 0x79, 0x79, 0xf9, 0xa6, 0x4d,
0x9b, 0x8c, 0x50, 0x30, 0x3d, 0x78, 0x78, 0x78, 0x44, 0x46, 0x46, 0xc6, 0xc4,
0xc4, 0xac, 0x5a, 0xb5, 0x0a, 0x9b, 0xa6, 0xa9, 0x8d, 0x9b, 0x9b, 0x5b, 0x78,
0x78, 0x78, 0x54, 0x54, 0x14, 0x61, 0xb2, 0x22, 0x75, 0x80, 0xd7, 0x4f, 0x09,
0x04, 0x82, 0x8f, 0x1f, 0x3f, 0x3a, 0x39, 0x39, 0xe1, 0x7f, 0xac, 0xab, 0xab,
0x7b, 0xf6, 0xec, 0x59, 0x4f, 0x4f, 0x8f, 0xce, 0x2c, 0x0a, 0x85, 0xa2, 0xb4,
0xb4, 0x94, 0xbc, 0x87, 0x56, 0x5a, 0x5a, 0xba, 0x79, 0xf3, 0x66, 0x34, 0xfc,
0xf6, 0xed, 0xdb, 0x05, 0x0b, 0x16, 0x90, 0x18, 0x67, 0x65, 0x65, 0xed, 0xdb,
0xb7, 0x0f, 0x8b, 0xb6, 0xb7, 0xb7, 0x6f, 0xda, 0xb4, 0x49, 0xfb, 0x2b, 0xdd,
0x49, 0x49, 0x49, 0x89, 0x89, 0x89, 0xd8, 0xa4, 0xc4, 0xeb, 0xd7, 0xaf, 0x47,
0x47, 0x47, 0x8f, 0xc6, 0xe4, 0xf7, 0x90, 0x90, 0x10, 0xed, 0x45, 0x91, 0xe4,
0xc8, 0xe5, 0x72, 0x17, 0x17, 0x17, 0x12, 0x9f, 0xd4, 0x5f, 0x3d, 0x6f, 0xd8,
0xb0, 0x41, 0xdb, 0xff, 0xfb, 0xf7, 0xef, 0x09, 0x66, 0xfe, 0xfe, 0xfe, 0xda,
0x66, 0xbb, 0x76, 0xed, 0x02, 0x3d, 0x59, 0x43, 0x9a, 0xf9, 0x27, 0x4f, 0x9e,
0x84, 0x87, 0x87, 0x2b, 0x95, 0x4a, 0xea, 0x59, 0x6c, 0x6d, 0x6d, 0xb7, 0x6c,
0xd9, 0x62, 0xc0, 0xb1, 0xb4, 0xd1, 0xb9, 0x28, 0x6e, 0xde, 0xbc, 0x79, 0x84,
0x75, 0x47, 0x41, 0x41, 0x41, 0xda, 0x66, 0x21, 0x21, 0x21, 0xa0, 0x87, 0x33,
0xb0, 0x1f, 0x74, 0xf7, 0xee, 0x5d, 0x7f, 0x7f, 0xff, 0x9a, 0x9a, 0x1a, 0xea,
0x59, 0x40, 0x1f, 0x82, 0x86, 0x43, 0xe7, 0x16, 0xff, 0x4a, 0xa5, 0x52, 0x2e,
0x97, 0xeb, 0x35, 0x1b, 0x83, 0xcf, 0x03, 0xac, 0x5d, 0xbb, 0xb6, 0xa8, 0xa8,
0xe8, 0xf3, 0xe7, 0xcf, 0xda, 0xcb, 0x24, 0x31, 0x7a, 0x7b, 0x7b, 0xb3, 0xb2,
0xb2, 0xc8, 0x07, 0x62, 0xa8, 0x57, 0x31, 0x81, 0x40, 0xd0, 0xd2, 0xd2, 0x42,
0x38, 0xc4, 0xa1, 0x43, 0x87, 0x08, 0x66, 0x13, 0x26, 0x4c, 0x78, 0xf5, 0xea,
0x15, 0xde, 0xa6, 0xa3, 0xa3, 0x83, 0xb0, 0x5a, 0x89, 0x0a, 0x23, 0x7d, 0xd4,
0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0xa8, 0x40, 0xc3, 0xc3, 0xcd, 0xd1, 0xa6, 0xf7,
0xbe, 0xd8, 0xdb, 0xdb, 0xeb, 0xeb, 0xeb, 0x7b, 0xf0, 0xe0, 0xc1, 0x05, 0x0b,
0x16, 0x70, 0xb9, 0x5c, 0x99, 0x4c, 0x76, 0xeb, 0xd6, 0x2d, 0xed, 0x0f, 0xcd,
0x0d, 0x0e, 0x0e, 0x06, 0x07, 0x07, 0x1f, 0x38, 0x70, 0xc0, 0xcf, 0xcf, 0x8f,
0xc3, 0xe1, 0xbc, 0x7f, 0xff, 0xfe, 0xcc, 0x99, 0x33, 0x1d, 0x1d, 0x1d, 0x34,
0x96, 0x64, 0x54, 0x61, 0xc8, 0x8a, 0x43, 0x33, 0x04, 0x0a, 0xa4, 0x07, 0x53,
0x11, 0x48, 0x2a, 0x95, 0xea, 0x0c, 0x43, 0xfe, 0x07, 0xdc, 0x81, 0x4a, 0x3f,
0x70, 0x0f, 0x33, 0x08, 0x04, 0x02, 0x81, 0x40, 0x20, 0x10, 0x08, 0x04, 0x02,
0x81, 0xa0, 0xfc, 0x07, 0x9d, 0xb9, 0xf5, 0xda, 0x07, 0xc1, 0x9c, 0x9f, 0x00,
0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82 };
IconMask iconMask2(iconMask2Data);

const uchar iconMask3Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x0e, 0xbf, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0x9d, 0x7b, 0x50, 0x1b, 0x55, 0x17, 0xc0, 0x49, 0x08, 0x10, 0x4a, 0x4a, 0x18,
0x28, 0xef, 0x52, 0x41, 0xac, 0xa0, 0x60, 0xa0, 0x82, 0x05, 0x29, 0x48, 0x11,
0x68, 0x79, 0x08, 0xa8, 0x15, 0x81, 0x96, 0xaa, 0x53, 0xaa, 0x2d, 0x55, 0x28,
0x28, 0x7d, 0x01, 0x2a, 0xd0, 0xd1, 0xaa, 0x53, 0x0a, 0xbe, 0x10, 0x06, 0xda,
0xc2, 0x88, 0xb4, 0x4e, 0xe9, 0x28, 0x38, 0x50, 0x86, 0x56, 0x18, 0xa4, 0xb5,
0x60, 0xa5, 0x42, 0x79, 0xf5, 0x61, 0x80, 0xf0, 0x08, 0x09, 0x8f, 0x94, 0x40,
0x78, 0x24, 0x24, 0xbb, 0xdf, 0x1f, 0x3b, 0x73, 0x67, 0xbf, 0x4d, 0xa0, 0x0b,
0xc9, 0x26, 0xa1, 0xee, 0xef, 0xaf, 0xcd, 0xee, 0x39, 0x77, 0xcf, 0x39, 0xb3,
0xd9, 0xbb, 0x7b, 0xef, 0xd9, 0x73, 0x75, 0x74, 0x48, 0x48, 0x48, 0x48, 0x48,
0x48, 0xfe, 0xc3, 0x84, 0x87, 0x87, 0xd7, 0xd6, 0xd6, 0x56, 0x56, 0x56, 0xee,
0xd8, 0xb1, 0x43, 0xd3, 0xb6, 0x68, 0x1f, 0x89, 0x89, 0x89, 0x10, 0x04, 0x71,
0x38, 0x1c, 0x2e, 0x97, 0x0b, 0xc3, 0x70, 0x52, 0x52, 0x92, 0xa6, 0x2d, 0xd2,
0x26, 0x0e, 0x1f, 0x3e, 0x0c, 0xc3, 0xf0, 0xaf, 0xbf, 0xfe, 0xaa, 0xaf, 0xaf,
0x6f, 0x68, 0x68, 0x58, 0x5b, 0x5b, 0x2b, 0x16, 0x8b, 0x2d, 0x2c, 0x2c, 0x34,
0x6d, 0x97, 0x76, 0x70, 0xe4, 0xc8, 0x11, 0x18, 0x86, 0x2f, 0x5d, 0xba, 0xa4,
0xa7, 0xa7, 0x87, 0xec, 0xf1, 0xf7, 0xf7, 0x87, 0x61, 0x38, 0x2a, 0x2a, 0x4a,
0xd3, 0xa6, 0x69, 0x01, 0x19, 0x19, 0x19, 0x30, 0x0c, 0x57, 0x54, 0x54, 0xe8,
0xea, 0xea, 0x22, 0x7b, 0x74, 0x75, 0x75, 0x7f, 0xfa, 0xe9, 0x27, 0x99, 0x4c,
0xf6, 0xec, 0xb3, 0xcf, 0x6a, 0xda, 0x3a, 0x4d, 0x93, 0x93, 0x93, 0x03, 0xc3,
0x70, 0x69, 0x69, 0x29, 0x95, 0x4a, 0x45, 0xf6, 0xd0, 0x68, 0xb4, 0x0b, 0x17,
0x2e, 0xc0, 0x30, 0x7c, 0xec, 0xd8, 0x31, 0x4d, 0x5b, 0xa7, 0x69, 0xbe, 0xf8,
0xe2, 0x0b, 0x18, 0x86, 0x8b, 0x8b, 0x8b, 0x41, 0x74, 0xf4, 0xf4, 0xf4, 0x2a,
0x2b, 0x2b, 0x61, 0x18, 0x4e, 0x4b, 0x4b, 0xd3, 0xb4, 0x75, 0x4b, 0x62, 0x6a,
0x6a, 0x9a, 0x90, 0x90, 0x90, 0x9e, 0x9e, 0x9e, 0x99, 0x99, 0xe9, 0xe5, 0xe5,
0x45, 0xa1, 0x50, 0x08, 0x39, 0xcd, 0x99, 0x33, 0x67, 0x60, 0x18, 0xfe, 0xfe,
0xfb, 0xef, 0xc1, 0x09, 0xf4, 0xf5, 0xf5, 0xab, 0xaa, 0xaa, 0x60, 0x18, 0x4e,
0x4e, 0x4e, 0x26, 0xe4, 0x94, 0xaa, 0x20, 0x34, 0x34, 0x54, 0x20, 0x10, 0xc0,
0x28, 0xd8, 0x6c, 0xb6, 0xaf, 0xaf, 0xaf, 0x6a, 0x5a, 0xb7, 0xb3, 0xb3, 0x8b,
0x8a, 0x8a, 0x0a, 0x0a, 0x0a, 0x2a, 0x2e, 0x2e, 0x86, 0x61, 0x38, 0x2f, 0x2f,
0x0f, 0x1c, 0xa2, 0xd3, 0xe9, 0xb5, 0xb5, 0xb5, 0x10, 0x04, 0x1d, 0x3c, 0x78,
0x50, 0x35, 0x27, 0x23, 0x80, 0x5d, 0xbb, 0x76, 0x49, 0x24, 0x12, 0x58, 0x0e,
0xa9, 0x54, 0x9a, 0x9a, 0x9a, 0xaa, 0x54, 0xd3, 0xf6, 0xf6, 0xf6, 0x57, 0xaf,
0x5e, 0x05, 0x2d, 0x42, 0x10, 0xf4, 0xcf, 0x3f, 0xff, 0xac, 0x5f, 0xbf, 0x1e,
0x39, 0x6a, 0x68, 0x68, 0x78, 0xf5, 0xea, 0x55, 0x99, 0x4c, 0x96, 0x90, 0x90,
0xa0, 0x1a, 0x57, 0x08, 0x20, 0x36, 0x36, 0x76, 0x71, 0x71, 0x11, 0xb1, 0x9f,
0xc3, 0xe1, 0x64, 0x66, 0x66, 0xe6, 0xe7, 0xe7, 0x8f, 0x8d, 0x8d, 0x21, 0x7b,
0x64, 0x32, 0x59, 0x50, 0x50, 0xd0, 0x2a, 0x9b, 0xb6, 0xb1, 0xb1, 0x99, 0x9c,
0x9c, 0x14, 0x08, 0x04, 0x87, 0x0f, 0x1f, 0x76, 0x77, 0x77, 0xf7, 0xf1, 0xf1,
0xc9, 0xcb, 0xcb, 0x93, 0x48, 0x24, 0xb7, 0x6e, 0xdd, 0xa2, 0xd1, 0x68, 0x46,
0x46, 0x46, 0x8d, 0x8d, 0x8d, 0x52, 0xa9, 0x74, 0xef, 0xde, 0xbd, 0x2a, 0xf6,
0x49, 0x75, 0xec, 0xdd, 0xbb, 0x57, 0x2a, 0x95, 0x22, 0xb1, 0xe8, 0xed, 0xed,
0xb5, 0xb6, 0xb6, 0x46, 0xf6, 0x9b, 0x99, 0x99, 0xfd, 0xfe, 0xfb, 0xef, 0xc8,
0x7e, 0x1e, 0x8f, 0x47, 0xa7, 0xd3, 0x57, 0xd3, 0x7a, 0x55, 0x55, 0x95, 0x50,
0x28, 0x7c, 0xf2, 0xc9, 0x27, 0xd1, 0x3b, 0xc3, 0xc3, 0xc3, 0x61, 0x18, 0xce,
0xce, 0xce, 0xbe, 0x7e, 0xfd, 0xfa, 0xe2, 0xe2, 0x62, 0x6c, 0x6c, 0xac, 0x6a,
0x5c, 0x21, 0x80, 0x84, 0x84, 0x04, 0x99, 0x4c, 0x86, 0x44, 0xa1, 0xb3, 0xb3,
0xd3, 0xd2, 0xd2, 0x12, 0x7d, 0x94, 0xc9, 0x64, 0x72, 0x38, 0x1c, 0xe4, 0xe8,
0xab, 0xaf, 0xbe, 0xba, 0xe2, 0xd6, 0xe9, 0x74, 0xba, 0x44, 0x22, 0xc9, 0xce,
0xce, 0x96, 0x3f, 0x74, 0xed, 0xda, 0x35, 0x91, 0x48, 0x24, 0x91, 0x48, 0x76,
0xed, 0xda, 0xa5, 0x94, 0x07, 0x44, 0x72, 0xf0, 0xe0, 0x41, 0x08, 0x82, 0x10,
0xff, 0xdb, 0xdb, 0xdb, 0x37, 0x6c, 0xd8, 0x20, 0x2f, 0x73, 0xf4, 0xe8, 0x51,
0x44, 0xe0, 0xec, 0xd9, 0xb3, 0x2b, 0x3e, 0x81, 0x97, 0x97, 0x17, 0x0c, 0xc3,
0x21, 0x21, 0x21, 0xf2, 0x87, 0x0a, 0x0a, 0x0a, 0x20, 0x08, 0x8a, 0x88, 0x88,
0x58, 0xa5, 0xed, 0xc4, 0x93, 0x9c, 0x9c, 0x0c, 0xee, 0x9b, 0x7f, 0xff, 0xfd,
0xb7, 0xa9, 0xa9, 0xa9, 0x42, 0xb1, 0xe8, 0xe8, 0x68, 0x44, 0xa6, 0xac, 0xac,
0x6c, 0x65, 0x27, 0xa0, 0x50, 0x28, 0x05, 0x05, 0x05, 0x32, 0x99, 0xcc, 0xdc,
0xdc, 0x5c, 0xfe, 0x68, 0x45, 0x45, 0x85, 0x50, 0x28, 0x5c, 0xa5, 0xed, 0xc4,
0x93, 0x96, 0x96, 0x06, 0xa2, 0x73, 0xf3, 0xe6, 0x4d, 0x26, 0x93, 0xa9, 0x50,
0x6c, 0xdd, 0xba, 0x75, 0xd7, 0xaf, 0x5f, 0x47, 0xc4, 0xce, 0x9c, 0x39, 0x83,
0xb7, 0x75, 0x1b, 0x1b, 0x9b, 0x43, 0x87, 0x0e, 0xb5, 0xb5, 0xb5, 0xc1, 0x30,
0x9c, 0x9b, 0x9b, 0x2b, 0x2f, 0xa0, 0xa7, 0xa7, 0xc7, 0xe1, 0x70, 0xae, 0x5c,
0xb9, 0xa2, 0x94, 0x13, 0x84, 0x91, 0x9e, 0x9e, 0x0e, 0xa2, 0xd3, 0xdc, 0xdc,
0x0c, 0x3a, 0x5c, 0x0c, 0x0c, 0x06, 0xa3, 0xa9, 0xa9, 0x09, 0x74, 0x64, 0x1e,
0x1e, 0x1e, 0x78, 0x4f, 0x70, 0xf1, 0xe2, 0x45, 0x18, 0x86, 0xb9, 0x5c, 0xee,
0xfb, 0xef, 0xbf, 0xaf, 0x50, 0xe0, 0xb3, 0xcf, 0x3e, 0x83, 0x20, 0x68, 0xf5,
0x5d, 0x23, 0x91, 0x64, 0x67, 0x67, 0x83, 0xe8, 0x34, 0x36, 0x36, 0x1a, 0x19,
0x19, 0x29, 0x14, 0x33, 0x36, 0x36, 0xbe, 0x71, 0xe3, 0x06, 0x90, 0x5c, 0xd9,
0xa3, 0x10, 0x8b, 0xc5, 0x1a, 0x1a, 0x1a, 0x9a, 0x9d, 0x9d, 0xcd, 0xc8, 0xc8,
0x30, 0x34, 0x34, 0x44, 0x1f, 0xd2, 0xd7, 0xd7, 0x3f, 0x79, 0xf2, 0xa4, 0x4c,
0x26, 0xfb, 0xee, 0xbb, 0xef, 0x94, 0x75, 0x85, 0x00, 0x4e, 0x9d, 0x3a, 0x05,
0x7c, 0xae, 0xaf, 0xaf, 0xc7, 0x18, 0x0f, 0x30, 0x31, 0x31, 0x69, 0x6d, 0x6d,
0x5d, 0x65, 0x74, 0x10, 0xcc, 0xcd, 0xcd, 0x91, 0x17, 0x2b, 0xa1, 0x50, 0xf8,
0xf3, 0xcf, 0x3f, 0x67, 0x65, 0x65, 0xa5, 0xa5, 0xa5, 0x9d, 0x3f, 0x7f, 0xbe,
0xbf, 0xbf, 0x1f, 0x82, 0xa0, 0x1f, 0x7e, 0xf8, 0x61, 0xa9, 0x73, 0x6b, 0x90,
0xdc, 0xdc, 0x5c, 0xe0, 0x73, 0x4d, 0x4d, 0xcd, 0x52, 0xcf, 0x35, 0xa6, 0xa6,
0xa6, 0xc8, 0xdd, 0x03, 0x79, 0xe8, 0xfd, 0xe0, 0x83, 0x0f, 0x56, 0x7f, 0x4a,
0x6f, 0x6f, 0xef, 0xc2, 0xc2, 0xc2, 0x81, 0x81, 0x01, 0xe4, 0x41, 0x6b, 0x61,
0x61, 0xa1, 0xbe, 0xbe, 0x7e, 0xfb, 0xf6, 0xed, 0xab, 0x6f, 0x91, 0x18, 0x28,
0x14, 0xca, 0xb7, 0xdf, 0x7e, 0x0b, 0xa2, 0x83, 0x0c, 0xdd, 0x29, 0x94, 0x34,
0x37, 0x37, 0xef, 0xe8, 0xe8, 0x00, 0xd1, 0x79, 0xef, 0xbd, 0xf7, 0x54, 0x63,
0x01, 0x95, 0x4a, 0x65, 0x32, 0x99, 0x44, 0xbd, 0xfb, 0x2a, 0x07, 0x85, 0x42,
0x29, 0x2a, 0x2a, 0x02, 0xd1, 0x41, 0x0f, 0xdd, 0x61, 0xb0, 0xb2, 0xb2, 0xea,
0xee, 0xee, 0x06, 0x77, 0xe5, 0x77, 0xde, 0x79, 0x47, 0xed, 0xc6, 0xaa, 0x1d,
0x2a, 0x95, 0x7a, 0xee, 0xdc, 0x39, 0x10, 0x9d, 0x8a, 0x8a, 0x0a, 0x1a, 0x8d,
0xa6, 0x50, 0xd2, 0xc6, 0xc6, 0xe6, 0xee, 0xdd, 0xbb, 0xe0, 0x05, 0x75, 0xcf,
0x9e, 0x3d, 0x6a, 0x37, 0x56, 0xed, 0xe8, 0xea, 0xea, 0x96, 0x97, 0x97, 0x83,
0xe8, 0x94, 0x95, 0x95, 0x81, 0xc1, 0x29, 0x0c, 0x9b, 0x36, 0x6d, 0xfa, 0xf7,
0xdf, 0x7f, 0x11, 0xb1, 0xc5, 0xc5, 0xc5, 0xe8, 0xe8, 0x68, 0xb5, 0x1b, 0x4b,
0x30, 0x14, 0x0a, 0xc5, 0xd3, 0xd3, 0x33, 0x2b, 0x2b, 0xab, 0xa2, 0xa2, 0xa2,
0xa1, 0xa1, 0xa1, 0xa6, 0xa6, 0xa6, 0xa4, 0xa4, 0x04, 0xdd, 0x13, 0xa1, 0x87,
0xee, 0x30, 0x38, 0x38, 0x38, 0xf4, 0xf7, 0xf7, 0x23, 0x62, 0x12, 0x89, 0xe4,
0xb5, 0xd7, 0x5e, 0x53, 0xbb, 0xf9, 0x04, 0x13, 0x15, 0x15, 0xd5, 0xd5, 0xd5,
0x05, 0x2f, 0x4d, 0x69, 0x69, 0xe9, 0x52, 0xf7, 0xc7, 0xa7, 0x9e, 0x7a, 0x6a,
0x70, 0x70, 0x10, 0x11, 0x5b, 0x58, 0x58, 0x08, 0x0f, 0x0f, 0x57, 0xbb, 0xf9,
0x44, 0x42, 0xa7, 0xd3, 0xcb, 0xca, 0xca, 0x96, 0x09, 0x0d, 0xc2, 0xd4, 0xd4,
0x94, 0x42, 0xcf, 0x9d, 0x9c, 0x9c, 0x46, 0x46, 0x46, 0x10, 0x99, 0xb9, 0xb9,
0xb9, 0x9d, 0x3b, 0x77, 0x6a, 0xc2, 0x09, 0xc2, 0xd0, 0xd3, 0xd3, 0x6b, 0x68,
0x68, 0x00, 0x51, 0x98, 0x99, 0x99, 0x29, 0x29, 0x29, 0xd9, 0xb3, 0x67, 0x4f,
0x40, 0x40, 0x40, 0x58, 0x58, 0x58, 0x6a, 0x6a, 0x6a, 0x73, 0x73, 0x33, 0x38,
0x2a, 0x93, 0xc9, 0x30, 0xa3, 0x2e, 0x2e, 0x2e, 0x2e, 0x3c, 0x1e, 0x0f, 0x39,
0x3a, 0x3b, 0x3b, 0xfb, 0xf2, 0xcb, 0x2f, 0x6b, 0xce, 0x15, 0x62, 0x28, 0x2c,
0x2c, 0x04, 0xfe, 0xd7, 0xd5, 0xd5, 0x6d, 0xda, 0xb4, 0x49, 0x5e, 0x26, 0x36,
0x36, 0x76, 0x7c, 0x7c, 0x1c, 0x91, 0x99, 0x9f, 0x9f, 0x07, 0xef, 0x53, 0x6e,
0x6e, 0x6e, 0x60, 0xff, 0xcc, 0xcc, 0xcc, 0x4b, 0x2f, 0xbd, 0xa4, 0x76, 0xf3,
0x09, 0x66, 0xeb, 0xd6, 0xad, 0x60, 0x28, 0x27, 0x3d, 0x3d, 0x7d, 0x19, 0x49,
0x73, 0x73, 0xf3, 0xce, 0xce, 0x4e, 0x44, 0xf2, 0xe6, 0xcd, 0x9b, 0x3a, 0x3a,
0x3a, 0x1e, 0x1e, 0x1e, 0x93, 0x93, 0x93, 0xc8, 0x1e, 0xa1, 0x50, 0xf8, 0xe2,
0x8b, 0x2f, 0xaa, 0xd1, 0x70, 0x75, 0x51, 0x5b, 0x5b, 0x8b, 0x78, 0x78, 0xe9,
0xd2, 0xa5, 0x47, 0x0a, 0x3b, 0x38, 0x38, 0xcc, 0xcd, 0xcd, 0x21, 0xf2, 0x29,
0x29, 0x29, 0x0f, 0x1f, 0x3e, 0x44, 0xb6, 0x05, 0x02, 0xc1, 0x0b, 0x2f, 0xbc,
0xa0, 0x16, 0x7b, 0xd5, 0x8b, 0x89, 0x89, 0x09, 0x32, 0x03, 0x21, 0x93, 0xc9,
0x1c, 0x1c, 0x1c, 0xf0, 0xa8, 0x9c, 0x3e, 0x7d, 0x1a, 0x74, 0xe4, 0xc8, 0xc6,
0xc4, 0xc4, 0xc4, 0x96, 0x2d, 0x5b, 0x88, 0x37, 0x56, 0x13, 0x44, 0x44, 0x44,
0x20, 0x4e, 0xde, 0xb8, 0x71, 0x03, 0xa7, 0x8a, 0x87, 0x87, 0x07, 0xba, 0x5f,
0xe3, 0xf3, 0xf9, 0xcf, 0x3d, 0xf7, 0x9c, 0x0a, 0x4d, 0x52, 0xfc, 0x88, 0xa5,
0x29, 0x36, 0x6e, 0xdc, 0x88, 0x6c, 0x74, 0x74, 0x74, 0xe0, 0x54, 0xb9, 0x73,
0xe7, 0x0e, 0x0c, 0xc3, 0xc8, 0x36, 0x8f, 0xc7, 0x0b, 0x08, 0x08, 0xe8, 0xec,
0xec, 0x54, 0xa1, 0x49, 0xda, 0x15, 0x20, 0x30, 0x89, 0xc2, 0xe5, 0x72, 0x71,
0xaa, 0x2c, 0x2e, 0x2e, 0x8a, 0xc5, 0x62, 0x64, 0x3b, 0x38, 0x38, 0xb8, 0xa7,
0xa7, 0x87, 0x30, 0xeb, 0x34, 0x0d, 0x85, 0x42, 0xb9, 0x7d, 0xfb, 0x36, 0xf2,
0x4f, 0xc1, 0x3f, 0xdd, 0x66, 0x62, 0x62, 0x02, 0x1e, 0x1a, 0x09, 0x36, 0x50,
0xd3, 0x9c, 0x3c, 0x79, 0x12, 0x3c, 0xd7, 0x60, 0xa6, 0xb1, 0x96, 0xc1, 0xc7,
0xc7, 0x07, 0xd1, 0xea, 0xea, 0xea, 0x22, 0xd8, 0x40, 0xcd, 0xe1, 0xe7, 0xe7,
0x07, 0x7a, 0x77, 0x18, 0x86, 0x8f, 0x1f, 0x3f, 0x8e, 0x5f, 0xf7, 0xab, 0xaf,
0xbe, 0x42, 0xb4, 0x0a, 0x0b, 0x0b, 0x89, 0xb4, 0x51, 0x13, 0xa4, 0xa6, 0xa6,
0xb6, 0xb6, 0xb6, 0x82, 0x47, 0x3b, 0x84, 0xfa, 0xfa, 0x7a, 0x90, 0x94, 0xf5,
0x48, 0x8c, 0x8c, 0x8c, 0x46, 0x47, 0x47, 0x11, 0xc5, 0xc7, 0x2d, 0x85, 0x74,
0xf7, 0xee, 0xdd, 0x98, 0x37, 0x4f, 0x08, 0x82, 0x4e, 0x9d, 0x3a, 0x85, 0x3f,
0x3a, 0xe8, 0x7f, 0xe5, 0xc0, 0xc0, 0xc0, 0x52, 0xc3, 0x89, 0x6b, 0x95, 0x84,
0x84, 0x04, 0x74, 0x74, 0x8a, 0x8b, 0x8b, 0x9d, 0x9d, 0x9d, 0x57, 0xd4, 0x42,
0x48, 0x48, 0x08, 0xc8, 0x4d, 0xd8, 0xbd, 0x7b, 0x37, 0x61, 0x96, 0x6a, 0x08,
0x7d, 0x7d, 0xfd, 0x6b, 0xd7, 0xae, 0x81, 0x00, 0xf5, 0xf6, 0xf6, 0xfa, 0xf9,
0xf9, 0xe1, 0x57, 0xdf, 0xb9, 0x73, 0xe7, 0xf4, 0xf4, 0x34, 0xa2, 0xdb, 0xd4,
0xd4, 0xa4, 0x9d, 0xa3, 0xe6, 0xca, 0x42, 0xa3, 0xd1, 0xd0, 0x33, 0x36, 0x30,
0x0c, 0xff, 0xf2, 0xcb, 0x2f, 0x4e, 0x4e, 0x4e, 0xcb, 0x6b, 0x31, 0x18, 0x8c,
0x9c, 0x9c, 0x1c, 0x90, 0xb9, 0xd1, 0xd7, 0xd7, 0xa7, 0x70, 0x8a, 0xfc, 0xf1,
0xe1, 0xcd, 0x37, 0xdf, 0x9c, 0x99, 0x99, 0x41, 0xdf, 0x89, 0x5a, 0x5a, 0x5a,
0x4e, 0x9c, 0x38, 0xc1, 0x62, 0xb1, 0x18, 0x0c, 0x06, 0x10, 0xa3, 0x52, 0xa9,
0x9e, 0x9e, 0x9e, 0x39, 0x39, 0x39, 0x7c, 0x3e, 0x1f, 0x08, 0x0f, 0x0c, 0x0c,
0xac, 0xf4, 0x8f, 0xb9, 0x26, 0xb1, 0xb3, 0xb3, 0x2b, 0x2d, 0x2d, 0x05, 0x17,
0x05, 0x1a, 0x91, 0x48, 0xc4, 0x66, 0xb3, 0x87, 0x87, 0x87, 0x41, 0xa2, 0x18,
0xa0, 0xa1, 0xa1, 0x41, 0x61, 0x5e, 0xcb, 0x63, 0x0b, 0x8b, 0xc5, 0xaa, 0xae,
0xae, 0x56, 0x98, 0x4f, 0x88, 0xa1, 0xaf, 0xaf, 0x2f, 0x3e, 0x3e, 0x7e, 0xa9,
0xb1, 0xfa, 0xc7, 0x1c, 0x26, 0x93, 0x19, 0x17, 0x17, 0x77, 0xe1, 0xc2, 0x85,
0x07, 0x0f, 0x1e, 0xa0, 0xff, 0x7a, 0x32, 0x99, 0x6c, 0x70, 0x70, 0xb0, 0xa4,
0xa4, 0x24, 0x32, 0x32, 0x52, 0x9d, 0x3d, 0xba, 0xb6, 0xdf, 0xfc, 0x8d, 0x8c,
0x8c, 0x2c, 0x2d, 0x2d, 0xc5, 0x62, 0x31, 0x9f, 0xcf, 0x97, 0x4a, 0xa5, 0x9a,
0x36, 0x87, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84,
0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x84, 0x44, 0xcd, 0x68, 0x7b, 0x76, 0xc7,
0x4a, 0x31, 0x33, 0x33, 0xdb, 0xb2, 0x65, 0x8b, 0x85, 0x85, 0x85, 0x48, 0x24,
0xea, 0xec, 0xec, 0xec, 0xef, 0xef, 0xd7, 0xb4, 0x45, 0x5a, 0x83, 0xad, 0xad,
0xed, 0xc5, 0x8b, 0x17, 0x31, 0xf9, 0x57, 0x6c, 0x36, 0xfb, 0xd8, 0xb1, 0x63,
0x4b, 0x95, 0x81, 0xf9, 0x0f, 0xe1, 0xe3, 0xe3, 0x03, 0x4a, 0xb7, 0xc9, 0x33,
0x3c, 0x3c, 0xac, 0xcd, 0x15, 0xa1, 0x08, 0xc7, 0xdf, 0xdf, 0x1f, 0x9d, 0x8b,
0xa6, 0x10, 0x08, 0x82, 0xfe, 0xa3, 0x55, 0x42, 0x03, 0x03, 0x03, 0x67, 0x67,
0x67, 0x1f, 0x99, 0xd6, 0x88, 0xa0, 0x54, 0xc5, 0x97, 0xb5, 0x48, 0x48, 0x48,
0xc8, 0xfc, 0xfc, 0x3c, 0x3a, 0x04, 0x33, 0x33, 0x33, 0x29, 0x29, 0x29, 0x2c,
0x16, 0x2b, 0x30, 0x30, 0xb0, 0xa8, 0xa8, 0x08, 0x7c, 0xd1, 0x8a, 0x20, 0x95,
0x4a, 0xbd, 0xbc, 0xbc, 0x34, 0x6d, 0xb5, 0xba, 0x88, 0x88, 0x88, 0x58, 0x58,
0x58, 0x40, 0xfb, 0x2f, 0x14, 0x0a, 0x7d, 0x7c, 0x7c, 0xd0, 0x32, 0x2e, 0x2e,
0x2e, 0x3d, 0x3d, 0x3d, 0x68, 0x99, 0xf6, 0xf6, 0xf6, 0xff, 0x44, 0x7a, 0xec,
0xeb, 0xaf, 0xbf, 0x8e, 0xe9, 0xb0, 0x1e, 0x3e, 0x7c, 0xb8, 0x75, 0xeb, 0x56,
0x79, 0xc9, 0x0d, 0x1b, 0x36, 0x80, 0x1a, 0x15, 0x08, 0xaf, 0xbc, 0xf2, 0x8a,
0x26, 0x4c, 0x56, 0x23, 0x31, 0x31, 0x31, 0x98, 0xbc, 0xf2, 0x89, 0x89, 0x89,
0xe7, 0x9f, 0x7f, 0x7e, 0x29, 0x79, 0x5f, 0x5f, 0x5f, 0xb4, 0xf0, 0xe5, 0xcb,
0x97, 0xd5, 0x6b, 0xaf, 0x7a, 0x89, 0x8f, 0x8f, 0x07, 0x1f, 0xf9, 0x20, 0x8c,
0x8d, 0x8d, 0xb1, 0x58, 0xac, 0xe5, 0xb5, 0xfe, 0xfc, 0xf3, 0x4f, 0x20, 0x3f,
0x3e, 0x3e, 0xae, 0x2e, 0x63, 0xd5, 0xce, 0xbe, 0x7d, 0xfb, 0x30, 0x5f, 0x2c,
0x8c, 0x8e, 0x8e, 0xe2, 0xa9, 0x81, 0x8e, 0xae, 0x91, 0x07, 0xc3, 0x30, 0xfa,
0x2b, 0x90, 0xc7, 0x87, 0x03, 0x07, 0x0e, 0x80, 0xaa, 0x15, 0x08, 0xc3, 0xc3,
0xc3, 0x4f, 0x3f, 0xfd, 0x34, 0x1e, 0xdd, 0xac, 0xac, 0x2c, 0xb4, 0xe2, 0x52,
0xe5, 0x39, 0xd7, 0x30, 0x49, 0x49, 0x49, 0xf0, 0xff, 0xc3, 0xe1, 0x70, 0x1c,
0x1d, 0x1d, 0xf1, 0xe8, 0x5a, 0x58, 0x58, 0x0c, 0x0d, 0x0d, 0x01, 0x45, 0x81,
0x40, 0x40, 0xbc, 0xbd, 0xea, 0xe5, 0xa3, 0x8f, 0x3e, 0xc2, 0x44, 0xa7, 0xaf,
0xaf, 0xcf, 0xde, 0xde, 0x1e, 0x8f, 0xae, 0x95, 0x95, 0x15, 0xa6, 0xa7, 0x2f,
0x2f, 0x2f, 0x27, 0xde, 0x64, 0x35, 0x72, 0xe2, 0xc4, 0x09, 0x4c, 0x74, 0x1e,
0x3c, 0x78, 0x60, 0x67, 0x67, 0x87, 0x47, 0x77, 0xe3, 0xc6, 0x8d, 0xf7, 0xef,
0xdf, 0x47, 0xeb, 0x8a, 0xc5, 0x62, 0x37, 0x37, 0x37, 0xe2, 0xad, 0x56, 0x17,
0x9f, 0x7e, 0xfa, 0x29, 0x26, 0x3a, 0xbd, 0xbd, 0xbd, 0x36, 0x36, 0x36, 0x78,
0x74, 0x9f, 0x78, 0xe2, 0x09, 0x36, 0x9b, 0x8d, 0x51, 0x3f, 0x70, 0xe0, 0x00,
0xf1, 0x56, 0xab, 0x8b, 0xcf, 0x3f, 0xff, 0x1c, 0xe3, 0x5e, 0x57, 0x57, 0x17,
0xce, 0x9a, 0x03, 0x0e, 0x0e, 0x0e, 0x03, 0x03, 0x03, 0x18, 0xf5, 0x94, 0x94,
0x14, 0xe2, 0xad, 0x56, 0x17, 0xa0, 0xee, 0x0d, 0x60, 0xa9, 0xd2, 0xd9, 0xf2,
0x6c, 0xde, 0xbc, 0x19, 0x7d, 0x57, 0x46, 0xde, 0xe6, 0x13, 0x13, 0x13, 0x89,
0xb7, 0x5a, 0x5d, 0x7c, 0xf3, 0xcd, 0x37, 0x98, 0xe8, 0x2c, 0x53, 0x3a, 0x1b,
0x83, 0xb3, 0xb3, 0x33, 0xb2, 0x12, 0x13, 0x40, 0x26, 0x93, 0xed, 0xdf, 0xbf,
0x9f, 0x78, 0xab, 0xd5, 0x02, 0x85, 0x42, 0x41, 0xd7, 0x30, 0x43, 0x68, 0x69,
0x69, 0x59, 0xaa, 0x74, 0x36, 0x06, 0x57, 0x57, 0x57, 0xf4, 0x57, 0xbf, 0x48,
0x74, 0xde, 0x7a, 0xeb, 0x2d, 0xe2, 0x0d, 0x57, 0x0b, 0x54, 0x2a, 0xf5, 0xec,
0xd9, 0xb3, 0x98, 0xe8, 0x2c, 0x53, 0x3a, 0x1b, 0x83, 0xbb, 0xbb, 0xfb, 0xc4,
0xc4, 0x04, 0x5a, 0x57, 0x2a, 0x95, 0xc6, 0xc5, 0xc5, 0x11, 0x6f, 0xb8, 0x5a,
0xd0, 0xd5, 0xd5, 0xfd, 0xf1, 0xc7, 0x1f, 0x31, 0xd1, 0x59, 0xa6, 0x74, 0x36,
0x06, 0x4f, 0x4f, 0x4f, 0xcc, 0xf2, 0x2b, 0x5a, 0xbe, 0x32, 0xc1, 0xca, 0xa0,
0xd1, 0x68, 0x48, 0x3d, 0x74, 0x34, 0xcb, 0x94, 0xce, 0xc6, 0xe0, 0xed, 0xed,
0x3d, 0x35, 0x35, 0x85, 0xd6, 0x15, 0x8b, 0xc5, 0x91, 0x91, 0x91, 0xc4, 0x1b,
0xae, 0x16, 0xf4, 0xf4, 0xf4, 0x2e, 0x5f, 0xbe, 0x8c, 0x89, 0x4e, 0x6d, 0x6d,
0x2d, 0xce, 0x25, 0x41, 0x7c, 0x7d, 0x7d, 0x41, 0x99, 0x0a, 0x84, 0xf9, 0xf9,
0xf9, 0xb0, 0xb0, 0x30, 0xe2, 0x0d, 0x57, 0x0b, 0x06, 0x06, 0x06, 0xd5, 0xd5,
0xd5, 0x98, 0xe8, 0x54, 0x55, 0x55, 0x2d, 0x55, 0x3a, 0x1b, 0x43, 0x40, 0x40,
0x80, 0x48, 0x24, 0x42, 0xeb, 0xce, 0xcd, 0xcd, 0x05, 0x07, 0x07, 0x13, 0x6f,
0x38, 0x31, 0x30, 0x18, 0x0c, 0x47, 0x47, 0x47, 0x73, 0x73, 0x73, 0xa4, 0x1c,
0x09, 0x9d, 0x4e, 0xbf, 0x72, 0xe5, 0x0a, 0x26, 0x3a, 0x95, 0x95, 0x95, 0x38,
0xbf, 0x8c, 0x0f, 0x0e, 0x0e, 0xc6, 0x8c, 0x3a, 0x8b, 0x44, 0xa2, 0x80, 0x80,
0x00, 0xe2, 0xfd, 0x50, 0x1d, 0x54, 0x2a, 0x75, 0xdb, 0xb6, 0x6d, 0x5f, 0x7e,
0xf9, 0x65, 0x47, 0x47, 0x07, 0x7a, 0x72, 0x46, 0x22, 0x91, 0x0c, 0x0d, 0x0d,
0x81, 0xf2, 0x48, 0x80, 0x65, 0x4a, 0x67, 0x63, 0x08, 0x0b, 0x0b, 0xc3, 0x8c,
0x49, 0x4f, 0x4f, 0x4f, 0xab, 0x6c, 0x51, 0x2c, 0x35, 0x40, 0xa5, 0x52, 0xe3,
0xe3, 0xe3, 0xfb, 0xfa, 0xfa, 0x60, 0xdc, 0x94, 0x95, 0x95, 0xe1, 0x2c, 0xb0,
0x14, 0x15, 0x15, 0x25, 0x16, 0x8b, 0xd1, 0xba, 0x53, 0x53, 0x53, 0x6b, 0x69,
0xc6, 0xc2, 0xdd, 0xdd, 0x1d, 0xa9, 0x70, 0x88, 0x1f, 0xb1, 0x58, 0x8c, 0x73,
0x15, 0xd2, 0x37, 0xde, 0x78, 0x03, 0x33, 0x62, 0x2f, 0x10, 0x08, 0x3c, 0x3d,
0x3d, 0x89, 0x77, 0x4b, 0x45, 0xc4, 0xc6, 0xc6, 0xe2, 0x9f, 0xcc, 0x93, 0xbf,
0x88, 0x96, 0xef, 0xbc, 0xe2, 0xe2, 0xe2, 0x30, 0x63, 0xd2, 0xe3, 0xe3, 0xe3,
0xee, 0xee, 0xee, 0x04, 0xf9, 0xa2, 0xfa, 0xec, 0x8e, 0xe4, 0xe4, 0xe4, 0xaf,
0xbf, 0xfe, 0x5a, 0x7e, 0xff, 0xdd, 0xbb, 0x77, 0xeb, 0xeb, 0xeb, 0x07, 0x07,
0x07, 0xf9, 0x7c, 0xbe, 0xb1, 0xb1, 0xb1, 0xb5, 0xb5, 0xb5, 0xb7, 0xb7, 0xb7,
0xbf, 0xbf, 0xbf, 0xfc, 0xfd, 0xb8, 0xb9, 0xb9, 0x39, 0x38, 0x38, 0x18, 0x94,
0x8f, 0x44, 0xf3, 0xf6, 0xdb, 0x6f, 0x9f, 0x3b, 0x77, 0x0e, 0x3d, 0xb1, 0xc5,
0xe7, 0xf3, 0x83, 0x82, 0x82, 0xd6, 0x4c, 0x8d, 0xc0, 0xf0, 0xf0, 0x70, 0xcc,
0xa0, 0x3a, 0x04, 0x41, 0x15, 0x15, 0x15, 0xcf, 0x3c, 0xf3, 0x8c, 0x42, 0x79,
0x63, 0x63, 0xe3, 0x23, 0x47, 0x8e, 0x60, 0x0a, 0xe1, 0x2d, 0x35, 0xe8, 0xb7,
0x7f, 0xff, 0x7e, 0x4c, 0xe3, 0x5c, 0x2e, 0x77, 0x2d, 0x15, 0x58, 0x72, 0x74,
0x74, 0xc4, 0x24, 0x11, 0x8c, 0x8c, 0x8c, 0xe0, 0x29, 0xea, 0x6c, 0x62, 0x62,
0x22, 0xff, 0x28, 0xf4, 0xe1, 0x87, 0x1f, 0xa2, 0x65, 0x0e, 0x1d, 0x3a, 0x84,
0x19, 0xb1, 0x1f, 0x1a, 0x1a, 0xda, 0xbc, 0x79, 0x33, 0x91, 0x0e, 0xa9, 0x1a,
0x64, 0xcd, 0x1b, 0x40, 0x77, 0x77, 0xb7, 0x95, 0x95, 0x15, 0x4e, 0x5d, 0x0a,
0x85, 0x92, 0x9f, 0x9f, 0x8f, 0x56, 0x9f, 0x9e, 0x9e, 0x06, 0xab, 0x22, 0xa7,
0xa4, 0xa4, 0x60, 0xc2, 0x37, 0x30, 0x30, 0x80, 0xb3, 0x9e, 0xb2, 0xb6, 0xb0,
0x6d, 0xdb, 0x36, 0xb4, 0x03, 0x63, 0x63, 0x63, 0x38, 0x07, 0xd5, 0x01, 0x14,
0x0a, 0x05, 0xf3, 0xc2, 0x51, 0x50, 0x50, 0x80, 0x5e, 0x4a, 0x0e, 0xc0, 0x66,
0xb3, 0x15, 0xd6, 0x71, 0xd7, 0x6a, 0x30, 0x97, 0x4f, 0x4c, 0x4c, 0xcc, 0x2a,
0x1a, 0x61, 0x32, 0x99, 0xa0, 0x22, 0x3d, 0xd2, 0xf1, 0x83, 0x52, 0x92, 0x80,
0x7b, 0xf7, 0xee, 0xd9, 0xda, 0xda, 0x12, 0xe0, 0x01, 0x91, 0xd0, 0xe9, 0x74,
0xf4, 0x0b, 0x51, 0x4b, 0x4b, 0xcb, 0xaa, 0x9b, 0x92, 0x9f, 0xff, 0x42, 0xd3,
0xd3, 0xd3, 0x83, 0xff, 0x6f, 0xab, 0x45, 0x44, 0x46, 0x46, 0xa2, 0xdd, 0x50,
0x66, 0x7c, 0x93, 0xc9, 0x64, 0x62, 0x1e, 0x91, 0x01, 0x77, 0xee, 0xdc, 0x59,
0xab, 0x6b, 0xb5, 0x7f, 0xfc, 0xf1, 0xc7, 0xc0, 0x0d, 0x08, 0x82, 0x94, 0xac,
0xfc, 0x58, 0x57, 0x57, 0x27, 0x1f, 0x9d, 0xdb, 0xb7, 0x6f, 0x9b, 0x99, 0x99,
0xa9, 0xce, 0x64, 0xbc, 0xa8, 0x26, 0x95, 0x08, 0x3d, 0x51, 0x35, 0x3e, 0x3e,
0xae, 0x64, 0xfa, 0x04, 0x87, 0xc3, 0xc1, 0xec, 0xb9, 0x75, 0xeb, 0x56, 0x60,
0x60, 0xe0, 0xe4, 0xe4, 0xa4, 0x32, 0xcd, 0xae, 0x0e, 0x5c, 0xef, 0xcd, 0x8f,
0x04, 0x1d, 0xa0, 0x91, 0x91, 0x11, 0x25, 0x5b, 0xbb, 0x7f, 0xff, 0x3e, 0xfa,
0x67, 0x6b, 0x6b, 0xeb, 0x8e, 0x1d, 0x3b, 0xa6, 0xa7, 0xa7, 0x95, 0x6c, 0x76,
0x75, 0xa8, 0xe6, 0x0a, 0x72, 0x75, 0x75, 0x05, 0xdb, 0xa3, 0xa3, 0xa3, 0x4a,
0xb6, 0x86, 0x19, 0xee, 0x08, 0x0f, 0x0f, 0xd7, 0x54, 0x74, 0x54, 0x13, 0x20,
0x2b, 0x2b, 0x2b, 0xf4, 0x8a, 0xc7, 0xca, 0x5f, 0x41, 0xe8, 0x5e, 0x5c, 0x20,
0x10, 0x68, 0xe4, 0x9f, 0x05, 0x50, 0x41, 0x80, 0xf2, 0xf3, 0xf3, 0xd1, 0x3f,
0x9b, 0x9a, 0x9a, 0x94, 0x6c, 0x10, 0x1d, 0x20, 0xfc, 0xcb, 0x23, 0x68, 0x23,
0x14, 0x0a, 0x25, 0x33, 0x33, 0x13, 0xdd, 0xd7, 0x4c, 0x4f, 0x4f, 0x9b, 0x98,
0x98, 0x28, 0xd9, 0x26, 0x7a, 0x98, 0xb1, 0xae, 0xae, 0x4e, 0x75, 0xf6, 0xaa,
0x17, 0x27, 0x27, 0xa7, 0xfa, 0xfa, 0x7a, 0x4c, 0x67, 0x9c, 0x95, 0x95, 0xa5,
0x64, 0xb3, 0x60, 0x95, 0x03, 0x84, 0x15, 0x2d, 0x00, 0xa0, 0x79, 0x1c, 0x1d,
0x1d, 0xc3, 0xc2, 0xc2, 0x92, 0x92, 0x92, 0xd0, 0x2b, 0x7c, 0x01, 0xfe, 0xfa,
0xeb, 0x2f, 0x03, 0x03, 0x03, 0x25, 0x4f, 0x91, 0x97, 0x97, 0x87, 0x6e, 0xf3,
0x91, 0xf5, 0xb7, 0xb5, 0x05, 0x17, 0x17, 0x17, 0xb0, 0x56, 0x95, 0x42, 0xda,
0xda, 0xda, 0x94, 0x7f, 0x45, 0xb2, 0xb1, 0xb1, 0x41, 0x0f, 0x45, 0xae, 0x99,
0x65, 0x56, 0x0c, 0x0c, 0x0c, 0xd0, 0xef, 0x90, 0xf2, 0x14, 0x15, 0x15, 0x29,
0x7f, 0xed, 0xe8, 0xe8, 0xe8, 0x9c, 0x3f, 0x7f, 0x1e, 0xdd, 0x6c, 0x46, 0x46,
0x86, 0x2a, 0xcc, 0x27, 0x1e, 0xcc, 0x0a, 0x4c, 0x68, 0xba, 0xbb, 0xbb, 0x55,
0x95, 0x1d, 0x10, 0x12, 0x12, 0x82, 0x1e, 0x30, 0x1c, 0x1d, 0x1d, 0xc5, 0x39,
0x2b, 0xaf, 0x79, 0x18, 0x0c, 0x06, 0xe6, 0x9b, 0x11, 0x24, 0xc9, 0x54, 0x85,
0x93, 0x50, 0xae, 0xae, 0xae, 0x42, 0xa1, 0x10, 0xdd, 0xfe, 0x1a, 0xcb, 0xe8,
0x79, 0xf7, 0xdd, 0x77, 0xe5, 0x2f, 0x9f, 0xf2, 0xf2, 0x72, 0x25, 0x3b, 0x75,
0x04, 0x67, 0x67, 0x67, 0x0e, 0x87, 0x83, 0x6e, 0xb9, 0xbd, 0xbd, 0x7d, 0x45,
0x2b, 0x90, 0x68, 0x05, 0xfb, 0xf6, 0xed, 0x93, 0x2f, 0x38, 0x3f, 0x39, 0x39,
0x99, 0x9a, 0x9a, 0x8a, 0x73, 0x1e, 0x5d, 0x21, 0x91, 0x91, 0x91, 0x98, 0x6b,
0x67, 0x62, 0x62, 0x02, 0x67, 0x02, 0xb4, 0xd6, 0xe1, 0xef, 0xef, 0xaf, 0xf0,
0x6e, 0xcd, 0x66, 0xb3, 0x63, 0x62, 0x62, 0x56, 0xba, 0xfa, 0x87, 0xad, 0xad,
0x6d, 0x51, 0x51, 0x11, 0x66, 0x28, 0x5e, 0x2c, 0x16, 0xaf, 0x68, 0x05, 0x12,
0xad, 0xc3, 0xd6, 0xd6, 0xb6, 0xb1, 0xb1, 0x51, 0xe1, 0x0d, 0x9b, 0xcb, 0xe5,
0x16, 0x16, 0x16, 0x86, 0x86, 0x86, 0x3e, 0xb2, 0x47, 0x73, 0x73, 0x73, 0x3b,
0x7d, 0xfa, 0x34, 0x26, 0xef, 0x00, 0x59, 0x8e, 0x59, 0xdb, 0x16, 0xab, 0x5e,
0xcd, 0xc4, 0x21, 0x95, 0x4a, 0x3d, 0x7a, 0xf4, 0xe8, 0x27, 0x9f, 0x7c, 0xb2,
0x54, 0x76, 0x93, 0x48, 0x24, 0xfa, 0xe3, 0x8f, 0x3f, 0x86, 0x86, 0x86, 0x78,
0x3c, 0x1e, 0x9f, 0xcf, 0xe7, 0xf1, 0x78, 0xb3, 0xb3, 0xb3, 0x96, 0x96, 0x96,
0xd6, 0xd6, 0xd6, 0x8e, 0x8e, 0x8e, 0xa1, 0xa1, 0xa1, 0x0a, 0xd3, 0xc0, 0xc7,
0xc7, 0xc7, 0xa3, 0xa3, 0xa3, 0x95, 0x7f, 0x95, 0xd3, 0x16, 0x1c, 0x1c, 0x1c,
0x7e, 0xfb, 0xed, 0x37, 0x85, 0x97, 0xd2, 0x2a, 0x68, 0x6b, 0x6b, 0x5b, 0x7b,
0x13, 0x15, 0x78, 0xf0, 0xf5, 0xf5, 0x55, 0x38, 0x42, 0x8a, 0x1f, 0x2e, 0x97,
0x9b, 0x98, 0x98, 0xf8, 0xb8, 0x2d, 0x7e, 0x85, 0x81, 0xc5, 0x62, 0xe5, 0xe6,
0xe6, 0xca, 0x27, 0xfb, 0x2c, 0xcf, 0xe0, 0xe0, 0xe0, 0xf1, 0xe3, 0xc7, 0xd7,
0xad, 0x5b, 0xa7, 0x69, 0xf3, 0x97, 0x43, 0x95, 0xc9, 0x0b, 0xba, 0xba, 0xba,
0x1e, 0x1e, 0x1e, 0xdb, 0xb7, 0x6f, 0xf7, 0xf3, 0xf3, 0x73, 0x76, 0x76, 0xb6,
0xb7, 0xb7, 0x97, 0x4f, 0x85, 0x12, 0x0a, 0x85, 0xf7, 0xee, 0xdd, 0xab, 0xa9,
0xa9, 0xa9, 0xae, 0xae, 0x6e, 0x6f, 0x6f, 0x57, 0xe1, 0xd9, 0x09, 0x82, 0xc0,
0xda, 0x1d, 0x34, 0x1a, 0xcd, 0xd6, 0xd6, 0x76, 0xfd, 0xfa, 0xf5, 0x0c, 0x06,
0x83, 0x4a, 0xa5, 0xf2, 0x78, 0xbc, 0xd1, 0xd1, 0xd1, 0xf9, 0xf9, 0x79, 0xe2,
0xce, 0x48, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42,
0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42, 0x30, 0xff, 0x03, 0x88, 0x01,
0xd7, 0xb8, 0xab, 0x6f, 0x37, 0x89, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e,
0x44, 0xae, 0x42, 0x60, 0x82 };
IconMask iconMask3(iconMask3Data);

const uchar iconMask1Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x0e, 0x57, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0x9d, 0x7b, 0x50, 0x54, 0xe5, 0x1b, 0xc7, 0xd7, 0x45, 0xdc, 0x05, 0xb9, 0x18,
0x12, 0xd7, 0x29, 0x60, 0xb9, 0x05, 0x82, 0x84, 0x26, 0x50, 0x58, 0x02, 0x81,
0x17, 0x2e, 0xd2, 0x22, 0x45, 0x92, 0x17, 0xbc, 0xd0, 0xd4, 0x38, 0x56, 0x93,
0xd3, 0x14, 0x63, 0x0a, 0x98, 0x5d, 0x86, 0x19, 0x13, 0x1b, 0x5d, 0x5c, 0x81,
0xc1, 0x72, 0xd4, 0x90, 0xa1, 0xf2, 0x96, 0x5c, 0x8c, 0x4c, 0x48, 0x51, 0x10,
0x1c, 0xcb, 0x06, 0x42, 0x25, 0x44, 0x20, 0x5c, 0xb9, 0xc8, 0xc2, 0x72, 0x59,
0x76, 0xdf, 0xdf, 0x1f, 0x6f, 0xbf, 0x33, 0xef, 0xef, 0x9c, 0xe5, 0xb0, 0x7b,
0xae, 0x4b, 0xbf, 0xf3, 0xf9, 0x6b, 0x77, 0xcf, 0x39, 0xcf, 0xf3, 0xbc, 0xdf,
0x3d, 0xe7, 0xbd, 0x3c, 0xe7, 0x9c, 0xf7, 0x15, 0x89, 0x04, 0x04, 0x04, 0x04,
0x04, 0xcc, 0x16, 0x0b, 0xe3, 0x77, 0x95, 0xcb, 0xe5, 0x63, 0x63, 0x63, 0x83,
0x83, 0x83, 0x6c, 0xc6, 0x33, 0x93, 0xa9, 0xaf, 0xaf, 0x1f, 0x1c, 0x1c, 0x4c,
0x4b, 0x4b, 0xe3, 0x3b, 0x10, 0x73, 0xa5, 0xbe, 0xbe, 0x1e, 0x00, 0x00, 0x00,
0x28, 0x2a, 0x2a, 0xb2, 0xb6, 0xb6, 0xe6, 0x3b, 0x1c, 0x8e, 0x98, 0x4d, 0xbe,
0x59, 0x2c, 0x16, 0x47, 0x44, 0x44, 0x04, 0x07, 0x07, 0x3b, 0x3b, 0x3b, 0x4b,
0xa5, 0x52, 0xf8, 0xe3, 0x96, 0x2d, 0x5b, 0x02, 0x02, 0x02, 0x22, 0x23, 0x23,
0x39, 0x89, 0xd0, 0x5c, 0xb1, 0xb1, 0xb1, 0xc9, 0xce, 0xce, 0xee, 0xed, 0xed,
0x85, 0x67, 0xcd, 0xc4, 0xc4, 0xc4, 0x9d, 0x3b, 0x77, 0xc0, 0x7f, 0xb9, 0x72,
0xe5, 0x0a, 0xdf, 0x01, 0xf2, 0x4a, 0x58, 0x58, 0xd8, 0x83, 0x07, 0x0f, 0xf4,
0x7a, 0x7d, 0x79, 0x79, 0x79, 0x6a, 0x6a, 0xaa, 0xab, 0xab, 0xab, 0x58, 0x2c,
0xc6, 0x2e, 0xb1, 0xe2, 0xe2, 0xe2, 0xff, 0x9f, 0x4b, 0xcc, 0x00, 0x71, 0x71,
0x71, 0xa3, 0xa3, 0xa3, 0x77, 0xee, 0xdc, 0x59, 0xb2, 0x64, 0x09, 0xfa, 0xbb,
0xf9, 0x54, 0xd2, 0xa9, 0xa9, 0xa9, 0x8f, 0x1f, 0x3f, 0xce, 0xce, 0xce, 0xb6,
0xb0, 0x30, 0xa1, 0x15, 0x66, 0x06, 0x1f, 0x1f, 0x9f, 0x81, 0x81, 0x81, 0xe6,
0xe6, 0x66, 0x07, 0x07, 0x07, 0xdc, 0x26, 0xb9, 0x5c, 0xee, 0xe9, 0xe9, 0x89,
0x7d, 0x95, 0x48, 0x24, 0xdb, 0xb6, 0x6d, 0x5b, 0xb7, 0x6e, 0xdd, 0xac, 0x59,
0xb3, 0x38, 0x0e, 0x32, 0x3f, 0x3f, 0x1f, 0x9e, 0xcb, 0x97, 0x2f, 0x5f, 0x7e,
0xea, 0xa9, 0xa7, 0x38, 0xf5, 0x7d, 0xee, 0xdc, 0xb9, 0xfe, 0xfe, 0xfe, 0x69,
0xbd, 0x4a, 0xa5, 0xd2, 0x8a, 0x8a, 0x0a, 0x18, 0xe5, 0x91, 0x23, 0x47, 0x38,
0xd6, 0x08, 0x13, 0x08, 0x00, 0xd0, 0xdf, 0xdf, 0x2f, 0x97, 0xcb, 0x39, 0x72,
0xbc, 0x64, 0xc9, 0x12, 0x00, 0xc0, 0x8e, 0x1d, 0x3b, 0xc8, 0x77, 0x93, 0x4a,
0xa5, 0x95, 0x95, 0x95, 0x3a, 0x9d, 0x2e, 0x23, 0x23, 0x63, 0xcf, 0x9e, 0x3d,
0x00, 0x80, 0xc2, 0xc2, 0x42, 0x2e, 0x35, 0x42, 0x05, 0x82, 0x28, 0x14, 0x0a,
0xac, 0x91, 0x65, 0x91, 0xbc, 0xbc, 0xbc, 0xb1, 0xb1, 0x31, 0x5b, 0x5b, 0x5b,
0x92, 0x7d, 0x30, 0x75, 0x36, 0x6e, 0xdc, 0x08, 0x7f, 0xc9, 0xcd, 0xcd, 0x85,
0x9d, 0x23, 0xce, 0x34, 0x22, 0x0a, 0x04, 0x00, 0xf8, 0xed, 0xb7, 0xdf, 0x16,
0x2c, 0x58, 0xc0, 0xae, 0xe3, 0xeb, 0xd7, 0xaf, 0x57, 0x57, 0x57, 0x93, 0xec,
0x20, 0x95, 0x4a, 0xab, 0xaa, 0xaa, 0x50, 0x75, 0x20, 0x39, 0x39, 0x39, 0xb0,
0x75, 0xe3, 0x40, 0x23, 0x2b, 0x2b, 0x2b, 0x83, 0x02, 0x01, 0x00, 0x34, 0x1a,
0x4d, 0x4a, 0x4a, 0x0a, 0x8b, 0xbe, 0xbb, 0xbb, 0xbb, 0x95, 0x4a, 0xe5, 0x54,
0x5b, 0xa5, 0x52, 0x69, 0x75, 0x75, 0xb5, 0x4e, 0xa7, 0xdb, 0xb0, 0x61, 0x03,
0x71, 0x2b, 0x4b, 0x1a, 0x59, 0x5b, 0x5b, 0x27, 0x27, 0x27, 0x17, 0x15, 0x15,
0xfd, 0xf2, 0xcb, 0x2f, 0x6d, 0x6d, 0x6d, 0x23, 0x23, 0x23, 0x00, 0x80, 0xbb,
0x77, 0xef, 0x1a, 0x14, 0x08, 0x00, 0xa0, 0x52, 0xa9, 0x18, 0xf4, 0x8e, 0x67,
0x70, 0x70, 0x70, 0xff, 0xfe, 0xfd, 0x53, 0x6d, 0xcd, 0xcc, 0xcc, 0x04, 0x00,
0xe0, 0xce, 0x1d, 0x94, 0x4f, 0x3e, 0xf9, 0x04, 0x00, 0x10, 0x1d, 0x1d, 0xcd,
0x48, 0x30, 0xb1, 0xb1, 0xb1, 0xa7, 0x4f, 0x9f, 0xd6, 0x68, 0x34, 0x53, 0x69,
0xc1, 0x8d, 0x40, 0x62, 0xf4, 0x4b, 0x4f, 0x4f, 0x8f, 0xab, 0xab, 0xeb, 0x54,
0xbb, 0x76, 0x75, 0x75, 0x89, 0x44, 0xa2, 0xa5, 0x4b, 0x97, 0x1a, 0x3c, 0x47,
0xa4, 0x52, 0x69, 0x58, 0x58, 0x98, 0x5e, 0xaf, 0xef, 0xe9, 0xe9, 0xa1, 0x19,
0x53, 0x68, 0x68, 0x68, 0x65, 0x65, 0x65, 0x75, 0x75, 0xf5, 0xea, 0xd5, 0xab,
0xad, 0xac, 0xac, 0x70, 0x5b, 0x07, 0x07, 0x07, 0x9b, 0x9a, 0x9a, 0x0c, 0x1e,
0x38, 0x3a, 0x3a, 0xfa, 0xf6, 0xdb, 0x6f, 0xd3, 0xf4, 0x4e, 0x46, 0x59, 0x59,
0xd9, 0xfd, 0xfb, 0xf7, 0x49, 0x76, 0x80, 0x6d, 0x16, 0xb1, 0x3e, 0x46, 0xdb,
0x35, 0x3a, 0x01, 0x58, 0x5a, 0x5a, 0x1e, 0x3c, 0x78, 0x50, 0xaf, 0xd7, 0xa3,
0x27, 0xc5, 0xcd, 0x9b, 0x37, 0x73, 0x73, 0x73, 0xa3, 0xa2, 0xa2, 0x7c, 0x7c,
0x7c, 0x60, 0x0f, 0x9e, 0xb7, 0x4a, 0x7a, 0xdd, 0xba, 0x75, 0x00, 0x80, 0x17,
0x5f, 0x7c, 0x91, 0x64, 0x1f, 0xd8, 0x66, 0xa1, 0x75, 0xcd, 0x54, 0x35, 0xb7,
0xa9, 0x38, 0x3a, 0x3a, 0x5e, 0xba, 0x74, 0x09, 0x2b, 0xb0, 0x56, 0xab, 0x55,
0x28, 0x14, 0x68, 0xd7, 0x14, 0x83, 0x28, 0x50, 0x41, 0x41, 0x01, 0xf1, 0x5c,
0x63, 0x1e, 0x6b, 0x6b, 0xeb, 0xae, 0xae, 0xae, 0xda, 0xda, 0x5a, 0xf2, 0x8a,
0x16, 0xab, 0x8f, 0xc5, 0x62, 0xb1, 0x95, 0x95, 0x15, 0x54, 0xc7, 0x60, 0xcd,
0x6d, 0x3c, 0x7e, 0x7e, 0x7e, 0xf7, 0xee, 0xdd, 0xc3, 0x0a, 0xfc, 0xfd, 0xf7,
0xdf, 0xfb, 0xfa, 0xfa, 0x4e, 0xb5, 0x33, 0x6f, 0x1d, 0x45, 0x91, 0x48, 0x94,
0x91, 0x91, 0x01, 0x00, 0xc8, 0xce, 0xce, 0x26, 0xdf, 0x2d, 0x3b, 0x3b, 0x1b,
0x00, 0x50, 0x52, 0x52, 0x02, 0xdb, 0xb5, 0xf5, 0xeb, 0xd7, 0xd3, 0x71, 0xea,
0xe0, 0xe0, 0xd0, 0xd6, 0xd6, 0x06, 0x0b, 0xac, 0xd3, 0xe9, 0xa6, 0xed, 0xa9,
0xf2, 0x39, 0xd4, 0x10, 0x89, 0x44, 0x45, 0x45, 0x45, 0x7a, 0xbd, 0x3e, 0x27,
0x27, 0x87, 0xfc, 0x3c, 0xda, 0xbd, 0x7b, 0x37, 0x00, 0x60, 0x72, 0x72, 0x92,
0xa6, 0x3a, 0xb3, 0x67, 0xcf, 0xbe, 0x78, 0xf1, 0x22, 0x2c, 0xb0, 0x5a, 0xad,
0x5e, 0xb9, 0x72, 0xe5, 0xb4, 0x87, 0xbc, 0xf6, 0xda, 0x6b, 0x03, 0x03, 0x03,
0xd3, 0x0e, 0x56, 0x3d, 0x3d, 0x3d, 0xe7, 0xcf, 0x9f, 0x4f, 0x27, 0x36, 0xc3,
0x58, 0x5a, 0x5a, 0x16, 0x16, 0x16, 0x02, 0x00, 0x7e, 0xfd, 0xf5, 0xd7, 0x65,
0xcb, 0x96, 0xa1, 0x32, 0xcd, 0x9a, 0x35, 0x0b, 0xed, 0xd1, 0x07, 0x06, 0x06,
0x3e, 0xfd, 0xf4, 0xd3, 0x34, 0xdd, 0xed, 0xdb, 0xb7, 0x0f, 0x3b, 0x77, 0x92,
0x92, 0x92, 0x68, 0x5a, 0x83, 0x78, 0x78, 0x78, 0x60, 0xc9, 0x19, 0xa5, 0x52,
0x39, 0x67, 0xce, 0x1c, 0x46, 0xcc, 0xfe, 0x0f, 0x1b, 0x36, 0x6c, 0x78, 0xf0,
0xe0, 0x01, 0x00, 0xa0, 0xab, 0xab, 0xab, 0xac, 0xac, 0xec, 0xab, 0xaf, 0xbe,
0x3a, 0x79, 0xf2, 0x64, 0x67, 0x67, 0x67, 0x6f, 0x6f, 0x2f, 0x83, 0x5e, 0xfc,
0xfc, 0xfc, 0xb4, 0x5a, 0x2d, 0x2c, 0xc9, 0x87, 0x1f, 0x7e, 0xc8, 0x88, 0x4d,
0x4f, 0x4f, 0xcf, 0xbf, 0xfe, 0xfa, 0x0b, 0xad, 0xc2, 0xcf, 0x9c, 0x39, 0xc3,
0x8a, 0x46, 0x56, 0x56, 0x56, 0xe9, 0xe9, 0xe9, 0xdf, 0x7e, 0xfb, 0xed, 0xed,
0xdb, 0xb7, 0xfb, 0xfa, 0xfa, 0x5a, 0x5b, 0x5b, 0x4f, 0x9d, 0x3a, 0x95, 0x98,
0x98, 0xc8, 0xa0, 0x8b, 0xf2, 0xf2, 0x72, 0x58, 0x86, 0xca, 0xca, 0x4a, 0x46,
0x0c, 0x7a, 0x79, 0x79, 0x61, 0xea, 0x4c, 0x4e, 0x4e, 0xb2, 0xae, 0x11, 0xab,
0x3c, 0xff, 0xfc, 0xf3, 0xd8, 0xc5, 0x15, 0x12, 0x12, 0x42, 0xdf, 0xa0, 0x97,
0x97, 0x57, 0x47, 0x47, 0x07, 0xb4, 0x39, 0x3a, 0x3a, 0x1a, 0x17, 0x17, 0xf7,
0xe9, 0xa7, 0x9f, 0x62, 0x1a, 0x9d, 0x3d, 0x7b, 0x76, 0x86, 0x69, 0x54, 0x5c,
0x5c, 0x0c, 0x43, 0xff, 0xfa, 0xeb, 0xaf, 0xe9, 0x5b, 0x43, 0xd5, 0xd1, 0x68,
0x34, 0x71, 0x71, 0x71, 0xf0, 0xf7, 0xbd, 0x7b, 0xf7, 0x62, 0x1a, 0x9d, 0x3b,
0x77, 0x6e, 0xc6, 0x68, 0x24, 0x16, 0x8b, 0x1f, 0x3e, 0x7c, 0x08, 0xe3, 0x5e,
0xbc, 0x78, 0x31, 0x4d, 0x6b, 0x32, 0x99, 0xec, 0xfe, 0xfd, 0xfb, 0x98, 0x3a,
0xb1, 0xb1, 0xb1, 0xe8, 0x56, 0x38, 0x48, 0xc4, 0x34, 0x92, 0x48, 0x24, 0x34,
0xdd, 0x71, 0xc1, 0xd2, 0xa5, 0x4b, 0x61, 0xc4, 0x9d, 0x9d, 0x9d, 0x34, 0x4d,
0xe1, 0xd4, 0x79, 0xf9, 0xe5, 0x97, 0x89, 0xfb, 0xa0, 0x1a, 0x9d, 0x3f, 0x7f,
0x7e, 0x06, 0x68, 0x84, 0xd5, 0x0e, 0x07, 0x0f, 0x1e, 0xa4, 0x63, 0xc7, 0xdb,
0xdb, 0x7b, 0x5a, 0x75, 0x20, 0x70, 0x20, 0x09, 0xf9, 0xf1, 0xc7, 0x1f, 0xcd,
0x5d, 0xa3, 0x13, 0x27, 0x4e, 0xc0, 0x58, 0xd3, 0xd3, 0xd3, 0x29, 0x1b, 0xf1,
0xf6, 0xf6, 0xee, 0xec, 0xec, 0x84, 0x76, 0x46, 0x46, 0x46, 0x62, 0x62, 0x62,
0xc8, 0xf7, 0x87, 0x03, 0xc9, 0x99, 0xa1, 0x11, 0x36, 0x2e, 0x5d, 0xb6, 0x6c,
0x19, 0x35, 0x0b, 0x3e, 0x3e, 0x3e, 0x26, 0xa9, 0x03, 0x81, 0x03, 0x49, 0xc8,
0x85, 0x0b, 0x17, 0xcc, 0x57, 0xa3, 0xd6, 0xd6, 0x56, 0x18, 0xa5, 0x9f, 0x9f,
0x1f, 0x85, 0xc3, 0x65, 0x32, 0x19, 0xec, 0xc7, 0x42, 0x75, 0x4c, 0xca, 0xd2,
0xc1, 0x81, 0x24, 0xa4, 0xa2, 0xa2, 0xc2, 0xd2, 0xd2, 0x92, 0x42, 0x00, 0xac,
0xa3, 0x52, 0xa9, 0x60, 0x88, 0x8e, 0x8e, 0x8e, 0x14, 0x0e, 0xaf, 0xad, 0xad,
0xc5, 0xd4, 0x89, 0x8a, 0x8a, 0x32, 0xf5, 0x70, 0x38, 0x90, 0x84, 0xec, 0xdc,
0xb9, 0x93, 0x42, 0x00, 0xac, 0xf3, 0xc7, 0x1f, 0x7f, 0xc0, 0xf8, 0x02, 0x02,
0x02, 0x4c, 0x3d, 0xd6, 0xde, 0xde, 0x1e, 0x2b, 0xde, 0xf2, 0xe5, 0xcb, 0xa9,
0x05, 0xb0, 0x7f, 0xff, 0x7e, 0x68, 0x81, 0xfc, 0x39, 0x03, 0x31, 0xc9, 0x36,
0x56, 0xe9, 0xee, 0xee, 0x86, 0x1f, 0xdc, 0xdc, 0xdc, 0x4c, 0x3d, 0x56, 0xad,
0x56, 0xab, 0xd5, 0x6a, 0xf8, 0x79, 0xfb, 0xf6, 0xed, 0x14, 0xfa, 0x7e, 0x5e,
0x5e, 0x5e, 0xd8, 0xfd, 0x0f, 0xfa, 0x39, 0x62, 0x56, 0xf8, 0xe6, 0x9b, 0x6f,
0xe0, 0x1f, 0x48, 0x2d, 0x0f, 0xf9, 0xce, 0x3b, 0xef, 0x50, 0x1e, 0x43, 0xe0,
0x46, 0x24, 0x0b, 0x17, 0x2e, 0xa4, 0x10, 0x00, 0xeb, 0xec, 0xda, 0xb5, 0x0b,
0x86, 0x58, 0x52, 0x52, 0x42, 0xcd, 0x02, 0xb5, 0x31, 0x84, 0x4c, 0x26, 0x43,
0x47, 0x24, 0xb8, 0x3e, 0xb7, 0x19, 0x11, 0x1a, 0x1a, 0x0a, 0xa3, 0x54, 0xa9,
0x54, 0x94, 0x1f, 0xd2, 0x30, 0xb5, 0x7f, 0x4c, 0x3e, 0x22, 0x31, 0x3b, 0xb0,
0x7f, 0x92, 0x72, 0x57, 0x08, 0xd7, 0x3f, 0x26, 0xd7, 0xc8, 0xf8, 0x3e, 0xb7,
0xb9, 0x70, 0xe0, 0xc0, 0x01, 0xac, 0x60, 0x74, 0xec, 0x18, 0xd3, 0x3f, 0x46,
0xfb, 0xdc, 0x33, 0x43, 0x1d, 0x91, 0x48, 0x14, 0x10, 0x10, 0x80, 0xe5, 0xb4,
0x68, 0xde, 0x8f, 0x25, 0xef, 0x1f, 0x53, 0xeb, 0x73, 0x9b, 0x05, 0x47, 0x8e,
0x1c, 0x81, 0x71, 0x37, 0x36, 0x36, 0xce, 0x9e, 0x3d, 0xcd, 0x13, 0xa5, 0xe4,
0xe0, 0x34, 0xc2, 0x72, 0xe7, 0x38, 0x75, 0x98, 0xba, 0x33, 0xce, 0x11, 0xae,
0xae, 0xae, 0xf0, 0x79, 0x04, 0x00, 0xc0, 0xa1, 0x43, 0x87, 0x68, 0x5a, 0xc3,
0x8d, 0x21, 0xa4, 0x52, 0xa9, 0x8f, 0x8f, 0x0f, 0xe5, 0x11, 0x89, 0xb9, 0xb0,
0x63, 0xc7, 0x0e, 0xac, 0x54, 0xf4, 0xef, 0xac, 0xa3, 0x63, 0x88, 0x9a, 0x9a,
0x1a, 0x54, 0x1d, 0x0a, 0x23, 0x12, 0x73, 0x01, 0xeb, 0x34, 0x6a, 0xb5, 0x5a,
0xfa, 0x1a, 0x61, 0x3d, 0x2c, 0x8c, 0xe1, 0xe1, 0x61, 0x3a, 0x0d, 0x25, 0xff,
0x48, 0x24, 0x92, 0xab, 0x57, 0xaf, 0x62, 0xe5, 0x29, 0x28, 0x28, 0xa0, 0x39,
0xc2, 0xfe, 0xf8, 0xe3, 0x8f, 0x31, 0x6b, 0x6a, 0xb5, 0x7a, 0x66, 0xab, 0x03,
0x71, 0x72, 0x72, 0x42, 0x35, 0x6a, 0x6e, 0x6e, 0xa6, 0xd9, 0x8b, 0x8b, 0x8b,
0x8b, 0x2b, 0x2a, 0x2a, 0xfa, 0xf2, 0xcb, 0x2f, 0x65, 0x32, 0x19, 0x73, 0x61,
0xf2, 0x8a, 0x44, 0x22, 0x39, 0x7a, 0xf4, 0x28, 0x7a, 0x69, 0x54, 0x55, 0x55,
0xc5, 0xc6, 0xc6, 0x92, 0xb4, 0x6e, 0x96, 0x96, 0x96, 0x41, 0x41, 0x41, 0x33,
0xe6, 0x46, 0x05, 0x23, 0xbc, 0xf7, 0xde, 0x7b, 0x6a, 0xb5, 0x1a, 0x95, 0x69,
0x60, 0x60, 0xe0, 0xf8, 0xf1, 0xe3, 0x5b, 0xb7, 0x6e, 0x5d, 0xb9, 0x72, 0xe5,
0xc2, 0x85, 0x0b, 0x5d, 0x5c, 0x5c, 0xfc, 0xfc, 0xfc, 0xd2, 0xd2, 0xd2, 0x4a,
0x4a, 0x4a, 0xfa, 0xfb, 0xfb, 0xe9, 0xf7, 0x33, 0x67, 0x1e, 0xce, 0xce, 0xce,
0x87, 0x0e, 0x1d, 0xc2, 0x6e, 0x49, 0x4f, 0xcb, 0xc4, 0xc4, 0x84, 0x99, 0x66,
0x05, 0x59, 0xc5, 0xd7, 0xd7, 0x77, 0xdf, 0xbe, 0x7d, 0xe8, 0x1b, 0x34, 0x06,
0x69, 0x6f, 0x6f, 0x4f, 0x4e, 0x4e, 0x66, 0x2f, 0x0c, 0xae, 0xdf, 0x22, 0xa0,
0xc0, 0x82, 0x05, 0x0b, 0x92, 0x92, 0x92, 0x7c, 0x7d, 0x7d, 0xdd, 0xdc, 0xdc,
0xdc, 0xdc, 0xdc, 0x9c, 0x9c, 0x9c, 0xd4, 0x6a, 0x75, 0x47, 0x47, 0x47, 0x6d,
0x6d, 0xed, 0x85, 0x0b, 0x17, 0x1a, 0x1a, 0x1a, 0xf8, 0x0e, 0x50, 0x40, 0x40,
0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40,
0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x60, 0xc6, 0xc3,
0xf9, 0x24, 0x69, 0x04, 0xd2, 0xd2, 0xd2, 0x62, 0x63, 0x63, 0x5b, 0x5a, 0x5a,
0xc6, 0xc7, 0xc7, 0xf9, 0x8e, 0xc5, 0xfc, 0xc0, 0xde, 0xeb, 0x6d, 0x6f, 0x6f,
0x8f, 0x88, 0x88, 0xe0, 0x3b, 0x1c, 0xf3, 0xe3, 0xf5, 0xd7, 0x5f, 0xc7, 0xee,
0xb2, 0x6b, 0xb5, 0xda, 0xac, 0xac, 0x2c, 0xb1, 0x98, 0xb7, 0xd7, 0x47, 0xcc,
0x11, 0x54, 0x20, 0xc8, 0x4f, 0x3f, 0xfd, 0x44, 0x32, 0x87, 0x11, 0xf7, 0x98,
0xdd, 0xdf, 0x15, 0x13, 0x13, 0x73, 0xeb, 0xd6, 0xad, 0x84, 0x84, 0x04, 0xbe,
0x03, 0x31, 0x0f, 0x88, 0x67, 0x10, 0x46, 0x7e, 0x7e, 0xbe, 0xf9, 0xbe, 0x2f,
0xc9, 0x19, 0x24, 0x02, 0xc1, 0x27, 0x15, 0xfd, 0xfd, 0xfd, 0xf9, 0x8d, 0xd0,
0xec, 0x2e, 0x31, 0x94, 0x67, 0x9f, 0x7d, 0xf6, 0xc6, 0x8d, 0x1b, 0x9b, 0x37,
0x6f, 0xe6, 0x3b, 0x10, 0xfe, 0x20, 0x3f, 0x83, 0x30, 0x4e, 0x9c, 0x38, 0xc1,
0xd7, 0x93, 0x9a, 0xb4, 0x5e, 0x8f, 0x30, 0x89, 0x39, 0x73, 0xe6, 0x78, 0x7b,
0x7b, 0xfb, 0xfb, 0xfb, 0x7b, 0x7b, 0x7b, 0xdb, 0xdb, 0xdb, 0xdb, 0xda, 0xda,
0x8a, 0xc5, 0xe2, 0xe1, 0xe1, 0x61, 0x63, 0x8e, 0x5d, 0xbb, 0x76, 0xed, 0xc0,
0xc0, 0xc0, 0xb6, 0x6d, 0xdb, 0xd8, 0x0f, 0x13, 0x0f, 0xeb, 0x8f, 0xe0, 0x85,
0x85, 0x85, 0xad, 0x5a, 0xb5, 0x2a, 0x3a, 0x3a, 0x3a, 0x22, 0x22, 0x82, 0x4e,
0xa5, 0xab, 0xd1, 0x68, 0x6c, 0x6c, 0x6c, 0x00, 0x00, 0x8c, 0x46, 0xc7, 0x1f,
0xae, 0xae, 0xae, 0xbb, 0x76, 0xed, 0xfa, 0xf3, 0xcf, 0x3f, 0x8d, 0xb9, 0x82,
0x8c, 0x41, 0xa3, 0xd1, 0xf0, 0x5d, 0x26, 0x86, 0xf0, 0xf0, 0xf0, 0x50, 0x28,
0x14, 0xa3, 0xa3, 0xa3, 0x4c, 0x49, 0x03, 0xa1, 0xff, 0x2e, 0x10, 0xff, 0x48,
0xa5, 0xd2, 0x3d, 0x7b, 0xf6, 0x8c, 0x8d, 0x8d, 0x4d, 0x5b, 0x5a, 0x9d, 0x4e,
0x37, 0x38, 0x38, 0x78, 0xf7, 0xee, 0xdd, 0xf3, 0xe7, 0xcf, 0x1b, 0xa3, 0xce,
0xc9, 0x93, 0x27, 0x67, 0x7c, 0x9f, 0x28, 0x3c, 0x3c, 0x1c, 0x9d, 0x08, 0x11,
0xc7, 0xf0, 0xf0, 0xf0, 0x77, 0xdf, 0x7d, 0x97, 0x99, 0x99, 0x19, 0x19, 0x19,
0x89, 0x4e, 0xb5, 0x30, 0x6d, 0x2b, 0x36, 0x3c, 0x3c, 0xbc, 0x65, 0xcb, 0x16,
0x5e, 0x4b, 0xc6, 0x04, 0xeb, 0xd7, 0xaf, 0x37, 0x78, 0x4d, 0xf5, 0xf5, 0xf5,
0x15, 0x16, 0x16, 0x26, 0x26, 0x26, 0x4e, 0x35, 0x1b, 0xb6, 0xf9, 0x77, 0x14,
0xe9, 0x22, 0x16, 0x8b, 0xf3, 0xf2, 0xf2, 0x88, 0x65, 0x1b, 0x19, 0x19, 0xd9,
0xbb, 0x77, 0xaf, 0x9d, 0x9d, 0x1d, 0xf9, 0xe1, 0x24, 0x02, 0x1d, 0x38, 0x70,
0x60, 0xc6, 0x5f, 0x56, 0x76, 0x76, 0x76, 0xc4, 0x4a, 0x44, 0xab, 0xd5, 0x2a,
0x95, 0x4a, 0x23, 0x47, 0xe4, 0x06, 0x05, 0x52, 0xa9, 0x54, 0xcc, 0xce, 0xb5,
0xc7, 0x0f, 0x96, 0x96, 0x96, 0x3f, 0xff, 0xfc, 0x33, 0xae, 0x6c, 0x1d, 0x1d,
0x1d, 0x8b, 0x16, 0x2d, 0x32, 0xde, 0x88, 0xc1, 0x74, 0x07, 0x85, 0xd9, 0x3c,
0xcc, 0x11, 0xa5, 0x52, 0x89, 0x2b, 0x5b, 0x5d, 0x5d, 0x9d, 0x93, 0x93, 0x93,
0x49, 0x46, 0xfe, 0xb5, 0x09, 0xb3, 0xed, 0xdb, 0xb7, 0xe3, 0xd4, 0x29, 0x2e,
0x2e, 0xa6, 0x30, 0x5c, 0x5a, 0xb4, 0x68, 0x11, 0x3c, 0xfc, 0xde, 0xbd, 0x7b,
0xff, 0x9e, 0x94, 0x6b, 0x6c, 0x6c, 0x2c, 0x3a, 0xc9, 0x25, 0xcc, 0xdd, 0x50,
0xb6, 0xb6, 0x7c, 0xf9, 0xf2, 0xcc, 0xcc, 0x4c, 0x7b, 0x7b, 0x7b, 0xe3, 0x0f,
0x71, 0x71, 0x71, 0xc9, 0xcb, 0xcb, 0xbb, 0x78, 0xf1, 0x62, 0x69, 0x69, 0xe9,
0xc6, 0x8d, 0x1b, 0xb9, 0x5f, 0xf9, 0x84, 0x0c, 0x17, 0x17, 0x17, 0xf8, 0x9e,
0x1f, 0x46, 0x45, 0x45, 0x05, 0x97, 0x4b, 0xc8, 0xac, 0x58, 0xb1, 0xa2, 0xaf,
0xaf, 0x0f, 0x0d, 0xa0, 0xaa, 0xaa, 0x8a, 0x7c, 0xa9, 0x0b, 0x4e, 0x39, 0x7e,
0xfc, 0x38, 0x1a, 0x5c, 0x4b, 0x4b, 0x8b, 0x49, 0x7f, 0x3e, 0x4d, 0x56, 0xad,
0x5a, 0x65, 0xb0, 0xa7, 0x7e, 0xe5, 0xca, 0x95, 0x69, 0xbb, 0x14, 0x5c, 0x10,
0x15, 0x15, 0x85, 0x86, 0x35, 0x30, 0x30, 0x40, 0x32, 0x6f, 0x38, 0xe3, 0x4c,
0xa5, 0x0e, 0xe4, 0xea, 0xd5, 0xab, 0xfc, 0x6b, 0x84, 0x4d, 0xad, 0x06, 0x79,
0xff, 0xfd, 0xf7, 0x39, 0x73, 0x1d, 0x1f, 0x1f, 0x8f, 0x53, 0x87, 0xd8, 0x77,
0xe7, 0x59, 0xa3, 0x97, 0x5e, 0x7a, 0x09, 0x8d, 0xa6, 0xbd, 0xbd, 0x9d, 0xb3,
0x9e, 0x6e, 0x42, 0x42, 0x02, 0x4e, 0x9d, 0x47, 0x8f, 0x1e, 0x85, 0x84, 0x84,
0x7c, 0xf1, 0xc5, 0x17, 0x38, 0x8d, 0xea, 0xeb, 0xeb, 0x79, 0xd3, 0xe8, 0xcc,
0x99, 0x33, 0x68, 0x28, 0x6f, 0xbc, 0xf1, 0x06, 0x37, 0x7e, 0x13, 0x12, 0x12,
0xc6, 0xc7, 0xc7, 0x51, 0xd7, 0x2a, 0x95, 0x0a, 0x9b, 0x78, 0xec, 0xf3, 0xcf,
0x3f, 0x27, 0x6a, 0xc4, 0x65, 0xb5, 0xf8, 0x0f, 0x4e, 0x4e, 0x4e, 0xe8, 0x7b,
0xda, 0x4d, 0x4d, 0x4d, 0xdc, 0x34, 0xae, 0x89, 0x89, 0x89, 0x24, 0xea, 0x40,
0x3e, 0xfb, 0xec, 0x33, 0x9c, 0x46, 0xd7, 0xae, 0x5d, 0xe3, 0x5a, 0xa3, 0x77,
0xdf, 0x7d, 0x17, 0x8d, 0x60, 0xd3, 0xa6, 0x4d, 0x1c, 0x38, 0x4d, 0x4a, 0x4a,
0x22, 0xaa, 0x13, 0x1c, 0x1c, 0x4c, 0xdc, 0x93, 0x7f, 0x8d, 0x6a, 0x6a, 0x6a,
0x30, 0xdf, 0x93, 0x93, 0x93, 0xd4, 0xa6, 0xcf, 0x34, 0x09, 0xa2, 0x3a, 0x0f,
0x1f, 0x3e, 0x34, 0xa8, 0x0e, 0x04, 0x9d, 0x7c, 0x1c, 0x72, 0xfd, 0xfa, 0xf5,
0x79, 0xf3, 0xe6, 0xb1, 0x1d, 0xa7, 0x08, 0xa6, 0x0a, 0xd1, 0x26, 0xe3, 0xf2,
0xe5, 0xcb, 0x6c, 0x7b, 0x5c, 0xbd, 0x7a, 0x35, 0x51, 0x9d, 0xa0, 0xa0, 0x20,
0xf2, 0xa3, 0xd0, 0x89, 0x03, 0x39, 0xd5, 0x28, 0x3a, 0x3a, 0x1a, 0xf5, 0xca,
0x76, 0xeb, 0x9e, 0x9c, 0x9c, 0x3c, 0x31, 0x31, 0x61, 0xaa, 0x3a, 0x10, 0x74,
0xe2, 0x40, 0x48, 0x43, 0x43, 0x03, 0xeb, 0x1a, 0xe1, 0x2a, 0x20, 0x56, 0x3b,
0x87, 0x44, 0x75, 0x7a, 0x7b, 0x7b, 0x4d, 0x5a, 0xd5, 0x08, 0x9d, 0x38, 0x10,
0xd2, 0xd8, 0xd8, 0xc8, 0xae, 0x46, 0x05, 0x05, 0x05, 0x98, 0x33, 0x23, 0x6f,
0xf5, 0x51, 0xe3, 0x95, 0x57, 0x5e, 0xa1, 0xa9, 0x0e, 0xc4, 0xa0, 0x46, 0x4f,
0x3c, 0xf1, 0x04, 0x3b, 0x51, 0x8b, 0x44, 0xd8, 0xd2, 0x32, 0x00, 0x80, 0x1b,
0x37, 0x6e, 0xb0, 0xe4, 0x45, 0x2e, 0x97, 0x13, 0xd5, 0x09, 0x0c, 0x0c, 0xa4,
0x66, 0x0d, 0x9d, 0x5c, 0x11, 0x8b, 0x9c, 0x2d, 0x8d, 0x9a, 0x9b, 0x9b, 0x31,
0x37, 0x3f, 0xfc, 0xf0, 0x03, 0x1b, 0x2e, 0x88, 0xea, 0xfc, 0xfd, 0xf7, 0xdf,
0x94, 0xd5, 0x81, 0xa0, 0x13, 0x07, 0xb2, 0xab, 0x11, 0x3a, 0x47, 0xcd, 0xb1,
0x63, 0xc7, 0x18, 0xb7, 0x9f, 0x98, 0x98, 0x48, 0x54, 0x87, 0xc2, 0x3c, 0xd3,
0x44, 0xd0, 0x89, 0x03, 0x21, 0x4d, 0x4d, 0x4d, 0x36, 0x36, 0x36, 0x4c, 0x44,
0x8d, 0xd0, 0xd3, 0xd3, 0x83, 0x39, 0x38, 0x7c, 0xf8, 0x30, 0xb3, 0xc6, 0x9d,
0x9d, 0x9d, 0x1f, 0x3d, 0x7a, 0xc4, 0x86, 0x3a, 0x10, 0x74, 0xe2, 0x40, 0x88,
0x42, 0xa1, 0x60, 0xca, 0xf8, 0x3f, 0xb4, 0xb7, 0xb7, 0x63, 0xd6, 0x8f, 0x1e,
0x3d, 0xca, 0xac, 0xf1, 0x0f, 0x3e, 0xf8, 0x00, 0x8d, 0xbe, 0xa7, 0xa7, 0xe7,
0x99, 0x67, 0x9e, 0x61, 0xd6, 0x05, 0x6e, 0xe2, 0x40, 0x9d, 0x4e, 0x37, 0x77,
0xee, 0x5c, 0x26, 0x1d, 0xdc, 0xba, 0x75, 0x0b, 0xb3, 0x5e, 0x5e, 0x5e, 0xce,
0xa4, 0x69, 0x91, 0x08, 0x37, 0xb1, 0x5b, 0x78, 0x78, 0x38, 0xb3, 0xf6, 0x21,
0xc7, 0x8e, 0x1d, 0x43, 0xbd, 0x18, 0xbf, 0x16, 0x8c, 0x51, 0xb7, 0x10, 0x86,
0x86, 0x86, 0xb0, 0xcf, 0xa6, 0xde, 0xb7, 0x98, 0x96, 0x8e, 0x8e, 0x0e, 0xf4,
0x6b, 0x7e, 0x7e, 0x3e, 0xe3, 0xf9, 0x8a, 0xf8, 0xf8, 0xf8, 0x57, 0x5f, 0x7d,
0x95, 0xc4, 0x29, 0x5d, 0xb0, 0x99, 0x32, 0x61, 0xd3, 0xcb, 0xa4, 0x69, 0x91,
0x28, 0x38, 0x38, 0x18, 0x57, 0x43, 0x33, 0x9b, 0xaf, 0x20, 0x66, 0x4b, 0xc8,
0x57, 0x23, 0xa6, 0xc2, 0xce, 0x9d, 0x3b, 0x51, 0x07, 0x8c, 0xaf, 0x8b, 0xf7,
0xd1, 0x47, 0x1f, 0xe1, 0xea, 0x51, 0xa6, 0x34, 0x32, 0x98, 0x2d, 0xf1, 0xf0,
0xf0, 0x60, 0x22, 0x6a, 0x04, 0xb9, 0x5c, 0x8e, 0xfa, 0x60, 0x23, 0x55, 0xc6,
0x46, 0xbe, 0xc2, 0x98, 0x5c, 0x12, 0x33, 0x38, 0x3a, 0x3a, 0xa2, 0x8b, 0xc3,
0x96, 0x95, 0x95, 0x31, 0xef, 0x63, 0x8a, 0x7c, 0x05, 0x65, 0x8d, 0x8c, 0xcf,
0x25, 0x31, 0xc3, 0xcd, 0x9b, 0x37, 0x31, 0x4f, 0x6a, 0xb5, 0x9a, 0xa5, 0x6c,
0x34, 0x53, 0x39, 0x1d, 0x83, 0xd9, 0x12, 0x16, 0xd5, 0x11, 0x89, 0x44, 0xb8,
0xf4, 0x78, 0x7c, 0x7c, 0x3c, 0x4b, 0x8e, 0x88, 0x39, 0x1d, 0x53, 0xf3, 0x15,
0xd4, 0x72, 0x49, 0x74, 0x09, 0x0a, 0x0a, 0x42, 0x5d, 0x9e, 0x3a, 0x75, 0x8a,
0x3d, 0x5f, 0x74, 0x72, 0x3a, 0x74, 0x72, 0x49, 0x74, 0x69, 0x6a, 0x6a, 0xc2,
0xbc, 0xea, 0xf5, 0xfa, 0xe7, 0x9e, 0x7b, 0x8e, 0x3d, 0x5f, 0xd4, 0xf2, 0x15,
0x4c, 0x65, 0x4b, 0x28, 0xb2, 0x79, 0xf3, 0x66, 0xd4, 0x77, 0x4d, 0x4d, 0x0d,
0xab, 0xee, 0x88, 0xf9, 0x0a, 0x72, 0x8d, 0x78, 0x56, 0x07, 0x3e, 0x31, 0x85,
0x2d, 0x15, 0xc2, 0x76, 0x4d, 0x04, 0x31, 0x3e, 0x5f, 0xc1, 0x6c, 0x2e, 0x89,
0x3a, 0x6f, 0xbd, 0xf5, 0x16, 0x1a, 0xc4, 0xed, 0xdb, 0xb7, 0xd9, 0x5e, 0xc4,
0xdc, 0xa0, 0x46, 0x0e, 0x0e, 0x0e, 0xe8, 0x3e, 0x29, 0x29, 0x29, 0x8c, 0xe7,
0x92, 0x28, 0x62, 0x61, 0x61, 0x81, 0xd6, 0x44, 0x00, 0x80, 0xd2, 0xd2, 0x52,
0xb6, 0xef, 0x20, 0x1a, 0xcc, 0xe9, 0x60, 0x1a, 0xa5, 0xa4, 0xa4, 0xe0, 0x66,
0x9e, 0x66, 0x36, 0x5b, 0x62, 0x32, 0xe1, 0xe1, 0xe1, 0x68, 0xa7, 0x11, 0x00,
0xb0, 0x7b, 0xf7, 0x6e, 0xb6, 0x9d, 0x12, 0x73, 0x3a, 0x50, 0xa3, 0x35, 0x6b,
0xd6, 0xe0, 0xd4, 0xe9, 0xe9, 0xe9, 0xe1, 0x53, 0x1d, 0x83, 0xe1, 0xea, 0xf5,
0xfa, 0x35, 0x6b, 0xd6, 0xb0, 0xed, 0x94, 0xb8, 0x18, 0x44, 0x5b, 0x5b, 0x1b,
0x51, 0x1d, 0xc6, 0x73, 0x49, 0x14, 0x29, 0x2d, 0x2d, 0x45, 0x23, 0xd3, 0x68,
0x34, 0xa9, 0xa9, 0xa9, 0x6c, 0x3b, 0x45, 0x17, 0x83, 0x20, 0x62, 0x46, 0xea,
0xc0, 0x85, 0xc4, 0x1b, 0x1b, 0x1b, 0x71, 0xe7, 0x51, 0x4e, 0x4e, 0x0e, 0xdb,
0xf5, 0x11, 0x2e, 0xaf, 0x80, 0xd1, 0xdd, 0xdd, 0x6d, 0x76, 0xcf, 0xe4, 0xbb,
0xbb, 0xbb, 0x77, 0x77, 0x77, 0xe3, 0x02, 0x2d, 0x2f, 0x2f, 0x67, 0x38, 0x9b,
0x49, 0x20, 0x2b, 0x2b, 0x0b, 0x57, 0x09, 0x76, 0x76, 0x76, 0x9a, 0x9d, 0x3a,
0x90, 0xd0, 0xd0, 0x50, 0xa2, 0x46, 0x2d, 0x2d, 0x2d, 0xac, 0xce, 0xc2, 0x0f,
0x6f, 0x85, 0xd7, 0xd5, 0xd5, 0x8d, 0x8c, 0x8c, 0x74, 0x76, 0x76, 0x2a, 0x95,
0x4a, 0x16, 0xef, 0x08, 0xd2, 0xc7, 0xdd, 0xdd, 0xbd, 0xa1, 0xa1, 0x81, 0x78,
0xce, 0xd7, 0xd5, 0xd5, 0xbd, 0xf0, 0xc2, 0x0b, 0x7c, 0x47, 0x67, 0x1e, 0x48,
0xa5, 0x52, 0xdc, 0xa3, 0xaf, 0x18, 0xa7, 0x4f, 0x9f, 0x96, 0xcb, 0xe5, 0xc6,
0x5f, 0x74, 0x73, 0xe7, 0xce, 0x8d, 0x89, 0x89, 0x09, 0x09, 0x09, 0x61, 0x39,
0x64, 0x3e, 0xc8, 0xca, 0xca, 0xd2, 0xe9, 0x74, 0x06, 0x65, 0x1a, 0x1d, 0x1d,
0x3d, 0x7b, 0xf6, 0xec, 0xd6, 0xad, 0x5b, 0xdd, 0xdd, 0xdd, 0x0d, 0x1e, 0xfb,
0xe4, 0x93, 0x4f, 0xae, 0x5d, 0xbb, 0xb6, 0xbc, 0xbc, 0x5c, 0xa3, 0xd1, 0xc0,
0x43, 0x72, 0x73, 0x73, 0x39, 0x2f, 0x81, 0x61, 0x98, 0x6c, 0x74, 0x16, 0x2f,
0x5e, 0xac, 0x50, 0x28, 0xc2, 0xc2, 0xc2, 0x48, 0xf6, 0x19, 0x1a, 0x1a, 0x6a,
0x6d, 0x6d, 0xed, 0xed, 0xed, 0x55, 0xab, 0xd5, 0xe3, 0xe3, 0xe3, 0xf3, 0xe7,
0xcf, 0x97, 0xc9, 0x64, 0x81, 0x81, 0x81, 0xb8, 0xe6, 0x6f, 0x72, 0x72, 0xd2,
0xda, 0xda, 0x5a, 0xab, 0xd5, 0x32, 0x18, 0x9e, 0x59, 0x20, 0x16, 0x8b, 0x37,
0x6d, 0xda, 0x34, 0xed, 0x72, 0x2a, 0xd3, 0x32, 0x34, 0x34, 0xf4, 0x6f, 0x5e,
0x8d, 0xc6, 0xc2, 0xc2, 0x22, 0x3d, 0x3d, 0x1d, 0x5d, 0x0e, 0xcb, 0x24, 0x34,
0x1a, 0x4d, 0x46, 0x46, 0x06, 0xdf, 0x85, 0xe0, 0x04, 0x5f, 0x5f, 0xdf, 0x9c,
0x9c, 0x9c, 0x6b, 0xd7, 0xae, 0xe1, 0x5e, 0x7e, 0x31, 0x88, 0x56, 0xab, 0xad,
0xae, 0xae, 0x7e, 0xf3, 0xcd, 0x37, 0x39, 0x78, 0x00, 0xd2, 0x78, 0x38, 0x7a,
0x4f, 0xc6, 0xce, 0xce, 0x2e, 0x32, 0x32, 0x32, 0x30, 0x30, 0xd0, 0xdf, 0xdf,
0x5f, 0x26, 0x93, 0xcd, 0x9b, 0x37, 0xcf, 0xd6, 0xd6, 0x56, 0x22, 0x91, 0xf4,
0xf5, 0xf5, 0xa9, 0x54, 0xaa, 0xdf, 0x7f, 0xff, 0xfd, 0xd2, 0xa5, 0x4b, 0xb5,
0xb5, 0xb5, 0x8f, 0x1f, 0x3f, 0xe6, 0x26, 0x1e, 0x01, 0x01, 0x01, 0x01, 0x01,
0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x01, 0x73, 0xe6, 0x3f, 0x38, 0xf5,
0x15, 0x86, 0xaa, 0xc6, 0xee, 0x78, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e,
0x44, 0xae, 0x42, 0x60, 0x82 };
IconMask iconMask1(iconMask1Data);

const uchar iconMask4Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x06, 0x7b, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0xdd, 0x5f, 0x48, 0x53, 0x6d, 0x1c, 0x07, 0xf0, 0xfd, 0x73, 0x1a, 0xd6, 0x96,
0x5b, 0xd0, 0x45, 0xae, 0x9b, 0xcc, 0x25, 0x05, 0x2b, 0x43, 0xb4, 0x68, 0xa5,
0x15, 0x52, 0xf7, 0x79, 0x13, 0x38, 0x8b, 0x82, 0x2e, 0x24, 0x24, 0x24, 0xa1,
0x6e, 0x4a, 0x67, 0x9d, 0x95, 0x95, 0xc1, 0x1a, 0xdd, 0x04, 0xfd, 0x21, 0x22,
0x22, 0xbb, 0xc8, 0x46, 0x44, 0x20, 0xc6, 0x82, 0x35, 0x03, 0x2d, 0x5a, 0xa1,
0x2d, 0x1b, 0x6b, 0xd8, 0x68, 0xe9, 0x56, 0x82, 0x66, 0x3b, 0xf3, 0x3c, 0x5d,
0x8c, 0xf7, 0x70, 0xde, 0xb3, 0x75, 0xdc, 0x9f, 0xb3, 0x33, 0x7d, 0xdf, 0xef,
0xe7, 0x6e, 0x87, 0x67, 0xcf, 0xef, 0xf7, 0x7c, 0xdd, 0xf1, 0x9c, 0xed, 0xe2,
0x39, 0x32, 0x19, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x48, 0x4d, 0x9e, 0x7c,
0xe8, 0xe0, 0xc1, 0x83, 0x45, 0x45, 0x45, 0xb7, 0x6f, 0xdf, 0xe6, 0x1e, 0xac,
0xac, 0xac, 0x3c, 0x70, 0xe0, 0x80, 0xd1, 0x68, 0x34, 0x18, 0x0c, 0xf1, 0x78,
0xfc, 0xe3, 0xc7, 0x8f, 0x3e, 0x9f, 0xef, 0xf9, 0xf3, 0xe7, 0x1f, 0x3e, 0x7c,
0x90, 0xb0, 0xdb, 0xc5, 0xe1, 0xf7, 0xef, 0xdf, 0x84, 0x90, 0xb3, 0x67, 0xcf,
0x26, 0x5e, 0x6e, 0xdf, 0xbe, 0xdd, 0xe3, 0xf1, 0x10, 0x42, 0x08, 0x21, 0xbf,
0x7e, 0xfd, 0xf2, 0xf9, 0x7c, 0x7e, 0xbf, 0x7f, 0x7e, 0x7e, 0x9e, 0x10, 0xc2,
0x30, 0x4c, 0x7f, 0x7f, 0xff, 0x8e, 0x1d, 0x3b, 0x0a, 0xdd, 0xb2, 0xb4, 0xc8,
0x3f, 0x3a, 0x3b, 0x3b, 0x1d, 0x0e, 0x07, 0xc3, 0x30, 0xd1, 0x68, 0xd4, 0x66,
0xb3, 0x99, 0x4c, 0x26, 0x76, 0x4c, 0x71, 0x71, 0xb1, 0xc9, 0x64, 0x72, 0x38,
0x1c, 0xb3, 0xb3, 0xb3, 0x84, 0x90, 0xee, 0xee, 0x6e, 0xb9, 0x3c, 0xc5, 0x87,
0xf1, 0xbf, 0x89, 0xfc, 0xdb, 0x83, 0x07, 0x0f, 0x56, 0xaf, 0x5e, 0xfd, 0xb7,
0xc1, 0xab, 0x56, 0xad, 0xea, 0xef, 0xef, 0x27, 0x84, 0xdc, 0xbb, 0x77, 0x4f,
0xad, 0x56, 0x4b, 0xdb, 0x69, 0x81, 0xf0, 0x02, 0xea, 0xec, 0xec, 0x14, 0x1e,
0xaf, 0x54, 0x2a, 0xed, 0x76, 0x3b, 0x21, 0x84, 0xa2, 0x28, 0xa9, 0x7a, 0x2c,
0x28, 0x92, 0xa4, 0xab, 0xab, 0x6b, 0xc1, 0x77, 0x39, 0x9d, 0x4e, 0x9a, 0xa6,
0xb7, 0x6c, 0xd9, 0x22, 0x49, 0x8f, 0x05, 0x95, 0x1c, 0x10, 0x21, 0xe4, 0xf0,
0xe1, 0xc3, 0xc2, 0xef, 0x32, 0x18, 0x0c, 0xd3, 0xd3, 0xd3, 0x03, 0x03, 0x03,
0x52, 0xb5, 0x29, 0x11, 0x45, 0xf2, 0x21, 0xa7, 0xd3, 0xc9, 0x3b, 0x12, 0x8b,
0xc5, 0x62, 0xb1, 0x98, 0xf0, 0x44, 0xc1, 0x60, 0xb0, 0xa9, 0xa9, 0xe9, 0xe6,
0xcd, 0x9b, 0xa2, 0xb6, 0x07, 0x00, 0xf0, 0xff, 0xb6, 0x58, 0x6e, 0x7f, 0x97,
0x2f, 0x5f, 0xae, 0x52, 0xa9, 0x7e, 0xfc, 0xf8, 0x91, 0xe6, 0xf8, 0xf2, 0xf2,
0xf2, 0x4d, 0x9b, 0x36, 0x55, 0x55, 0x55, 0xe9, 0x74, 0x3a, 0xad, 0x56, 0xcb,
0x30, 0xcc, 0xd4, 0xd4, 0x54, 0x24, 0x12, 0xf1, 0xfb, 0xfd, 0x1e, 0x8f, 0x67,
0x6a, 0x6a, 0x2a, 0xcf, 0xfd, 0x4a, 0xeb, 0xc8, 0x91, 0x23, 0x34, 0x4d, 0xcf,
0xce, 0xce, 0x9e, 0x3c, 0x79, 0x52, 0x78, 0xa4, 0xd9, 0x6c, 0xb6, 0xdb, 0xed,
0xe3, 0xe3, 0xe3, 0x29, 0xef, 0x45, 0x58, 0x63, 0x63, 0x63, 0x76, 0xbb, 0x7d,
0xeb, 0xd6, 0xad, 0x52, 0xad, 0x20, 0xcf, 0x26, 0x26, 0x26, 0xd8, 0xb5, 0xb1,
0x5f, 0x92, 0x79, 0x2c, 0x16, 0x8b, 0xd7, 0xeb, 0x15, 0xce, 0x25, 0xd9, 0xbb,
0x77, 0xef, 0x2c, 0x16, 0x8b, 0x42, 0x91, 0xe2, 0x6e, 0x66, 0x29, 0xe1, 0xad,
0x8a, 0x97, 0x51, 0x55, 0x55, 0xd5, 0xe0, 0xe0, 0x60, 0xf2, 0xe2, 0x69, 0x9a,
0x0e, 0x04, 0x02, 0x2f, 0x5f, 0xbe, 0xbc, 0x7f, 0xff, 0xfe, 0x9d, 0x3b, 0x77,
0x9c, 0x4e, 0xe7, 0xd0, 0xd0, 0xd0, 0xcc, 0xcc, 0x4c, 0xf2, 0xc8, 0x91, 0x91,
0x91, 0x3d, 0x7b, 0xf6, 0x14, 0x6e, 0x7d, 0x39, 0x4b, 0x5e, 0x52, 0xe2, 0x0b,
0x60, 0x49, 0x49, 0x89, 0xd5, 0x6a, 0x4d, 0xfc, 0xfc, 0xc2, 0x0a, 0x06, 0x83,
0x3d, 0x3d, 0x3d, 0xd5, 0xd5, 0xd5, 0x29, 0x3f, 0x17, 0x2a, 0x95, 0xaa, 0xba,
0xba, 0xba, 0xa3, 0xa3, 0xe3, 0xfd, 0xfb, 0xf7, 0xbc, 0x39, 0x7b, 0x7b, 0x7b,
0x8b, 0x8a, 0x8a, 0x0a, 0xb1, 0xbe, 0x9c, 0xa5, 0x3c, 0x3b, 0x6c, 0x36, 0x9b,
0xdb, 0xed, 0xe6, 0x1e, 0x19, 0x18, 0x18, 0x30, 0x9b, 0xcd, 0xe9, 0xff, 0xae,
0x52, 0x5b, 0x5b, 0xfb, 0xec, 0xd9, 0x33, 0xee, 0x0c, 0x43, 0x43, 0x43, 0x6b,
0xd6, 0xac, 0xc9, 0xf3, 0x6a, 0xf2, 0x20, 0x65, 0x40, 0x5c, 0xe1, 0x70, 0xb8,
0xb9, 0xb9, 0x39, 0xbb, 0xc9, 0x1b, 0x1b, 0x1b, 0x3f, 0x7f, 0xfe, 0xcc, 0x4e,
0xf5, 0xe9, 0xd3, 0xa7, 0xf2, 0xf2, 0x72, 0xb1, 0x57, 0x90, 0x67, 0xc2, 0xe9,
0x3c, 0x7c, 0xf8, 0x50, 0xa7, 0xd3, 0xe5, 0x32, 0xbf, 0x56, 0xab, 0xed, 0xeb,
0xeb, 0x63, 0x27, 0x1c, 0x1f, 0x1f, 0x5f, 0x62, 0x19, 0x09, 0x07, 0xd4, 0xdd,
0xdd, 0x2d, 0x4a, 0x95, 0x8b, 0x17, 0x2f, 0xb2, 0x73, 0x7a, 0x3c, 0x9e, 0xa5,
0xf4, 0xff, 0x68, 0xc1, 0x53, 0xcc, 0x6a, 0xb5, 0x8a, 0x52, 0xe8, 0xc2, 0x85,
0x0b, 0xec, 0x9c, 0x57, 0xaf, 0x5e, 0x15, 0x65, 0x4e, 0x29, 0x2c, 0x18, 0x90,
0x88, 0x9f, 0x23, 0xee, 0xb9, 0xb6, 0x64, 0xae, 0xfd, 0xe9, 0x04, 0x24, 0x56,
0x46, 0x5a, 0xad, 0x96, 0xbd, 0x11, 0x1f, 0x19, 0x19, 0x59, 0x1a, 0xf7, 0x90,
0x69, 0x06, 0x44, 0x08, 0x39, 0x7d, 0xfa, 0x74, 0xee, 0xe5, 0x1a, 0x1b, 0x1b,
0xd9, 0x09, 0x2d, 0x16, 0x8b, 0x18, 0x2b, 0xc8, 0xb3, 0xf4, 0x03, 0x9a, 0x9b,
0x9b, 0xcb, 0xf1, 0x8a, 0x96, 0xc0, 0xde, 0x1f, 0x3d, 0x7d, 0xfa, 0x54, 0x8c,
0x15, 0xe4, 0x59, 0x30, 0x18, 0x4c, 0x33, 0x20, 0x9a, 0xa6, 0x35, 0x1a, 0x4d,
0xee, 0x15, 0x2b, 0x2b, 0x2b, 0xbf, 0x7e, 0xfd, 0x9a, 0xce, 0x6f, 0xed, 0x8b,
0xc2, 0xfe, 0xfd, 0xfb, 0xd3, 0xc9, 0x68, 0x62, 0x62, 0xe2, 0xe8, 0xd1, 0xa3,
0x62, 0x15, 0xd5, 0xeb, 0xf5, 0x46, 0xa3, 0x51, 0xac, 0xd9, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x80, 0x67, 0xb1, 0xec, 0xe5, 0x2a, 0x93, 0xc9, 0x34,
0x1a, 0x4d, 0x45, 0x45, 0xc5, 0xca, 0x95, 0x2b, 0x35, 0x1a, 0x0d, 0xbb, 0x3d,
0x6b, 0x62, 0x87, 0xd6, 0xc9, 0xc9, 0xc9, 0x68, 0x34, 0x5a, 0x90, 0xae, 0xb2,
0x0f, 0xa8, 0xa1, 0xa1, 0xe1, 0xf8, 0xf1, 0xe3, 0x32, 0x99, 0xec, 0xd6, 0xad,
0x5b, 0x8f, 0x1f, 0x3f, 0xce, 0x62, 0x06, 0x85, 0x42, 0x51, 0x5b, 0x5b, 0xbb,
0x6f, 0xdf, 0xbe, 0x9a, 0x9a, 0x9a, 0x8d, 0x1b, 0x37, 0xae, 0x5d, 0xbb, 0x56,
0x60, 0x70, 0x30, 0x18, 0x74, 0xbb, 0xdd, 0xaf, 0x5e, 0xbd, 0x72, 0xbb, 0xdd,
0xc3, 0xc3, 0xc3, 0x0b, 0xee, 0x90, 0x5e, 0x60, 0x2d, 0x2d, 0x2d, 0xf1, 0x78,
0x9c, 0xdd, 0xb8, 0xe6, 0xcc, 0x99, 0x33, 0x19, 0xbd, 0x7d, 0xf7, 0xee, 0xdd,
0x77, 0xef, 0xde, 0x9d, 0x9c, 0x9c, 0x4c, 0x7f, 0x6b, 0x25, 0xae, 0x48, 0x24,
0xe2, 0x70, 0x38, 0x6a, 0x6a, 0x6a, 0xf2, 0xb6, 0xbe, 0x9c, 0xf9, 0xfd, 0x7e,
0x5e, 0xd3, 0x7f, 0xdb, 0xa4, 0x96, 0xab, 0xb4, 0xb4, 0xb4, 0xad, 0xad, 0x6d,
0x74, 0x74, 0x34, 0xbb, 0x5c, 0x92, 0x79, 0xbd, 0xde, 0xb6, 0xb6, 0xb6, 0x92,
0x92, 0x12, 0x49, 0x16, 0x9d, 0x89, 0x94, 0xed, 0x0a, 0x64, 0xa4, 0x54, 0x2a,
0x8f, 0x1d, 0x3b, 0x16, 0x0a, 0x85, 0xc4, 0x8a, 0x86, 0x2b, 0x10, 0x08, 0x34,
0x37, 0x37, 0xe7, 0xe9, 0xd1, 0x30, 0x59, 0x4e, 0x4a, 0x08, 0x49, 0x79, 0xbc,
0xab, 0xab, 0x2b, 0xf9, 0x74, 0xab, 0xaf, 0xaf, 0xbf, 0x7e, 0xfd, 0xfa, 0x86,
0x0d, 0x1b, 0x04, 0x26, 0x9c, 0x9b, 0x9b, 0x1b, 0x1d, 0x1d, 0xf5, 0x7a, 0xbd,
0xa1, 0x50, 0xe8, 0xe7, 0xcf, 0x9f, 0xd3, 0xd3, 0xd3, 0x0a, 0x85, 0x42, 0xaf,
0xd7, 0xeb, 0x74, 0x3a, 0xbd, 0x5e, 0xbf, 0x7e, 0xfd, 0x7a, 0x93, 0xc9, 0xa4,
0x52, 0xa9, 0x04, 0x66, 0x78, 0xf3, 0xe6, 0xcd, 0x89, 0x13, 0x27, 0x06, 0x07,
0x07, 0xb3, 0x5a, 0x90, 0xd8, 0x04, 0xfe, 0x9e, 0xdc, 0x27, 0xb9, 0xa8, 0xd5,
0xea, 0x9e, 0x9e, 0x1e, 0x86, 0x61, 0x52, 0x8e, 0x8c, 0xc7, 0xe3, 0x2e, 0x97,
0xeb, 0xd4, 0xa9, 0x53, 0x9b, 0x37, 0x6f, 0x56, 0x2a, 0x95, 0xc2, 0x15, 0x97,
0x2d, 0x5b, 0x66, 0x36, 0x9b, 0x3b, 0x3a, 0x3a, 0x78, 0x3b, 0xe0, 0x72, 0x31,
0x0c, 0x43, 0x51, 0x94, 0x70, 0x8e, 0x12, 0x11, 0xfe, 0xcc, 0x27, 0x9e, 0xe4,
0xb2, 0x6e, 0xdd, 0xba, 0xb7, 0x6f, 0xdf, 0xa6, 0x1c, 0x10, 0x0a, 0x85, 0xac,
0x56, 0xab, 0xc1, 0x60, 0xc8, 0xae, 0xba, 0xd1, 0x68, 0xb4, 0xd9, 0x6c, 0xdc,
0x6d, 0xba, 0xb9, 0x5c, 0x2e, 0x57, 0xe1, 0xb7, 0x6a, 0x15, 0x0e, 0x88, 0x10,
0x72, 0xe3, 0xc6, 0x8d, 0x70, 0x38, 0x9c, 0x7c, 0xfc, 0xdb, 0xb7, 0x6f, 0xad,
0xad, 0xad, 0xa2, 0xec, 0xa3, 0x5a, 0x5c, 0x5c, 0xdc, 0xde, 0xde, 0x1e, 0x89,
0x44, 0x92, 0xab, 0x7c, 0xff, 0xfe, 0x7d, 0xe7, 0xce, 0x9d, 0x62, 0x2c, 0x34,
0x5b, 0x0b, 0x06, 0x94, 0x2c, 0x1e, 0x8f, 0x53, 0x14, 0xb5, 0x62, 0xc5, 0x0a,
0x71, 0x3b, 0x29, 0x2b, 0x2b, 0xbb, 0x74, 0xe9, 0x12, 0x4d, 0xd3, 0xbc, 0x72,
0x33, 0x33, 0x33, 0xf5, 0xf5, 0xf5, 0xe2, 0xd6, 0xca, 0x40, 0xa6, 0xe9, 0xf8,
0x7c, 0xbe, 0xba, 0xba, 0xba, 0xfc, 0xf5, 0xb3, 0x6d, 0xdb, 0xb6, 0x2f, 0x5f,
0xbe, 0x24, 0x67, 0xd4, 0xd0, 0xd0, 0x90, 0xbf, 0xa2, 0x42, 0x32, 0x4a, 0xa7,
0xaf, 0xaf, 0xaf, 0xb4, 0xb4, 0x34, 0xdf, 0x2d, 0xe9, 0x74, 0xba, 0xc4, 0x93,
0xce, 0x78, 0x19, 0xed, 0xda, 0xb5, 0x2b, 0xdf, 0xa5, 0x53, 0xc8, 0x28, 0x20,
0xb1, 0x36, 0xf2, 0x5d, 0x90, 0x5c, 0x2e, 0xef, 0xed, 0xed, 0xe5, 0x55, 0x0f,
0x87, 0xc3, 0x05, 0xd8, 0xa6, 0x3d, 0xa3, 0x80, 0x08, 0x21, 0xe7, 0xce, 0x9d,
0x93, 0xac, 0xb7, 0x2b, 0x57, 0xae, 0xf0, 0xaa, 0xbb, 0x5c, 0x2e, 0xa9, 0xaf,
0xfd, 0x99, 0x06, 0x54, 0xf0, 0x8c, 0x6c, 0x36, 0x9b, 0x64, 0xd5, 0x65, 0xd9,
0x05, 0x24, 0x65, 0x46, 0x72, 0xb9, 0xfc, 0xc9, 0x93, 0x27, 0xdc, 0xd2, 0x0c,
0xc3, 0x48, 0x7a, 0x51, 0xcb, 0x2e, 0x20, 0x42, 0xc8, 0xf9, 0xf3, 0xe7, 0xa5,
0xe9, 0x50, 0xa7, 0xd3, 0x05, 0x02, 0x01, 0x6e, 0xe9, 0xe1, 0xe1, 0x61, 0xe9,
0x1e, 0xe5, 0x99, 0x75, 0x40, 0x52, 0x66, 0x54, 0x57, 0x57, 0x17, 0x8b, 0xc5,
0xb8, 0xa5, 0xb3, 0x7e, 0xf6, 0x44, 0xc6, 0x72, 0x09, 0x48, 0xca, 0x8c, 0x2e,
0x5f, 0xbe, 0xcc, 0xad, 0x1b, 0x08, 0x04, 0x24, 0xfa, 0x6d, 0x24, 0xc7, 0x80,
0x08, 0x21, 0x4d, 0x4d, 0x4d, 0x12, 0xf4, 0x59, 0x56, 0x56, 0xc6, 0xfb, 0x2e,
0xd2, 0xda, 0xda, 0x9a, 0xd1, 0x0c, 0x05, 0xdb, 0xf2, 0xbe, 0xa5, 0xa5, 0x45,
0x82, 0x2a, 0xd1, 0x68, 0x94, 0x77, 0x65, 0xc8, 0xf4, 0x41, 0xa7, 0x59, 0x06,
0x14, 0x0a, 0x85, 0xb2, 0x7b, 0x23, 0x8b, 0x61, 0x98, 0x1c, 0x67, 0x48, 0xd3,
0xb5, 0x6b, 0xd7, 0xc6, 0xc6, 0xc6, 0xd8, 0x97, 0x2f, 0x5e, 0xbc, 0x90, 0xa2,
0x2a, 0x45, 0x51, 0xb9, 0x9c, 0x5f, 0xf3, 0xf3, 0xf3, 0x7b, 0xf7, 0xee, 0x95,
0xa2, 0x51, 0x99, 0x4c, 0x26, 0x93, 0x55, 0x54, 0x54, 0x3c, 0x7a, 0xf4, 0xe8,
0xf5, 0xeb, 0xd7, 0xed, 0xed, 0xed, 0x12, 0x5d, 0xc8, 0xd4, 0x6a, 0x35, 0x45,
0x51, 0x89, 0x7d, 0xf3, 0x33, 0xc2, 0x30, 0x8c, 0xdf, 0xef, 0x3f, 0x74, 0xe8,
0x90, 0x14, 0x5d, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x2c, 0x56, 0x7f,
0x00, 0x36, 0x7d, 0x3d, 0x37, 0x55, 0x4a, 0x06, 0x2a, 0x00, 0x00, 0x00, 0x00,
0x49, 0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82 };
IconMask iconMask4(iconMask4Data);

const uchar iconMask5Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xa0, 0x08, 0x02,
0x00, 0x00, 0x00, 0x7c, 0x12, 0xfe, 0xdb, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x06, 0x5b, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0xdd, 0x6f, 0x48, 0x13, 0x7f, 0x1c, 0x07, 0xf0, 0xdd, 0xdc, 0xd6, 0x42, 0xd2,
0xdc, 0x84, 0x08, 0xe7, 0x83, 0xa8, 0xb4, 0x22, 0x50, 0x17, 0xe1, 0x16, 0xad,
0x56, 0x56, 0xd0, 0x93, 0x9e, 0xf9, 0x70, 0xd3, 0x28, 0x88, 0xf0, 0x81, 0x0f,
0x24, 0xa1, 0x1e, 0x54, 0xb6, 0xec, 0x56, 0x56, 0x0b, 0xd6, 0x9e, 0x05, 0x41,
0x84, 0x44, 0x68, 0x4f, 0x96, 0x94, 0x4f, 0xcc, 0x30, 0x90, 0x29, 0x14, 0xd2,
0x24, 0xd7, 0x5c, 0x63, 0xae, 0x39, 0xb2, 0x3c, 0x6b, 0xa4, 0xe5, 0x6e, 0xde,
0xfd, 0x1e, 0x8c, 0xdf, 0xb8, 0xdf, 0xee, 0x9c, 0x73, 0x7f, 0x6e, 0xea, 0xef,
0xfd, 0x7a, 0x94, 0xf6, 0xbd, 0xcf, 0xf7, 0xf3, 0x7d, 0xb3, 0x73, 0x77, 0xf7,
0xe0, 0x7b, 0x12, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x88, 0x8d, 0x58,
0x71, 0xc4, 0xbe, 0x7d, 0xfb, 0x4e, 0x9e, 0x3c, 0xb9, 0x7b, 0xf7, 0xee, 0xaa,
0xaa, 0x2a, 0x99, 0x4c, 0x16, 0x0c, 0x06, 0x3d, 0x1e, 0x4f, 0x4f, 0x4f, 0xcf,
0xe7, 0xcf, 0x9f, 0xb9, 0xc3, 0x9a, 0x9a, 0x9a, 0x68, 0x9a, 0xee, 0xee, 0xee,
0xce, 0x67, 0xb7, 0x6b, 0xcc, 0xe1, 0xc3, 0x87, 0x9d, 0x4e, 0x27, 0xc3, 0x30,
0x2c, 0xcb, 0x2e, 0x2d, 0x2d, 0xf9, 0xfd, 0x7e, 0xaf, 0xd7, 0xfb, 0xe7, 0xcf,
0x1f, 0x96, 0x65, 0x59, 0x96, 0x75, 0xb9, 0x5c, 0x87, 0x0e, 0x1d, 0x8a, 0x8f,
0xbc, 0x7e, 0xfd, 0x3a, 0xcb, 0xb2, 0x8b, 0x8b, 0x8b, 0x85, 0x6e, 0x59, 0x2c,
0x04, 0x41, 0xdc, 0xbc, 0x79, 0x93, 0x65, 0xd9, 0x85, 0x85, 0x05, 0x87, 0xc3,
0x51, 0x53, 0x53, 0xb3, 0x69, 0xd3, 0xa6, 0xc4, 0xff, 0xd6, 0xd4, 0xd4, 0x58,
0xad, 0xd6, 0xb9, 0xb9, 0x39, 0x86, 0x61, 0x1c, 0x0e, 0x47, 0x47, 0x47, 0x07,
0xfb, 0xaf, 0x82, 0x76, 0x2d, 0x16, 0x85, 0x42, 0xd1, 0xdd, 0xdd, 0xcd, 0xb2,
0xac, 0xd3, 0xe9, 0x2c, 0x2f, 0x2f, 0x5f, 0x6e, 0xd8, 0xb6, 0x6d, 0xdb, 0x9e,
0x3f, 0x7f, 0xce, 0xfe, 0x97, 0xb8, 0x9d, 0x16, 0x08, 0x49, 0x92, 0x2c, 0xcb,
0xda, 0xed, 0xf6, 0xa2, 0xa2, 0xa2, 0xd4, 0x23, 0xb9, 0x9f, 0x9d, 0xff, 0x4b,
0x40, 0x75, 0x75, 0x75, 0x34, 0x4d, 0xf7, 0xf5, 0xf5, 0xad, 0x38, 0xf2, 0xc6,
0x8d, 0x1b, 0x2c, 0x8f, 0x28, 0x3d, 0x16, 0xd4, 0xc0, 0xc0, 0x40, 0x24, 0x12,
0xa9, 0xac, 0xac, 0x4c, 0x3d, 0xec, 0xec, 0xd9, 0xb3, 0xfc, 0x74, 0x36, 0x64,
0x40, 0xd2, 0xa4, 0x9f, 0x1f, 0x3f, 0x7e, 0xdc, 0xd8, 0xd8, 0x18, 0x0c, 0x06,
0x53, 0x1f, 0x16, 0x8d, 0x46, 0xa3, 0xd1, 0x68, 0xd2, 0x2f, 0xd3, 0xf9, 0xdc,
0x01, 0x00, 0xc0, 0x2a, 0xac, 0x7c, 0x2f, 0xb6, 0x76, 0xa8, 0xd5, 0xea, 0xfa,
0xfa, 0xfa, 0x1d, 0x3b, 0x76, 0xa8, 0x54, 0x2a, 0xb5, 0x5a, 0x2d, 0x95, 0x4a,
0x7f, 0xfd, 0xfa, 0x45, 0x51, 0xd4, 0xa7, 0x4f, 0x9f, 0xdc, 0x6e, 0xf7, 0xd7,
0xaf, 0x5f, 0xd3, 0xac, 0xb3, 0x75, 0xeb, 0xd6, 0x58, 0x2c, 0xf6, 0xfb, 0xf7,
0xef, 0x3c, 0xf7, 0x2b, 0x96, 0x03, 0x07, 0x0e, 0xd8, 0xed, 0x76, 0x8f, 0xc7,
0x23, 0x78, 0x61, 0x91, 0xe0, 0xf3, 0xf9, 0xec, 0x76, 0xbb, 0xc1, 0x60, 0x48,
0x5d, 0xed, 0xd2, 0xa5, 0x4b, 0x0b, 0x0b, 0x0b, 0x34, 0x4d, 0x9f, 0x3b, 0x77,
0x4e, 0xac, 0x15, 0xe4, 0x87, 0x54, 0x2a, 0x35, 0x9b, 0xcd, 0x1f, 0x3f, 0x7e,
0x4c, 0x9d, 0x0b, 0x9f, 0xdb, 0xed, 0x36, 0x9b, 0xcd, 0x82, 0x35, 0xe3, 0x37,
0xd5, 0x71, 0xa1, 0x50, 0x48, 0xf4, 0x35, 0xe5, 0x4e, 0x43, 0x43, 0xc3, 0x87,
0x0f, 0x1f, 0xf8, 0x8b, 0x9f, 0x9f, 0x9f, 0x1f, 0x19, 0x19, 0xe9, 0xeb, 0xeb,
0x7b, 0xf2, 0xe4, 0xc9, 0xb3, 0x67, 0xcf, 0xde, 0xbd, 0x7b, 0x17, 0x08, 0x04,
0x68, 0x9a, 0xe6, 0x8f, 0x1c, 0x1c, 0x1c, 0xdc, 0xbb, 0x77, 0x2f, 0xb7, 0x26,
0x37, 0x9d, 0x75, 0x7c, 0x59, 0x2b, 0x97, 0xcb, 0x6d, 0x36, 0x5b, 0xd2, 0x4a,
0xc6, 0xc7, 0xc7, 0xdb, 0xdb, 0xdb, 0xb5, 0x5a, 0xad, 0x4c, 0x26, 0xe3, 0x1f,
0x22, 0x95, 0x4a, 0xb5, 0x5a, 0x6d, 0x57, 0x57, 0x57, 0x30, 0x18, 0xe4, 0x1e,
0xb5, 0xb8, 0xb8, 0x68, 0xb1, 0x58, 0x94, 0x4a, 0xa5, 0xe0, 0x6d, 0xe3, 0xba,
0x0c, 0xa8, 0xa2, 0xa2, 0x62, 0x64, 0x64, 0x84, 0xbb, 0x86, 0xfe, 0xfe, 0xfe,
0xfa, 0xfa, 0xfa, 0x34, 0x0f, 0x27, 0x08, 0xc2, 0x60, 0x30, 0x0c, 0x0c, 0x0c,
0x70, 0x2b, 0x0c, 0x0f, 0x0f, 0x5b, 0xad, 0x56, 0xc1, 0x93, 0x31, 0xcf, 0xab,
0xc9, 0x35, 0x8d, 0x46, 0x33, 0x39, 0x39, 0x99, 0xe8, 0xfe, 0xcb, 0x97, 0x2f,
0xa7, 0x4e, 0x9d, 0xca, 0xac, 0x94, 0xc9, 0x64, 0x9a, 0x99, 0x99, 0x11, 0x0c,
0x65, 0xbd, 0x06, 0xa4, 0xd1, 0x68, 0x7c, 0x3e, 0x5f, 0xa2, 0xf5, 0xde, 0xde,
0xde, 0xd2, 0xd2, 0xd2, 0x6c, 0x0a, 0xaa, 0x54, 0xaa, 0x9e, 0x9e, 0x9e, 0x0d,
0x12, 0x90, 0x5c, 0x2e, 0x77, 0xb9, 0x5c, 0x89, 0xbe, 0xef, 0xdc, 0xb9, 0x93,
0x93, 0xb2, 0xf1, 0x87, 0xa2, 0x1b, 0x21, 0xa0, 0x07, 0x0f, 0x1e, 0x24, 0x9a,
0xbe, 0x7d, 0xfb, 0x76, 0x4e, 0x6a, 0x5a, 0x2c, 0x96, 0x0d, 0x72, 0x8a, 0x35,
0x34, 0x34, 0x70, 0xcf, 0xac, 0x9c, 0xd4, 0x5c, 0xf1, 0xb3, 0xb3, 0x6e, 0x02,
0x92, 0x4a, 0xa5, 0x89, 0xeb, 0x1d, 0x9f, 0xcf, 0x97, 0xe5, 0xdf, 0x9d, 0xb8,
0x34, 0xd3, 0x59, 0x1f, 0x01, 0x99, 0xcd, 0xe6, 0x44, 0xbb, 0x19, 0x7f, 0x67,
0x71, 0x5d, 0xb9, 0x72, 0x25, 0xcd, 0x74, 0xd6, 0x47, 0x40, 0xaf, 0x5e, 0xbd,
0x8a, 0xf7, 0xda, 0xdf, 0xdf, 0x9f, 0x7d, 0x35, 0x95, 0x4a, 0xf5, 0xf7, 0xef,
0xdf, 0x0d, 0x15, 0x50, 0xfc, 0xd9, 0xf6, 0xf4, 0xf4, 0x74, 0x55, 0x55, 0x55,
0xf6, 0xd5, 0x4a, 0x4a, 0x4a, 0x04, 0x6f, 0x3b, 0x04, 0xad, 0xf8, 0x58, 0x79,
0xad, 0xa8, 0xae, 0xae, 0x56, 0xab, 0xd5, 0xb9, 0xaa, 0x76, 0xfe, 0xfc, 0xf9,
0x50, 0x28, 0x94, 0x4e, 0x3a, 0xa7, 0x4f, 0x9f, 0xce, 0xd5, 0xa4, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0x57, 0xb0, 0xbd, 0x5c, 0xcb, 0xca, 0xca,
0xca, 0xcb, 0xcb, 0xe3, 0xbb, 0xb2, 0x26, 0x36, 0x66, 0x8d, 0x44, 0x22, 0x3f,
0x7f, 0xfe, 0x9c, 0x9c, 0x9c, 0x8c, 0x44, 0x22, 0x85, 0x6a, 0x2c, 0x89, 0x78,
0x01, 0x29, 0x14, 0x0a, 0xad, 0x56, 0xab, 0xd7, 0xeb, 0x75, 0x3a, 0x9d, 0x5e,
0xaf, 0x4f, 0xbd, 0x2b, 0xfc, 0xd4, 0xd4, 0xd4, 0xf8, 0xf8, 0xf8, 0xe8, 0xe8,
0xe8, 0xeb, 0xd7, 0xaf, 0x5d, 0x2e, 0x17, 0xc3, 0x30, 0x19, 0xcc, 0x78, 0xe6,
0xcc, 0x99, 0xe6, 0xe6, 0x66, 0x89, 0x44, 0x62, 0xb7, 0xdb, 0xdf, 0xbc, 0x79,
0x93, 0x45, 0xef, 0x79, 0x76, 0xf0, 0xe0, 0x41, 0x87, 0xc3, 0x41, 0x51, 0x54,
0xfa, 0x5b, 0x1f, 0x71, 0xfd, 0xf8, 0xf1, 0xe3, 0xe9, 0xd3, 0xa7, 0xc7, 0x8f,
0x1f, 0x5f, 0xd5, 0xa4, 0xd7, 0xae, 0x5d, 0x4b, 0x54, 0x88, 0xc5, 0x62, 0x4d,
0x4d, 0x4d, 0x79, 0x5b, 0x5f, 0xa6, 0x94, 0x4a, 0x65, 0x6b, 0x6b, 0xab, 0xdb,
0xed, 0xce, 0x2c, 0x17, 0xbe, 0x89, 0x89, 0x89, 0xd6, 0xd6, 0xd6, 0xe2, 0xe2,
0xe2, 0x15, 0xa7, 0xe6, 0x6f, 0xdb, 0xea, 0xf7, 0xfb, 0x45, 0x59, 0x74, 0x7a,
0x08, 0x82, 0x30, 0x99, 0x4c, 0x81, 0x40, 0x20, 0x57, 0xd1, 0x70, 0x85, 0xc3,
0xe1, 0x0b, 0x17, 0x2e, 0xa4, 0x78, 0xe7, 0x07, 0x3f, 0x9d, 0xb8, 0x0c, 0xd7,
0x92, 0x45, 0x0e, 0xc2, 0x8c, 0x46, 0xa3, 0xcd, 0x66, 0xab, 0xad, 0xad, 0x4d,
0x31, 0x26, 0x16, 0x8b, 0x8d, 0x8d, 0x8d, 0x79, 0xbd, 0xde, 0xd9, 0xd9, 0x59,
0x8a, 0xa2, 0x66, 0x67, 0x67, 0x19, 0x86, 0x29, 0x29, 0x29, 0x29, 0x2d, 0x2d,
0xdd, 0xbe, 0x7d, 0xfb, 0xfe, 0xfd, 0xfb, 0xf7, 0xec, 0xd9, 0x13, 0xdf, 0xa4,
0x76, 0x39, 0x13, 0x13, 0x13, 0x17, 0x2f, 0x5e, 0x1c, 0x1c, 0x1c, 0x4c, 0xfa,
0x7d, 0x47, 0x47, 0xc7, 0xd5, 0xab, 0x57, 0x05, 0x0f, 0x21, 0x88, 0x42, 0xef,
0x2e, 0x2e, 0x93, 0xc9, 0x48, 0x92, 0x8c, 0xbf, 0x2c, 0x49, 0xd0, 0xf0, 0xf0,
0x70, 0x7b, 0x7b, 0xbb, 0xc1, 0x60, 0xd8, 0xbc, 0x79, 0x73, 0xea, 0x52, 0x45,
0x45, 0x45, 0xb5, 0xb5, 0xb5, 0x97, 0x2f, 0x5f, 0x1e, 0x1a, 0x1a, 0x8a, 0xc5,
0x62, 0x82, 0xd5, 0x18, 0x86, 0xe9, 0xea, 0xea, 0x52, 0x28, 0x14, 0x89, 0xa3,
0x04, 0xb7, 0xfc, 0xcd, 0xf2, 0x13, 0x94, 0x33, 0x1a, 0x8d, 0x66, 0x68, 0x68,
0x48, 0xb0, 0xb3, 0x50, 0x28, 0x64, 0xb5, 0x5a, 0xab, 0xab, 0xab, 0x33, 0xab,
0x5c, 0x59, 0x59, 0x69, 0xb1, 0x58, 0xc2, 0xe1, 0xb0, 0x60, 0xf1, 0xb1, 0xb1,
0xb1, 0x9d, 0x3b, 0x77, 0x2e, 0xf7, 0xa6, 0x98, 0xb5, 0x12, 0xd0, 0x91, 0x23,
0x47, 0xbe, 0x7f, 0xff, 0xce, 0xef, 0x89, 0xa2, 0xa8, 0xb6, 0xb6, 0x36, 0xee,
0x9b, 0xa5, 0x32, 0x26, 0x97, 0xcb, 0x5b, 0x5a, 0x5a, 0xbe, 0x7d, 0xfb, 0xc6,
0x9f, 0x65, 0x66, 0x66, 0xe6, 0xd1, 0xa3, 0x47, 0xa9, 0xd3, 0x29, 0x64, 0x40,
0x46, 0xa3, 0x71, 0x7e, 0x7e, 0x3e, 0xa9, 0x1b, 0x9a, 0xa6, 0xef, 0xde, 0xbd,
0x5b, 0x56, 0x56, 0x96, 0xdb, 0xb9, 0xb6, 0x6c, 0xd9, 0x42, 0x92, 0xe4, 0x72,
0x27, 0xdd, 0x5a, 0x0c, 0xe8, 0xd8, 0xb1, 0x63, 0xfc, 0x74, 0xa6, 0xa6, 0xa6,
0xf4, 0x7a, 0x7d, 0xfe, 0x26, 0xd5, 0xe9, 0x74, 0x5e, 0xaf, 0x77, 0x1d, 0x04,
0x74, 0xf4, 0xe8, 0x51, 0x7e, 0x3a, 0x4e, 0xa7, 0x53, 0xa5, 0x52, 0xe5, 0x7b,
0xea, 0xe2, 0xe2, 0xe2, 0xde, 0xde, 0xde, 0x35, 0x1d, 0x50, 0x45, 0x45, 0x05,
0x7f, 0xd7, 0x6f, 0x9b, 0xcd, 0x26, 0xda, 0xb7, 0x69, 0xfa, 0x9b, 0xda, 0x16,
0x20, 0x20, 0x99, 0x4c, 0xc6, 0xff, 0xce, 0xba, 0x7f, 0xff, 0xbe, 0x68, 0x0d,
0x74, 0x76, 0x76, 0xae, 0x2a, 0x1d, 0xb1, 0x03, 0xe2, 0x6f, 0xa3, 0xbf, 0xc6,
0xd3, 0x11, 0x35, 0x20, 0xa3, 0xd1, 0x98, 0x74, 0x35, 0xf8, 0xf2, 0xe5, 0x4b,
0xd1, 0xce, 0xac, 0xcc, 0xd2, 0x11, 0x2f, 0x20, 0x82, 0x20, 0xde, 0xbf, 0x7f,
0xcf, 0x9d, 0x38, 0x10, 0x08, 0x88, 0xf0, 0x57, 0x39, 0xee, 0xd6, 0xad, 0x5b,
0x99, 0xa5, 0x23, 0x5e, 0x40, 0x26, 0x93, 0x89, 0x3b, 0x6b, 0x34, 0x1a, 0xd5,
0xe9, 0x74, 0xe2, 0x4c, 0x9d, 0x4d, 0x3a, 0x22, 0x05, 0xa4, 0x54, 0x2a, 0x93,
0xee, 0xd1, 0xef, 0xdd, 0xbb, 0x27, 0xc6, 0xc4, 0x59, 0xa7, 0x23, 0x52, 0x40,
0x2d, 0x2d, 0x2d, 0xdc, 0x29, 0x29, 0x8a, 0xca, 0xf9, 0xb5, 0xb2, 0xa0, 0xc6,
0xc6, 0xc6, 0x2c, 0xd3, 0xc9, 0x38, 0xa0, 0xe4, 0x97, 0x40, 0xa6, 0x56, 0x57,
0x57, 0xc7, 0xfd, 0xb1, 0xb3, 0xb3, 0x73, 0x6e, 0x6e, 0x2e, 0xb3, 0x89, 0x57,
0xa5, 0x80, 0xcf, 0x03, 0x57, 0x17, 0xd0, 0xdb, 0xb7, 0x6f, 0x13, 0xff, 0xf6,
0x78, 0x3c, 0x0f, 0x1f, 0x3e, 0xcc, 0x43, 0x4b, 0x02, 0x32, 0x7b, 0x26, 0xcd,
0x15, 0x0e, 0x87, 0x73, 0xd4, 0x4b, 0x4a, 0x04, 0x41, 0xb4, 0xb5, 0xb5, 0x8d,
0x8e, 0x8e, 0xbe, 0x78, 0xf1, 0x62, 0xd7, 0xae, 0x5d, 0x62, 0x4c, 0x29, 0x91,
0x48, 0x24, 0x92, 0x13, 0x27, 0x4e, 0x2c, 0x2d, 0x2d, 0x65, 0x73, 0x7e, 0x91,
0x24, 0x29, 0x5a, 0xb7, 0x85, 0xd1, 0xdc, 0xdc, 0xec, 0xf7, 0xfb, 0x53, 0x3c,
0x8d, 0x5b, 0xce, 0xf4, 0xf4, 0x34, 0x49, 0x92, 0xdc, 0xe7, 0x6a, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
0x00, 0x00, 0x00, 0x00, 0x00, 0x05, 0xf7, 0x0f, 0xb9, 0xca, 0x3a, 0x37, 0xe8,
0xf6, 0x9d, 0x15, 0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae, 0x42,
0x60, 0x82 };
IconMask iconMask5(iconMask5Data);

const uchar iconMask6Data[] = {
0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d, 0x49,
0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x54, 0x00, 0x00, 0x00, 0x8c, 0x08, 0x02,
0x00, 0x00, 0x00, 0x6d, 0x64, 0x19, 0xd4, 0x00, 0x00, 0x00, 0x09, 0x70, 0x48,
0x59, 0x73, 0x00, 0x00, 0x0f, 0x61, 0x00, 0x00, 0x0f, 0x61, 0x01, 0xa8, 0x3f,
0xa7, 0x69, 0x00, 0x00, 0x0d, 0x9b, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xed,
0x9d, 0x7f, 0x4c, 0x1b, 0xe5, 0x1f, 0xc7, 0xfb, 0x03, 0x28, 0xa4, 0x05, 0xdc,
0x14, 0x0b, 0x55, 0x7e, 0x38, 0xc6, 0x0f, 0x81, 0x40, 0x40, 0xdc, 0x46, 0x08,
0xb2, 0x02, 0x55, 0xa1, 0xd3, 0x2d, 0x2e, 0x28, 0x59, 0x52, 0x87, 0x42, 0x02,
0xb1, 0xa6, 0xc9, 0xd0, 0x3f, 0xf8, 0x07, 0xad, 0xc3, 0x2c, 0x23, 0x61, 0x06,
0x27, 0x10, 0x32, 0xb6, 0x91, 0x2c, 0x73, 0x2a, 0x19, 0x9b, 0x54, 0x67, 0x8c,
0x33, 0xc3, 0x59, 0x99, 0x65, 0x90, 0x85, 0x85, 0x0c, 0x29, 0x5b, 0xc7, 0x0f,
0x69, 0x07, 0x6c, 0x16, 0x07, 0x58, 0xa0, 0x3f, 0xee, 0xf1, 0x8f, 0xd3, 0xfb,
0xde, 0xf7, 0xae, 0xbd, 0x3e, 0x77, 0xbd, 0xb6, 0xa8, 0xf7, 0xfa, 0x8b, 0xdd,
0x3e, 0xcf, 0xe7, 0xf3, 0x79, 0xf7, 0xee, 0xb9, 0xbb, 0xe7, 0xee, 0x79, 0x3e,
0xc7, 0xe3, 0x71, 0x70, 0x70, 0xf0, 0x78, 0x72, 0xb9, 0x5c, 0xa7, 0xd3, 0x2d,
0x2e, 0x2e, 0x22, 0x08, 0x02, 0x3c, 0x80, 0x20, 0xc8, 0xe2, 0xe2, 0xa2, 0x4e,
0xa7, 0x93, 0xcb, 0xe5, 0xc1, 0xce, 0x97, 0x25, 0x22, 0x22, 0x22, 0xda, 0xdb,
0xdb, 0x29, 0x34, 0xbb, 0xfd, 0x15, 0xda, 0xdb, 0xdb, 0x23, 0x22, 0x22, 0x82,
0x9d, 0x3b, 0x13, 0xf8, 0xf8, 0x7f, 0xb4, 0xb7, 0xb7, 0xab, 0xd5, 0xea, 0xb5,
0xb5, 0xb5, 0xc3, 0x87, 0x0f, 0x7f, 0xf5, 0xd5, 0x57, 0xbf, 0xfc, 0xf2, 0x0b,
0x82, 0x20, 0x6e, 0x9b, 0x09, 0x04, 0x82, 0xa7, 0x9f, 0x7e, 0xfa, 0xa5, 0x97,
0x5e, 0x7a, 0xef, 0xbd, 0xf7, 0x22, 0x22, 0x22, 0x3a, 0x3a, 0x3a, 0xde, 0x7e,
0xfb, 0x6d, 0x26, 0xe1, 0xf9, 0xfc, 0x1d, 0x3b, 0x76, 0x14, 0x16, 0x16, 0xca,
0x64, 0xb2, 0xd8, 0xd8, 0xd8, 0xb0, 0xb0, 0x30, 0x06, 0x4e, 0xec, 0x76, 0xfb,
0xfc, 0xfc, 0xbc, 0xc5, 0x62, 0x19, 0x1c, 0x1c, 0xbc, 0x7e, 0xfd, 0x3a, 0x00,
0x80, 0xb6, 0x0b, 0xb9, 0x5c, 0x8e, 0x20, 0x88, 0xcd, 0x66, 0xcb, 0xce, 0xce,
0x86, 0x6f, 0x95, 0x9d, 0x9d, 0x6d, 0xb3, 0xd9, 0x10, 0x04, 0xa1, 0x7b, 0xfc,
0x6f, 0xd9, 0xb2, 0xe5, 0xe8, 0xd1, 0xa3, 0x16, 0x8b, 0x05, 0xfe, 0x28, 0x83,
0xc1, 0x62, 0xb1, 0x1c, 0x3d, 0x7a, 0x74, 0xcb, 0x96, 0x2d, 0xf4, 0xc4, 0xeb,
0x74, 0x3a, 0x00, 0x40, 0x63, 0x63, 0x23, 0xbd, 0x66, 0x3c, 0x5e, 0x63, 0x63,
0x23, 0x00, 0x40, 0xa7, 0xd3, 0xc1, 0x37, 0xa9, 0xaf, 0xaf, 0xb7, 0x5a, 0xad,
0xec, 0xca, 0xc6, 0x63, 0xb5, 0x5a, 0xeb, 0xeb, 0xeb, 0x69, 0x68, 0x58, 0x5c,
0x5c, 0x04, 0x00, 0x64, 0x66, 0x66, 0xd2, 0x15, 0x9f, 0x99, 0x99, 0x09, 0x00,
0x58, 0x5c, 0x5c, 0x84, 0x31, 0x0e, 0x0d, 0x0d, 0xed, 0xee, 0xee, 0xf6, 0x9f,
0x6c, 0x3c, 0xdd, 0xdd, 0xdd, 0xa1, 0xa1, 0xa1, 0x14, 0xc9, 0xfc, 0xaf, 0xcf,
0x23, 0x08, 0xc2, 0xe7, 0xf3, 0x85, 0x42, 0x21, 0xd6, 0xcf, 0x43, 0x42, 0x42,
0x9e, 0x7c, 0xf2, 0xc9, 0xe9, 0xe9, 0x69, 0x42, 0x9b, 0xa4, 0xa4, 0xa4, 0xb9,
0xb9, 0x39, 0xa7, 0xd3, 0x89, 0xfe, 0x53, 0x20, 0x10, 0xb8, 0x5c, 0x2e, 0x00,
0x80, 0x40, 0x20, 0xf0, 0x2a, 0xfe, 0x8b, 0x2f, 0xbe, 0x78, 0xf5, 0xd5, 0x57,
0xf1, 0x5b, 0x96, 0x96, 0x96, 0x2e, 0x5d, 0xba, 0x34, 0x3a, 0x3a, 0x3a, 0x3f,
0x3f, 0x6f, 0xb7, 0xdb, 0x61, 0x7e, 0x41, 0x02, 0x61, 0x61, 0x61, 0xb1, 0xb1,
0xb1, 0xb9, 0xb9, 0xb9, 0x15, 0x15, 0x15, 0x84, 0x03, 0xbe, 0xb7, 0xb7, 0xf7,
0xb5, 0xd7, 0x5e, 0xf3, 0xee, 0x02, 0xfd, 0xb5, 0xf0, 0x5b, 0x7a, 0x7a, 0x7a,
0x00, 0x00, 0xfb, 0xf7, 0xef, 0xc7, 0x6f, 0xdc, 0xbf, 0x7f, 0x3f, 0x00, 0xa0,
0xa7, 0xa7, 0x87, 0xba, 0xad, 0x5b, 0x9a, 0x9a, 0x9a, 0xf0, 0x7b, 0x66, 0x69,
0x69, 0xe9, 0xd0, 0xa1, 0x43, 0x22, 0x91, 0xc8, 0x7b, 0x72, 0x70, 0x88, 0x44,
0xa2, 0x43, 0x87, 0x0e, 0x2d, 0x2d, 0x2d, 0xe1, 0xa3, 0x34, 0x35, 0x35, 0x79,
0x6f, 0x49, 0x16, 0x70, 0xff, 0xfe, 0x7d, 0x00, 0xc0, 0xe9, 0xd3, 0xa7, 0xf1,
0x1b, 0x4f, 0x9f, 0x3e, 0x0d, 0x00, 0xb8, 0x7f, 0xff, 0x3e, 0x75, 0x5b, 0x32,
0x19, 0x19, 0x19, 0x4e, 0xa7, 0x13, 0xcb, 0x69, 0x62, 0x62, 0x22, 0x25, 0x25,
0x85, 0x9e, 0x38, 0x38, 0x52, 0x52, 0x52, 0x26, 0x26, 0x26, 0xb0, 0x40, 0x4e,
0xa7, 0x33, 0x23, 0x23, 0xc3, 0x4b, 0x1b, 0xb2, 0x80, 0xbe, 0xbe, 0x3e, 0x00,
0x40, 0x75, 0x75, 0x35, 0x7e, 0x63, 0x75, 0x75, 0x35, 0x00, 0xa0, 0xaf, 0xaf,
0x8f, 0xba, 0x2d, 0x19, 0xf4, 0x84, 0x8a, 0x32, 0x3f, 0x3f, 0x1f, 0x1f, 0x1f,
0x4f, 0x5b, 0x16, 0x34, 0xf1, 0xf1, 0xf1, 0xf3, 0xf3, 0xf3, 0x58, 0x38, 0xef,
0x27, 0x63, 0xb2, 0x00, 0x89, 0x44, 0x52, 0x50, 0x50, 0x40, 0xb6, 0x2c, 0x28,
0x28, 0x90, 0x48, 0x24, 0xd4, 0x6d, 0x09, 0x24, 0x27, 0x27, 0xe3, 0x0f, 0x45,
0xa5, 0x52, 0x49, 0x4f, 0x0d, 0x7d, 0x94, 0x4a, 0x25, 0x3e, 0x62, 0x72, 0x72,
0x32, 0x95, 0x35, 0x64, 0xbf, 0x65, 0xd6, 0xb6, 0xa1, 0xa1, 0x01, 0xcb, 0x43,
0xaf, 0xd7, 0x33, 0x8b, 0x42, 0x17, 0xbd, 0x5e, 0x8f, 0x05, 0x6d, 0x68, 0x68,
0x20, 0x1b, 0x78, 0x3c, 0x3f, 0x3f, 0xf6, 0xd8, 0x63, 0x4a, 0xa5, 0x92, 0xcf,
0xe7, 0x93, 0xff, 0x4b, 0x2c, 0x16, 0x37, 0x37, 0x37, 0xeb, 0xf5, 0xfa, 0xd5,
0xd5, 0x55, 0xc8, 0x9f, 0xec, 0xc5, 0x17, 0x5f, 0xc4, 0xfe, 0xfe, 0xf4, 0xd3,
0x4f, 0xe9, 0x48, 0x60, 0xce, 0xb9, 0x73, 0xe7, 0xdc, 0x26, 0xe0, 0x06, 0x82,
0x8c, 0xb6, 0xb6, 0x36, 0x00, 0xc0, 0xa9, 0x53, 0xa7, 0x42, 0x42, 0x42, 0xf0,
0x66, 0xf9, 0xf9, 0xf9, 0x77, 0xee, 0xdc, 0x21, 0x5f, 0x54, 0xa9, 0xaf, 0x52,
0x46, 0xa3, 0x11, 0xb3, 0x4c, 0x4f, 0x4f, 0xf7, 0x49, 0x13, 0x34, 0xe9, 0xe9,
0xe9, 0x58, 0x50, 0xa3, 0xd1, 0x48, 0x65, 0x4a, 0x10, 0xff, 0xec, 0xb3, 0xcf,
0xae, 0xac, 0xac, 0x00, 0x00, 0x6e, 0xde, 0xbc, 0x59, 0x5b, 0x5b, 0x9b, 0x91,
0x91, 0x21, 0x95, 0x4a, 0x15, 0x0a, 0x85, 0xdd, 0x6e, 0x07, 0x00, 0x5c, 0xbb,
0x76, 0xad, 0xb8, 0xb8, 0x58, 0x2c, 0x16, 0xa3, 0x97, 0x7d, 0x00, 0xc0, 0xcc,
0xcc, 0x0c, 0x85, 0x73, 0xd4, 0x15, 0x0a, 0xe1, 0x7c, 0xe1, 0x3f, 0x24, 0x12,
0x09, 0x16, 0x74, 0x65, 0x65, 0x85, 0xca, 0x14, 0x1d, 0xcc, 0xe1, 0x6f, 0x54,
0x0a, 0x0a, 0x0a, 0x26, 0x27, 0x27, 0xc9, 0x3b, 0xd9, 0x6a, 0xb5, 0x0a, 0x85,
0x42, 0xcc, 0xac, 0xb6, 0xb6, 0x16, 0x00, 0xd0, 0xdf, 0xdf, 0x4f, 0xe1, 0x1c,
0xdf, 0x9c, 0x1d, 0x65, 0x70, 0xc0, 0xc6, 0x75, 0x7b, 0x7b, 0x1b, 0x1e, 0x1e,
0xae, 0x52, 0xa9, 0x2e, 0x5e, 0xbc, 0x78, 0xeb, 0xd6, 0x2d, 0x8b, 0xc5, 0xf2,
0xc7, 0x1f, 0x7f, 0x00, 0x00, 0xf0, 0xfd, 0x47, 0x2c, 0x16, 0x9b, 0x4c, 0x26,
0x00, 0xc0, 0xc1, 0x83, 0x07, 0x59, 0x48, 0x82, 0x6d, 0x60, 0xe3, 0xc2, 0x0c,
0x6c, 0xd0, 0x33, 0x1c, 0x7a, 0xb4, 0xa3, 0x74, 0x74, 0x74, 0x00, 0x00, 0x4c,
0x26, 0x13, 0xf5, 0x68, 0x14, 0x26, 0x89, 0xb0, 0xb0, 0xb0, 0xce, 0xce, 0x4e,
0xab, 0xd5, 0xaa, 0xd7, 0xeb, 0xb7, 0x6f, 0xdf, 0x4e, 0xad, 0x6a, 0xfb, 0xf6,
0xed, 0x7a, 0xbd, 0xde, 0x6a, 0xb5, 0x76, 0x76, 0x76, 0x52, 0x84, 0x86, 0x15,
0x0f, 0x33, 0xa4, 0xc5, 0x7b, 0x11, 0x8b, 0xc5, 0xa8, 0x72, 0xa7, 0xd3, 0x59,
0x5a, 0x5a, 0x4a, 0x9d, 0x2b, 0x4c, 0x12, 0x5a, 0xad, 0x16, 0xb3, 0x19, 0x1b,
0x1b, 0xa3, 0x18, 0x29, 0x08, 0x04, 0x82, 0xb1, 0xb1, 0x31, 0xcc, 0x58, 0xab,
0xd5, 0xfa, 0x12, 0xf7, 0x2f, 0xda, 0xdb, 0xdb, 0x01, 0x00, 0x36, 0x9b, 0xad,
0xb1, 0xb1, 0x31, 0x33, 0x33, 0x93, 0x1c, 0x1e, 0xf5, 0x92, 0x94, 0x94, 0x54,
0x5b, 0x5b, 0x8b, 0x1e, 0xed, 0x4e, 0xa7, 0xb3, 0xa6, 0xa6, 0xc6, 0x8b, 0x5f,
0xb8, 0x24, 0x50, 0x87, 0x18, 0x79, 0x79, 0x79, 0x9e, 0x2c, 0xf3, 0xf2, 0xf2,
0xf0, 0x96, 0x26, 0x93, 0xc9, 0x97, 0xb8, 0x7f, 0x41, 0xf7, 0x31, 0x96, 0xc9,
0x64, 0xf2, 0xba, 0xcf, 0xe1, 0x93, 0xc0, 0xee, 0x1a, 0x50, 0xca, 0xcb, 0xcb,
0x3d, 0x59, 0x96, 0x97, 0x97, 0xe3, 0x2d, 0x57, 0x57, 0x57, 0x59, 0x10, 0x8f,
0x42, 0xfd, 0x00, 0xd3, 0x6e, 0xb7, 0xcf, 0xcc, 0xcc, 0xf4, 0xf7, 0xf7, 0x1f,
0x3c, 0x78, 0x10, 0xfe, 0xa9, 0x13, 0x4c, 0x12, 0x43, 0x43, 0x43, 0x98, 0x0d,
0x82, 0x20, 0x89, 0x89, 0x89, 0x9e, 0x2c, 0x13, 0x13, 0x13, 0xf1, 0xb9, 0x0d,
0x0d, 0x0d, 0xf9, 0x12, 0xd7, 0xef, 0xc0, 0x24, 0xb1, 0x67, 0xcf, 0x1e, 0xf4,
0xb9, 0x00, 0x79, 0xc8, 0x4c, 0x06, 0x1d, 0x6e, 0x03, 0x00, 0x5c, 0x2e, 0xd7,
0x9e, 0x3d, 0x7b, 0x7c, 0x89, 0xeb, 0x77, 0x20, 0x93, 0x28, 0x2d, 0x2d, 0xed,
0xea, 0xea, 0xd2, 0x68, 0x34, 0xf8, 0xfb, 0x08, 0xb7, 0x08, 0x85, 0x42, 0x8d,
0x46, 0xd3, 0xd5, 0xd5, 0x45, 0xdd, 0xef, 0xa8, 0xe3, 0xba, 0xb9, 0x75, 0xf7,
0x07, 0xf8, 0xd8, 0x6e, 0xc7, 0x0b, 0x41, 0x89, 0xeb, 0xfd, 0xc1, 0xd3, 0xbf,
0x98, 0x10, 0x08, 0x9b, 0x7f, 0x00, 0x5b, 0xb7, 0x6e, 0xad, 0xa8, 0xa8, 0x48,
0x4b, 0x4b, 0x93, 0xc9, 0x64, 0x91, 0x91, 0x91, 0xc1, 0x4e, 0xe7, 0xff, 0xf1,
0xdf, 0x89, 0x27, 0x37, 0x37, 0xf7, 0xd2, 0xa5, 0x4b, 0xf8, 0x07, 0x64, 0x9e,
0x60, 0x37, 0x2e, 0x0d, 0xbc, 0x26, 0x51, 0x53, 0x53, 0x63, 0x30, 0x18, 0x3a,
0x3b, 0x3b, 0xe1, 0xdf, 0x7c, 0x85, 0x86, 0x86, 0xd2, 0xba, 0x2b, 0x61, 0x55,
0x10, 0x1d, 0xa8, 0x93, 0xc8, 0xce, 0xce, 0xc6, 0xfe, 0xf7, 0xbb, 0xef, 0xbe,
0x83, 0x79, 0x9e, 0x1b, 0x15, 0x15, 0xf5, 0xc3, 0x0f, 0x3f, 0x40, 0xca, 0x06,
0x00, 0x2c, 0x2f, 0x2f, 0x93, 0x9d, 0x6c, 0x8a, 0x3e, 0x1f, 0x13, 0x13, 0x83,
0xfd, 0xad, 0x50, 0x28, 0xce, 0x9f, 0x3f, 0xff, 0xfa, 0xeb, 0xaf, 0x2f, 0x2d,
0x2d, 0x79, 0xb2, 0x17, 0x08, 0x04, 0x7d, 0x7d, 0x7d, 0xc5, 0xc5, 0xc5, 0xf8,
0x8d, 0x37, 0x6e, 0xdc, 0xf8, 0xe6, 0x9b, 0x6f, 0xa6, 0xa6, 0xa6, 0xb0, 0xa1,
0x7b, 0x5c, 0x5c, 0xdc, 0xc7, 0x1f, 0x7f, 0x8c, 0xfe, 0x7d, 0xef, 0xde, 0x3d,
0xbf, 0xa5, 0xef, 0x0d, 0xea, 0x3d, 0x1f, 0x12, 0x12, 0xf2, 0xd3, 0x4f, 0x3f,
0xe1, 0x6d, 0x16, 0x16, 0x16, 0x54, 0x2a, 0x95, 0xa7, 0xf7, 0x2d, 0x97, 0x2f,
0x5f, 0xc6, 0x1b, 0x4f, 0x4e, 0x4e, 0x96, 0x94, 0x94, 0x90, 0xcd, 0x4a, 0x4b,
0x4b, 0x31, 0x9b, 0x81, 0x81, 0x01, 0x3f, 0xc8, 0x82, 0xc3, 0x6b, 0xdf, 0x8b,
0x8e, 0x8e, 0xbe, 0x71, 0xe3, 0x06, 0xe1, 0x58, 0xfd, 0xed, 0xb7, 0xdf, 0x4e,
0x9e, 0x3c, 0xf9, 0xe6, 0x9b, 0x6f, 0x3e, 0xff, 0xfc, 0xf3, 0xd9, 0xd9, 0xd9,
0x39, 0x39, 0x39, 0xa5, 0xa5, 0xa5, 0x67, 0xcf, 0x9e, 0xc5, 0xdb, 0xfc, 0xfc,
0xf3, 0xcf, 0x8f, 0x3c, 0xf2, 0x88, 0x5b, 0x9f, 0x47, 0x8e, 0x1c, 0xc1, 0xcc,
0x08, 0x6f, 0x1f, 0x02, 0x0a, 0xfe, 0xb4, 0xe4, 0xe9, 0x26, 0x27, 0x26, 0x26,
0x66, 0x64, 0x64, 0x04, 0xbe, 0x1b, 0xa3, 0x03, 0x0d, 0xa9, 0x54, 0xea, 0x29,
0xe8, 0xad, 0x5b, 0xb7, 0x30, 0xcb, 0xca, 0xca, 0x4a, 0x7f, 0xea, 0xa3, 0x04,
0x7d, 0x4c, 0x84, 0x82, 0xef, 0xe1, 0x04, 0x84, 0x42, 0xe1, 0xbb, 0xef, 0xbe,
0x8b, 0x3e, 0x2f, 0x82, 0xe1, 0xc3, 0x0f, 0x3f, 0xf4, 0xe4, 0x6a, 0xd7, 0xae,
0x5d, 0x98, 0xd9, 0xc6, 0xc6, 0x46, 0x30, 0x2f, 0xfe, 0xa3, 0xa3, 0xa3, 0x58,
0x2a, 0xbb, 0x76, 0xed, 0xa2, 0x36, 0x4e, 0x4a, 0x4a, 0xfa, 0xe8, 0xa3, 0x8f,
0xcc, 0x66, 0xb3, 0xd7, 0xdd, 0x1e, 0x15, 0x15, 0xe5, 0xc9, 0xc9, 0x8f, 0x3f,
0xfe, 0x88, 0x59, 0x7e, 0xfd, 0xf5, 0xd7, 0x7e, 0xd0, 0x04, 0xcd, 0xb9, 0x73,
0xe7, 0xb0, 0x54, 0x9a, 0x9b, 0x9b, 0x61, 0x9a, 0x08, 0x04, 0x82, 0xe2, 0xe2,
0xe2, 0xf7, 0xdf, 0x7f, 0xff, 0xe4, 0xc9, 0x93, 0xdf, 0x7e, 0xfb, 0xed, 0xe8,
0xe8, 0xe8, 0xf0, 0xf0, 0x30, 0xbe, 0x5f, 0x50, 0x8c, 0x64, 0xab, 0xaa, 0xaa,
0xf0, 0x3f, 0x53, 0x61, 0x61, 0x21, 0xab, 0x6a, 0x68, 0x82, 0xcf, 0x66, 0x6e,
0x6e, 0x8e, 0xf1, 0x1c, 0x9e, 0xbd, 0x7b, 0xf7, 0x62, 0x7e, 0xbe, 0xfc, 0xf2,
0x4b, 0xb7, 0x36, 0x39, 0x39, 0x39, 0xf8, 0xe7, 0x22, 0x17, 0x2f, 0x5e, 0xf4,
0x2d, 0x77, 0x9f, 0x89, 0x8a, 0x8a, 0xc2, 0xf7, 0xe4, 0x0f, 0x3e, 0xf8, 0x80,
0x99, 0x9f, 0xca, 0xca, 0x4a, 0xcc, 0x49, 0x6f, 0x6f, 0x2f, 0xd9, 0x20, 0x25,
0x25, 0x65, 0x66, 0x66, 0x06, 0xb3, 0x59, 0x5f, 0x5f, 0x0f, 0xd8, 0x3b, 0x12,
0x2a, 0x9a, 0x9b, 0x9b, 0xb1, 0x9c, 0x5c, 0x2e, 0xd7, 0xde, 0xbd, 0x7b, 0x19,
0x38, 0xa1, 0x16, 0xaf, 0x50, 0x28, 0x08, 0xb3, 0x5d, 0xa8, 0x1f, 0xa8, 0x07,
0x8e, 0xc8, 0xc8, 0x48, 0xfc, 0x6b, 0x63, 0x87, 0xc3, 0xf1, 0xd6, 0x5b, 0x6f,
0xd1, 0x75, 0xe2, 0x49, 0xbc, 0x4c, 0x26, 0xeb, 0xee, 0xee, 0x26, 0x0c, 0x6f,
0x5a, 0x5b, 0x5b, 0xd9, 0x16, 0xe1, 0x03, 0x45, 0x45, 0x45, 0xe8, 0xdb, 0x2e,
0x8c, 0x6b, 0xd7, 0xae, 0x29, 0x95, 0x4a, 0xf8, 0x67, 0x81, 0x04, 0xf1, 0x22,
0x91, 0x48, 0xa9, 0x54, 0x76, 0x77, 0x77, 0x93, 0xaf, 0x8e, 0x27, 0x4e, 0x9c,
0xf0, 0x3a, 0x4d, 0x26, 0x70, 0x0f, 0x55, 0x50, 0xaa, 0xab, 0xab, 0x4f, 0x9d,
0x3a, 0x45, 0x48, 0x6b, 0x65, 0x65, 0x65, 0x7c, 0x7c, 0x1c, 0x66, 0x4e, 0x4e,
0x6c, 0x6c, 0x6c, 0x51, 0x51, 0x11, 0xfa, 0xf7, 0xc3, 0x87, 0x0f, 0x45, 0x22,
0x51, 0x78, 0x78, 0x38, 0xc1, 0xc6, 0xe5, 0x72, 0x35, 0x34, 0x34, 0x1c, 0x3f,
0x7e, 0x9c, 0xed, 0xdc, 0xd9, 0xa0, 0xbc, 0xbc, 0xfc, 0xf7, 0xdf, 0x7f, 0x07,
0xfe, 0x61, 0x6c, 0x6c, 0x6c, 0xf7, 0xee, 0xdd, 0xc1, 0x96, 0x48, 0xc9, 0xb6,
0x6d, 0xdb, 0x7a, 0x7b, 0x7b, 0xd9, 0x95, 0xfd, 0xeb, 0xaf, 0xbf, 0xbe, 0xf1,
0xc6, 0x1b, 0x30, 0x33, 0xc2, 0x36, 0x05, 0xf9, 0xf9, 0xf9, 0x9f, 0x7c, 0xf2,
0xc9, 0xec, 0xec, 0xac, 0x2f, 0x9a, 0xa7, 0xa6, 0xa6, 0xda, 0xda, 0xda, 0xe4,
0x72, 0x39, 0x61, 0x1e, 0x01, 0x0c, 0x81, 0xee, 0xf3, 0x6e, 0x89, 0x8f, 0x8f,
0xa7, 0x35, 0xf7, 0x16, 0x41, 0x90, 0x07, 0x0f, 0x1e, 0xdc, 0xbb, 0x77, 0xcf,
0x62, 0xb1, 0x50, 0xbc, 0xae, 0xe1, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0,
0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xf8, 0x57, 0xc3, 0xc2, 0x90, 0x36, 0x2e, 0x2e,
0xee, 0xe5, 0x97, 0x5f, 0x2e, 0x2a, 0x2a, 0x7a, 0xe2, 0x89, 0x27, 0x64, 0x32,
0x99, 0x4c, 0x26, 0xf3, 0xc7, 0xa4, 0xf2, 0xd5, 0xd5, 0x55, 0x8b, 0xc5, 0x62,
0xb1, 0x58, 0xcc, 0x66, 0xb3, 0x5e, 0xaf, 0xd7, 0xe9, 0x74, 0xc1, 0x7c, 0xeb,
0x2c, 0x12, 0x89, 0x34, 0x1a, 0x8d, 0xc1, 0x60, 0xa0, 0xb5, 0xf0, 0x98, 0x2d,
0x10, 0x04, 0x31, 0x18, 0x0c, 0x1a, 0x8d, 0x86, 0xc5, 0x95, 0x69, 0x50, 0x08,
0x04, 0x02, 0x95, 0x4a, 0x35, 0x3d, 0x3d, 0x1d, 0x78, 0xcd, 0x64, 0xa6, 0xa7,
0xa7, 0x55, 0x2a, 0x55, 0x80, 0x9e, 0x5e, 0x25, 0x24, 0x24, 0x0c, 0x0f, 0x0f,
0x07, 0x5b, 0x32, 0x91, 0xe1, 0xe1, 0xe1, 0x84, 0x84, 0x04, 0xff, 0x2a, 0x2f,
0x2c, 0x2c, 0x5c, 0x58, 0x58, 0x08, 0xb6, 0x52, 0xf7, 0x2c, 0x2c, 0x2c, 0xf8,
0xf1, 0x85, 0x64, 0x55, 0x55, 0xd5, 0xc6, 0xc6, 0x46, 0xb0, 0x35, 0x52, 0xb1,
0xb1, 0xb1, 0x51, 0x55, 0x55, 0xc5, 0xbe, 0xf2, 0xc2, 0xc2, 0x42, 0x0a, 0xe5,
0x46, 0xa3, 0xb1, 0xa5, 0xa5, 0xa5, 0xac, 0xac, 0x2c, 0x35, 0x35, 0xd5, 0x4f,
0xeb, 0x87, 0x24, 0x12, 0x49, 0x6a, 0x6a, 0x6a, 0x59, 0x59, 0x59, 0x4b, 0x4b,
0x0b, 0x7e, 0xad, 0x16, 0x59, 0x3f, 0xcb, 0xfb, 0x3f, 0x21, 0x21, 0xc1, 0xd3,
0xd1, 0x3e, 0x32, 0x32, 0xe2, 0x76, 0x32, 0x90, 0xbf, 0x29, 0x29, 0x29, 0xf1,
0x34, 0x87, 0x65, 0x61, 0x61, 0x81, 0xb5, 0xfe, 0x2f, 0x10, 0x08, 0xdc, 0x9e,
0xe1, 0x1c, 0x0e, 0x87, 0x5a, 0xad, 0x0e, 0xe4, 0x2c, 0x62, 0x02, 0x7c, 0x3e,
0x5f, 0xad, 0x56, 0x3b, 0x1c, 0x0e, 0x72, 0x6e, 0xc3, 0xc3, 0xc3, 0xec, 0x9c,
0xff, 0x55, 0x2a, 0x15, 0xd9, 0xbb, 0xd5, 0x6a, 0xdd, 0x24, 0x75, 0x52, 0xe4,
0x72, 0xb9, 0xdb, 0x22, 0x0c, 0x2a, 0x95, 0xca, 0x57, 0xd7, 0x22, 0x91, 0x88,
0x7c, 0x3d, 0x77, 0x38, 0x1c, 0x9b, 0x44, 0x39, 0x8a, 0x5c, 0x2e, 0x27, 0xef,
0xff, 0xe9, 0xe9, 0x69, 0x5f, 0xef, 0x7f, 0x34, 0x1a, 0x0d, 0xf9, 0x47, 0x55,
0xab, 0xd5, 0xac, 0x25, 0xce, 0x12, 0x6a, 0xb5, 0x9a, 0x9c, 0xa7, 0x46, 0xa3,
0xf1, 0xc9, 0x29, 0x7e, 0xdd, 0x0b, 0xca, 0xc8, 0xc8, 0x48, 0x10, 0xfb, 0xb9,
0x27, 0xf8, 0x7c, 0x3e, 0xf9, 0xfc, 0x67, 0x30, 0x18, 0x98, 0x7b, 0x8c, 0x8b,
0x8b, 0x23, 0xdf, 0xb7, 0x07, 0xe5, 0xdc, 0x0e, 0x43, 0x49, 0x49, 0x09, 0x21,
0x55, 0x04, 0x41, 0xe2, 0xe2, 0xe2, 0x18, 0xba, 0xab, 0xab, 0xab, 0x23, 0xb8,
0x9b, 0x98, 0x98, 0x60, 0x39, 0x65, 0x56, 0x21, 0x5f, 0xff, 0xeb, 0xea, 0xea,
0x28, 0xec, 0xa9, 0xae, 0x07, 0xcf, 0x3d, 0xf7, 0x1c, 0x61, 0x0b, 0xf5, 0x6a,
0xe1, 0xa0, 0x43, 0x9e, 0x9c, 0x46, 0x96, 0x80, 0x87, 0x4a, 0xbc, 0x4c, 0x26,
0x23, 0x6c, 0xb9, 0x7c, 0xf9, 0xb2, 0x0f, 0xb9, 0xf9, 0x1d, 0x72, 0x7a, 0x64,
0x09, 0x78, 0xe8, 0x89, 0x9f, 0x9d, 0x9d, 0xf5, 0x21, 0x37, 0xbf, 0x43, 0x4e,
0x8f, 0x5a, 0x3c, 0x15, 0xf8, 0x15, 0xff, 0x28, 0x01, 0x5b, 0xf7, 0xcf, 0x0c,
0x7c, 0xb5, 0x00, 0x14, 0xea, 0x9a, 0x01, 0x54, 0x17, 0x2d, 0xf2, 0xdc, 0xf8,
0x4d, 0x78, 0x91, 0x23, 0x40, 0x2b, 0xe7, 0x7f, 0xc8, 0xf4, 0x1d, 0xff, 0xc0,
0x89, 0x67, 0x9b, 0xf0, 0xf0, 0xf0, 0xb6, 0xb6, 0xb6, 0xa9, 0xa9, 0x29, 0x74,
0xaa, 0x14, 0x79, 0x9e, 0x60, 0x00, 0x3c, 0xf8, 0x0a, 0xf9, 0x6e, 0x19, 0xa6,
0x95, 0x50, 0x28, 0xc4, 0x57, 0xe7, 0x41, 0xab, 0x02, 0x79, 0x5d, 0x18, 0xcc,
0x96, 0x07, 0x66, 0x39, 0xb3, 0xe6, 0xa8, 0xa6, 0xa6, 0x86, 0xdc, 0x10, 0xa6,
0xba, 0x02, 0x2b, 0x1e, 0x82, 0x2c, 0xfe, 0xea, 0xd5, 0xab, 0xe4, 0x86, 0x57,
0xaf, 0x5e, 0x85, 0x8f, 0xeb, 0x8b, 0x87, 0x20, 0x8b, 0x47, 0x0b, 0xc9, 0x11,
0x20, 0x94, 0x90, 0xf3, 0x9f, 0x07, 0x5a, 0x39, 0x73, 0x67, 0x7b, 0x56, 0x19,
0x1f, 0x1f, 0x87, 0xdc, 0xe8, 0x3f, 0x0f, 0x90, 0xb0, 0x2f, 0xfe, 0xcc, 0x99,
0x33, 0x90, 0x1b, 0xfd, 0xe7, 0x81, 0x05, 0x98, 0xf5, 0xf9, 0xff, 0xf4, 0xa5,
0x2e, 0xb8, 0x37, 0x39, 0xb4, 0x72, 0xe6, 0x06, 0x36, 0xff, 0x55, 0x38, 0xf1,
0xff, 0x55, 0x36, 0x45, 0xd9, 0x08, 0x48, 0xc4, 0x62, 0xf1, 0x0b, 0x2f, 0xbc,
0x50, 0x51, 0x51, 0x91, 0x9c, 0x9c, 0xec, 0xbf, 0xc9, 0x3f, 0x7f, 0xc1, 0xda,
0x65, 0xc3, 0x67, 0x72, 0x73, 0x73, 0x2f, 0x5c, 0xb8, 0xb0, 0xb6, 0xb6, 0x46,
0x4e, 0xc9, 0x2b, 0x0c, 0x43, 0x32, 0x73, 0x94, 0x9e, 0x9e, 0x9e, 0x96, 0x96,
0xc6, 0x30, 0x24, 0x89, 0xc4, 0xc4, 0xc4, 0xb3, 0x67, 0xcf, 0xfa, 0x32, 0xe7,
0x89, 0x61, 0x60, 0xba, 0x8e, 0x1e, 0x7f, 0xfc, 0x71, 0xec, 0xf5, 0xd6, 0xe0,
0xe0, 0x20, 0x45, 0x85, 0x04, 0x48, 0x58, 0x59, 0x7e, 0xc8, 0x30, 0x36, 0x5d,
0x47, 0x17, 0x2e, 0x5c, 0xc0, 0x1b, 0x8f, 0x8d, 0x8d, 0x6d, 0xdd, 0xba, 0x95,
0x61, 0x6c, 0x1e, 0xef, 0x9d, 0x77, 0xde, 0xc1, 0x2a, 0xc4, 0x31, 0x66, 0x63,
0x63, 0x83, 0x61, 0x78, 0xba, 0xe2, 0x09, 0xa5, 0x0c, 0xd1, 0x49, 0x02, 0x14,
0x95, 0x1d, 0xa8, 0x95, 0xfb, 0x28, 0x1b, 0xe5, 0xc1, 0x83, 0x07, 0x01, 0x12,
0x4f, 0x28, 0x62, 0x89, 0x32, 0x34, 0x34, 0x94, 0x9a, 0x9a, 0x4a, 0x2b, 0xae,
0x52, 0xa9, 0xf4, 0xb4, 0xcf, 0xad, 0x56, 0x6b, 0x4f, 0x4f, 0xcf, 0xbe, 0x7d,
0xfb, 0xdc, 0x4e, 0xfe, 0xd9, 0xbd, 0x7b, 0x37, 0xc1, 0xfe, 0xee, 0xdd, 0xbb,
0xf4, 0x75, 0xf3, 0x78, 0x0c, 0xc4, 0x93, 0x5f, 0x6c, 0xa2, 0xac, 0xaf, 0xaf,
0x6b, 0xb5, 0x5a, 0xc8, 0xa9, 0x02, 0x45, 0x45, 0x45, 0x6e, 0xab, 0x7c, 0xad,
0xad, 0xad, 0x1d, 0x39, 0x72, 0x24, 0x3a, 0x3a, 0x9a, 0xa2, 0xed, 0x81, 0x03,
0x07, 0x08, 0xad, 0xbe, 0xff, 0xfe, 0x7b, 0x9a, 0xa2, 0xff, 0x86, 0xae, 0x78,
0x7c, 0x75, 0x46, 0x32, 0x53, 0x53, 0x53, 0x87, 0x0f, 0x1f, 0xce, 0xca, 0xca,
0xa2, 0x68, 0x9e, 0x98, 0x98, 0x48, 0xee, 0x3b, 0x68, 0x99, 0x8d, 0xfc, 0xfc,
0x7c, 0xaf, 0xd1, 0x8f, 0x1d, 0x3b, 0x46, 0x68, 0xd8, 0xd1, 0xd1, 0x41, 0x61,
0xcf, 0xf2, 0xc0, 0x26, 0x2c, 0x2c, 0xac, 0xbf, 0xbf, 0x9f, 0xba, 0xa4, 0xf8,
0xf8, 0xf8, 0xf8, 0xe0, 0xe0, 0xa0, 0xd9, 0x6c, 0x9e, 0x9b, 0x9b, 0x33, 0x9b,
0xcd, 0xeb, 0xeb, 0xeb, 0xa1, 0xa1, 0xa1, 0x31, 0x31, 0x31, 0x79, 0x79, 0x79,
0xf5, 0xf5, 0xf5, 0xf8, 0x8a, 0xc2, 0x28, 0x66, 0xb3, 0x79, 0xe7, 0xce, 0x9d,
0x66, 0xb3, 0x99, 0x3a, 0x34, 0x8f, 0xc7, 0xbb, 0x73, 0xe7, 0x0e, 0xa1, 0x8e,
0x7d, 0x5d, 0x5d, 0xdd, 0x89, 0x13, 0x27, 0xbc, 0x36, 0x74, 0x03, 0x83, 0x3d,
0x8f, 0x56, 0x6a, 0xfb, 0xfc, 0xf3, 0xcf, 0x3d, 0xed, 0x7f, 0xba, 0xb8, 0x5c,
0x2e, 0x98, 0x7d, 0xce, 0xe3, 0xf1, 0xb2, 0xb2, 0xb2, 0xc8, 0xcd, 0x99, 0x7f,
0x39, 0x62, 0x79, 0x79, 0x99, 0xe0, 0x0b, 0xb2, 0xce, 0x10, 0x9f, 0xcf, 0xaf,
0xad, 0xad, 0x65, 0xe5, 0x4b, 0x35, 0x84, 0xef, 0x47, 0x50, 0x40, 0xf8, 0x5a,
0x08, 0x00, 0xc0, 0xa7, 0x77, 0xca, 0xe4, 0x89, 0x0e, 0xb4, 0xce, 0xdb, 0x52,
0xa9, 0xf4, 0xb3, 0xcf, 0x3e, 0xf3, 0x45, 0xb9, 0xcd, 0x66, 0xa3, 0x3e, 0xc3,
0x61, 0x48, 0x24, 0x12, 0xf2, 0x34, 0x49, 0x9f, 0x0a, 0x86, 0x0c, 0x0c, 0x0c,
0x10, 0xdc, 0x95, 0x95, 0x95, 0xd1, 0x75, 0x52, 0x5e, 0x5e, 0x8e, 0x7e, 0x4f,
0x8a, 0x01, 0x5e, 0xab, 0xdf, 0x62, 0xe0, 0xeb, 0x64, 0x63, 0xe4, 0xe4, 0xe4,
0xd0, 0x17, 0xfd, 0x37, 0x84, 0xe2, 0x6b, 0x00, 0x80, 0x96, 0x96, 0x16, 0x66,
0xae, 0x9e, 0x79, 0xe6, 0x99, 0xe3, 0xc7, 0x8f, 0xdf, 0xbe, 0x7d, 0x9b, 0x96,
0xf8, 0x7d, 0xfb, 0xf6, 0xc1, 0x38, 0x97, 0x4a, 0xa5, 0xe4, 0x6b, 0x04, 0x4c,
0x01, 0x3c, 0xaa, 0xb3, 0x77, 0x5d, 0x5d, 0x5d, 0x57, 0x57, 0x17, 0x7e, 0x8b,
0xd1, 0x68, 0xf4, 0xb1, 0xe0, 0xd0, 0xb6, 0x6d, 0xdb, 0x72, 0x73, 0x73, 0x33,
0x33, 0x33, 0x9f, 0x7a, 0xea, 0xa9, 0xe8, 0xe8, 0xe8, 0xc8, 0xc8, 0x48, 0x81,
0x40, 0xe0, 0x70, 0x38, 0x1e, 0x3e, 0x7c, 0xa8, 0x50, 0x28, 0x08, 0xdf, 0x1f,
0x4a, 0x4b, 0x4b, 0x9b, 0x9c, 0x9c, 0xf4, 0x22, 0x80, 0xcf, 0x3f, 0x7f, 0xfe,
0xfc, 0x2b, 0xaf, 0xbc, 0x42, 0xd8, 0xbe, 0x73, 0xe7, 0xce, 0xeb, 0xd7, 0xaf,
0x33, 0x4f, 0x34, 0xc0, 0x53, 0xd1, 0x98, 0x4d, 0x04, 0x71, 0x7b, 0xc0, 0xbb,
0xad, 0x1c, 0x45, 0x1b, 0x83, 0xc1, 0x40, 0xf0, 0xeb, 0xbf, 0x49, 0x88, 0x64,
0x0d, 0x5e, 0x9b, 0x54, 0x56, 0x56, 0x92, 0x77, 0x8f, 0xdd, 0x6e, 0xf7, 0xfa,
0x6d, 0x00, 0x28, 0x02, 0x39, 0xfd, 0x94, 0xae, 0xf8, 0xca, 0xca, 0x4a, 0x9b,
0xcd, 0x46, 0x6e, 0xc5, 0x5a, 0x55, 0xa8, 0x40, 0x4e, 0x3c, 0x86, 0x17, 0xcf,
0xe7, 0xf3, 0xb5, 0x5a, 0xad, 0xdb, 0x27, 0x1c, 0x57, 0xae, 0x5c, 0x61, 0x50,
0x33, 0xc6, 0x23, 0x01, 0x9b, 0x72, 0x0e, 0x29, 0x5e, 0x2a, 0x95, 0xa2, 0x1f,
0xd5, 0x22, 0x63, 0x32, 0x99, 0x1e, 0x7d, 0xf4, 0x51, 0x36, 0x73, 0x0a, 0xd8,
0x62, 0x03, 0xaf, 0xe2, 0x25, 0x12, 0x89, 0x56, 0xab, 0x75, 0x3b, 0xf2, 0x41,
0xcb, 0xfa, 0x32, 0xf8, 0xd2, 0xa0, 0x77, 0x02, 0xb3, 0xcc, 0x84, 0x42, 0x7c,
0x56, 0x56, 0x56, 0x53, 0x53, 0x13, 0xc5, 0xc2, 0xae, 0xe5, 0xe5, 0x65, 0x85,
0x42, 0xc1, 0x4a, 0x1a, 0x6e, 0xa0, 0x5e, 0x60, 0x34, 0x31, 0x31, 0xe1, 0xfb,
0x02, 0x23, 0xb2, 0xdb, 0x03, 0x07, 0x0e, 0x1c, 0x3b, 0x76, 0xcc, 0xed, 0xd7,
0xa2, 0xf0, 0x98, 0x4c, 0x26, 0xbf, 0xec, 0x73, 0x3c, 0x9b, 0x73, 0x69, 0xd9,
0x95, 0x2b, 0x57, 0x58, 0xee, 0xe7, 0x9e, 0xd8, 0x54, 0x8b, 0x0a, 0xed, 0x76,
0x7b, 0x6b, 0x6b, 0x2b, 0x9b, 0xe7, 0x76, 0xaf, 0x6c, 0x92, 0xe5, 0xa4, 0xbd,
0xbd, 0xbd, 0xec, 0xdc, 0xc9, 0xd0, 0x25, 0xb8, 0x0b, 0x89, 0x07, 0x06, 0x06,
0x76, 0xec, 0xd8, 0x11, 0x04, 0xd9, 0x78, 0xd0, 0x25, 0xe4, 0x43, 0x43, 0x43,
0x81, 0x59, 0x42, 0x3e, 0x3b, 0x3b, 0xdb, 0xda, 0xda, 0xea, 0xd3, 0x28, 0x95,
0xc4, 0x66, 0x2c, 0x1e, 0x60, 0xb7, 0xdb, 0x57, 0x56, 0x56, 0x96, 0x97, 0x97,
0xef, 0xde, 0xbd, 0x6b, 0x34, 0x1a, 0x6f, 0xde, 0xbc, 0x39, 0x30, 0x30, 0x70,
0xfb, 0xf6, 0x6d, 0xdf, 0x53, 0xe5, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0, 0xe0,
0xe0, 0xf8, 0x97, 0xf3, 0x27, 0xa8, 0x3b, 0xaf, 0x97, 0x7a, 0xab, 0xd2, 0x87,
0x00, 0x00, 0x00, 0x00, 0x49, 0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82 };
IconMask iconMask6(iconMask6Data);

} // namespace

void init_style_editor(int scale) {
	if (inited) return;
	inited = true;

	init_style_basic(scale);
	init_style_window(scale);
	init_style_widgets(scale);
	init_style_chat(scale);

	initPxValues(scale);

	_photoEditorControlsHeight = px146;
	_photoEditorControlsBottomSkip = px20;
	_photoEditorControlsCenterSkip = px6;
	_photoEditorContentMargins = { px20, px20, px20, px146 };
	_photoEditorButtonIconFg = st::mediaviewPipControlsFg;
	_photoEditorButtonIconFgOver = st::mediaviewPipControlsFgOver;
	_photoEditorButtonIconFgActive = st::lightButtonFg;
	_photoEditorButtonIconFgInactive = st::mediaviewPipPlaybackInactive;
	_photoEditorButtonBarHeight = px48;
	_photoEditorButtonBarWidth = px422;
	_photoEditorButtonBarPadding = { px2, px0, px2, px0 };
	_photoEditorTextButtonPadding = { px22, px0, px22, px0 };
	_photoEditorButtonStyle = { { px14, FontFlags::from_raw(16), 0 }, st::kLinkUnderlineActive, px0, st::defaultQuoteStyle, st::defaultQuoteStyle };
	_photoEditorButtonTextTop = px15;
	_photoEditorAbout = { { px0, px0, px0, px0 }, px240, style::al_top, st::mediaviewCaptionFg, px0, st::defaultTextStyle, st::defaultTextPalette };
	_photoEditorAboutMargin = { px10, px22, px10, px0 };
	_photoEditorRotateButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask1, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask1, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px4, px4 }, px40, st::universalRippleAnimation };
	_photoEditorFlipButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask2, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask2, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px4, px4 }, px40, st::universalRippleAnimation };
	_photoEditorFlipIconActive = { std::in_place, MonoIcon{ &iconMask2, st::photoEditorButtonIconFgActive, { px0, px0 } } };
	_photoEditorPaintModeButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask3, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask3, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px4, px4 }, px40, st::universalRippleAnimation };
	_photoEditorPaintIconActive = { std::in_place, MonoIcon{ &iconMask3, st::photoEditorButtonIconFgActive, { px0, px0 } } };
	_photoEditorUndoButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask4, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask4, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px4, px4 }, px40, st::universalRippleAnimation };
	_photoEditorRedoButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask5, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask5, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px4, px4 }, px40, st::universalRippleAnimation };
	_photoEditorStickersButton = { st::photoEditorButtonBarHeight, st::photoEditorButtonBarHeight, { std::in_place, MonoIcon{ &iconMask6, st::photoEditorButtonIconFg, { px0, px0 } } }, { std::in_place, MonoIcon{ &iconMask6, st::photoEditorButtonIconFgOver, { px0, px0 } } }, { pxm1, pxm1 }, 0, { px4, px4 }, px40, st::universalRippleAnimation };
	_photoEditorStickersIconActive = { std::in_place, MonoIcon{ &iconMask6, st::photoEditorButtonIconFgActive, { px0, px0 } } };
	_photoEditorUndoButtonInactive = { std::in_place, MonoIcon{ &iconMask4, st::photoEditorButtonIconFgInactive, { px0, px0 } } };
	_photoEditorRedoButtonInactive = { std::in_place, MonoIcon{ &iconMask5, st::photoEditorButtonIconFgInactive, { px0, px0 } } };
	_photoEditorColorPickerWidth = px250;
	_photoEditorColorPickerLineHeight = px10;
	_photoEditorColorPickerCanvasHeight = px300;
	_photoEditorColorPickerCircleSize = px24;
	_photoEditorColorPickerCircleBigSize = px50;
	_photoEditorColorPickerCircleSkip = px50;
	_photoEditorCropPointSize = px10;
	_photoEditorCropMinSize = px20;
	_photoEditorItemHandleSize = px10;
}

} // namespace internal
} // namespace style
